2008-11-09 13:21  nick

	* NEWS, plugins/clock/clock.c:
	  * Update the tooltip of the clock when it is visible.

2008-11-09 09:38  nab

	* po/ChangeLog, po/be.po:
	  * be.po: Updated Belarusian translation

2008-11-07 21:01  nick

	* NEWS, plugins/pager/pager.c:
	  * Fix bug 4589.
	  * Remove some tabs in the code.

2008-11-02 23:38  maximilian

	* po/ChangeLog, po/es.po:
	  Translation updates and additions - de es ku tr

2008-11-02 10:08  nick

	* NEWS, plugins/launcher/launcher-dialog.c,
	  plugins/launcher/launcher-exec.c:
	  - Don't escape command but quote them when browsing for an
	  application.
	  Since we accept command with arguments in 1 line, it's
	  impossible to
	  tell what's the command and the arguments (bug #4549).

2008-11-01 22:56  majkl

	* po/ChangeLog, po/cs.po:
	  Czech translation updated

2008-11-01 17:33  nick

	* NEWS, plugins/launcher/launcher-exec.c:
	  * Don't spawn zombies (bug #4490).
	  * Escape spaces in launcher commands (bug #4507).

2008-10-31 12:24  jari

	* po/ChangeLog, po/fi.po:
	  Update Finnish translations.

2008-10-28 23:17  maximilian

	* po/ChangeLog, po/sq.po:
	  Translations updates and additions HUGE

2008-10-23 18:06  nick

	* NEWS:
	  * Update news

2008-10-23 17:50  nick

	* plugins/launcher/launcher.c:
	  * Reverse the order of the launcher menu when the panel is on
	  the top of the screen (Bug #4450).

2008-10-23 17:35  nick

	* configure.in.in, panel/panel-app.c:
	  * Implement SmRestartImmediately (Bug #4516).

2008-10-23 17:21  nick

	* panel/panel-properties.c:
	  * Panel does not adhere to 'fullwidth' property when using
	  vertical orientation after restarting (Bug #4456).

2008-10-23 16:10  nick

	* plugins/launcher/launcher.c, plugins/launcher/launcher.h:
	  * Fully remove the emission hook from the launcher. This prints
	  errors when removing a launcher.

2008-10-21 20:12  olivier

	* panel/panel-app.c:
	  With xrandr 1.2, monitors can be added/removed, so need to
	  double check the number of monitors (bug #3620)

2008-10-18 14:25  maximilian

	* po/ChangeLog, po/id.po:
	  Translation updates and additions for many packages in es, fr,
	  id, ja, nb_NO and tr

2008-10-14 13:51  jannis

	* ChangeLog, plugins/launcher/launcher.c:
	  * launcher/launcher.c: Change the way the icon theme change
	  callback
	  is installed: use gtk_icon_theme_for_screen() in combination
	  with
	  g_signal_connect() instead of adding a signal emission hook to
	  the
	  icon theme class. This should fix bug #4474.

2008-10-13 09:46  stephan

	* ChangeLog, Makefile.am, NEWS, configure.in.in, mcs-plugin,
	  po/POTFILES.in, settings, settings/Makefile.am,
	  settings/plugin.c:
	  Remove mcs plugin
	  Bump version number
	  Bump dependency-versions

2008-10-09 05:01  sas

	* po/hu.po:
	  [intl:hu] little fixes

2008-10-07 19:55  maximilian

	* po/ChangeLog, po/ja.po, po/si.po:
	  Translation updates:
	  - xfce4-appfinder: ja, si
	  - xfce-utils: ja, si
	  - xfce4-mixer: si
	  - xfce4-panel: ja, si
	  - xfdesktop: ja
	  - terminal: ja

2008-10-05 17:52  maximilian

	* po/ChangeLog, po/es.po:
	  Updated and added Estonian translations for the libxfcegui4,
	  terminal and mousepad trunk modules and libxfce4util branch 4.4
	  module
	  Updated Indonesian translations for the xfce-utils, xfce4-mixer,
	  xarchiver, xfwm4, xfcalendar and xfdesktop trunk modules
	  Updated and added Spanish translations for the xfce4-appfinder,
	  squeeze, libexo, xfce-utils, libxfce4menu, xfce4-session,
	  xfce4-mixer, libxfce4util, libxfce4ui, xfce4-icon-theme, thunar,
	  libxfcegui4, xfce4-panel, xfdesktop, xfce4-trigger-launcher,
	  terminal, mousepad and xfmedia trunk modules
	  Updated Russian translation for the xarchiver, libexo and
	  libxfcegui4 trunk modules
	  Updated and added German translation of the xfce4-settings and
	  xfwm4 trunk modules
	  Updated Japanese translation for the thunar module
	  Updated Sinhalese translation for the libxfcegui4 trunk module

2008-09-23 20:06  lars

	* po/da.po:
	  

2008-09-23 19:36  lars

	* po/ChangeLog, po/da.po:
	  * da.po: Danish translation updated
	  
	  

2008-09-21 00:09  jannis

	* ChangeLog, panel/panel-dialogs.c:
	  * panel/panel-dialogs.c: Use gtk_list_store_clear() on the model
	  of
	  the panel selector combo box instead of calling
	  gtk_combo_box_remove_text() several times in a row when
	  destroying
	  panel. This fixes bug #4401 (xfce4-panel halted when a panel was
	  removed).

2008-09-13 13:16  lars

	* po/da.po:
	  

2008-09-12 10:04  mmassonnet

	* po/ChangeLog, po/fr.po:
	  update french translation

2008-09-11 17:50  nick

	* plugins/systray/xfce-tray-widget.c:
	  Fix dependency on glib 2.14, bug 4376

2008-09-08 19:55  nick

	* configure.in.in:
	  * Improve wnck version checking.

2008-09-07 20:51  stephan

	* ChangeLog, configure.in.in:
	  Remove svn tag
	  Remove xfce_4_6_alpha tag
	  Bump version requirements for xfce libs
	  Update ChangeLog

2008-08-30 22:04  jannis

	* ChangeLog, autogen.sh:
	  * autogen.sh: Don't print errors when trying to detect the
	  revision
	  of a git svn repository.

2008-08-25 13:21  kelnos

	* ChangeLog, mcs-plugin/Makefile.am,
	  mcs-plugin/xfce4-panel-manager.desktop.in:
	  include panel settings dialog in new settings manager

2008-08-17 19:49  stephan

	* configure.in.in:
	  Bump version number

2008-08-17 19:48  stephan

	* configure.in.in, docs/API/tmpl/libxfce4panel-macros.sgml,
	  docs/API/tmpl/libxfce4panel-unused.sgml,
	  docs/API/tmpl/xfce-hvbox.sgml, docs/API/tmpl/xfce-itembar.sgml,
	  docs/API/tmpl/xfce-panel-enums.sgml,
	  docs/API/tmpl/xfce-panel-external-plugin.sgml,
	  docs/API/tmpl/xfce-panel-internal-plugin.sgml,
	  docs/API/tmpl/xfce-panel-plugin-iface.sgml,
	  docs/API/tmpl/xfce-panel-plugin.sgml,
	  docs/API/tmpl/xfce-panel-window.sgml:
	  Update version number (and docs)

2008-08-15 18:35  nick

	* plugins/clock/clock-digital.c:
	  * Don't return if the format is NULL, but fallback to the
	  default format instead.

2008-08-14 16:29  nick

	* plugins/clock/clock-analog.c, plugins/clock/clock-binary.c,
	  plugins/clock/clock-lcd.c:
	  * Clip the clock drawing areas.

2008-08-10 21:42  maximilian

	* po/ChangeLog, po/ko.po, po/pl.po:
	  Translations updated and added in Indonesian, Korean and Polish.

2008-08-10 13:50  nick

	* plugins/clock/clock-lcd.c:
	  * Fix drawing a of the lcd clock, improve rounding and
	  some code improvements (readability).

2008-08-10 11:43  nick

	* plugins/clock/clock-analog.c, plugins/clock/clock-binary.c,
	  plugins/clock/clock-dialog.c, plugins/clock/clock-digital.c,
	  plugins/clock/clock-lcd.c, plugins/clock/clock.c:
	  * Fix problems with the lcd clock (Bug #3960). Also
	  use new tooltip api when available.

2008-08-02 14:56  nick

	* plugins/clock/clock-lcd.c:
	  * Add 1px to the width to avoid drawing outside the
	  width due to rounding errors. Bug 3960.

2008-08-02 14:45  nick

	* configure.in.in, panel/Makefile.am, panel/xfce4-iconbox,
	  panel/xftaskbar4:
	  * Set mcs plugin default to false.
	  * Remove dummy scripts.

2008-08-02 14:39  nick

	* config/launcher-10.rc.in:
	  * Use web-browser icon. Bug 4181.

2008-08-02 08:46  nick

	* panel/panel-config.c:
	  * Write the panel config using g_file_set_contents, which does
	  some
	  better error check before writing the file. This will probably
	  also fix bug #4190 because it check if all the bits and bytes
	  are
	  written before the file is renamed.

2008-08-01 20:19  nick

	* ChangeLog, libxfce4panel/xfce-hvbox.c, mcs-plugin/Makefile.am,
	  panel/panel-app.c, panel/panel-app.h, panel/panel-config.c,
	  panel/panel-dialogs.c, panel/panel-item-manager.c,
	  panel/panel-properties.c, panel/panel.c,
	  plugins/clock/clock-dialog.c,
	  plugins/launcher/launcher-dialog.c, plugins/launcher/launcher.c,
	  plugins/launcher/launcher.h, po/de.po:
	  * Fix a bunch of compiler warnings.
	  * Remove deprecated gtk_type_class.
	  * Fix icon update hook in launcher, this is bothering me for a
	  long time.
	  * Install settings desktop file in
	  $(datadir)/xfce4/settings-dialogs too.
	  * Fix german typo: Bug 4066.
	  * Fix dnd to launcher: Bug 3958.

2008-07-22 01:57  omaciel

	* po/ChangeLog, po/pt_BR.po:
	  Updated Brazilian Portuguese translation.

2008-07-17 13:49  jasper

	* panel/panel.c:
	  Don't allow quit/restart in kiosk mode (bug #4160).

2008-07-16 08:56  jasper

	* panel/panel-private.h, panel/panel-properties.c:
	  64-bit fix: X properties should be gulong, not guint: opacity
	  setting fixed.

2008-07-15 11:05  jannis

	* ChangeLog, autogen.sh:
	  * autogen.sh: Change @REVISION@ substitution for git svn
	  repositories
	  again.

2008-07-09 22:23  jannis

	* autogen.sh:
	  I guess this is better.

2008-07-09 21:58  jannis

	* ChangeLog, autogen.sh:
	  * autogen.sh: Fix @REVISION@ subsitution when using git svn.

2008-07-09 09:58  mvd

	* po/uk.po:
	  Maxim Dziumanenko <dziumanenko@gmail.com>
	  
	  Updated Ukrainian translation

2008-06-26 22:09  maximilian

	* po/ChangeLog, po/gl.po:
	  Translations added and updated for most trunk packages (gl)

2008-06-25 21:45  maximilian

	* po/ChangeLog, po/id.po:
	  Translations updates for the mixer, panel and xfdesktop trunk
	  packages (id)

2008-06-22 10:57  mmassonnet

	* po/ChangeLog, po/LINGUAS, po/id.po:
	  update-po

2008-05-27 07:30  erenturkay

	* po/ChangeLog, po/tr.po:
	  * Update Turkish translation

2008-05-27 00:25  mmassonnet

	* po/ChangeLog, po/LINGUAS, po/da.po:
	  update-po

2008-05-13 09:23  mmassonnet

	* po/ChangeLog, po/en_GB.po:
	  update en_GB translations

2008-05-08 05:57  kelnos

	* plugins/launcher/launcher-dialog.c:
	  pass dialog as the parent of file chooser so it appears on the
	  right screen

2008-05-08 05:57  kelnos

	* autogen.sh:
	  get svn rev from trunk, not HEAD

2008-05-04 13:30  omaciel

	* po/ChangeLog, po/pt_BR.po:
	  Updated Brazilian Portuguese translation.

2008-05-02 21:17  piarres

	* po/ChangeLog, po/eu.po:
	  Basque translation update

2008-04-27 13:39  mmassonnet

	* po/ChangeLog, po/LINGUAS, po/ku.po:
	  Add Kurdish translation

2008-04-22 02:33  omaciel

	* po/ChangeLog, po/pt_BR.po:
	  Updated Brazilian Portuguese translation

2008-04-12 09:54  mmassonnet

	* po/ChangeLog, po/lv.po:
	  Update Latvian translation

2008-03-30 17:34  mmassonnet

	* po/ChangeLog, po/ca.po:
	  Update Catalan translation

2008-03-18 13:18  mmassonnet

	* po/ChangeLog, po/pt_PT.po:
	  Update Portuguese translation

2008-03-18 12:36  mmassonnet

	* po/ChangeLog, po/ca.po:
	  Update Catalan translation

2008-03-12 10:19  jari

	* po/ChangeLog, po/fi.po:
	  Updated Finnish translation

2008-03-12 08:16  pollux

	* po/ChangeLog, po/de.po:
	  Update German translations by Enrico Tröger

2008-03-09 19:50  nick

	* panel/panel-dialogs.c, panel/panel-dnd.c, panel/panel-dnd.h,
	  panel/panel-private.h, panel/panel-properties.c, panel/panel.c:
	  * Commit improved dnd code from the 4.4 branch.

2008-03-05 04:47  mmassonnet

	* po/am.po:
	  Update Amharic translation

2008-03-05 04:29  mmassonnet

	* po/ChangeLog, po/ru.po:
	  Update Russian translation

2008-03-05 04:11  mmassonnet

	* po/ChangeLog, po/zh_CN.po:
	  Update Chinese translation

2008-02-19 19:57  stavrosg

	* po/ChangeLog, po/el.po:
	  * el.po: Improve/update translation.

2008-02-19 18:18  mmassonnet

	* po/ChangeLog, po/fr.po:
	  xfce4-panel: Fix fuzzy string in French translation

2008-02-19 17:12  mmassonnet

	* po/ChangeLog, po/fr.po:
	  French translation: fix two accelerators

2008-02-18 12:42  nick

	* plugins/tasklist/tasklist.c:
	  * Use the first size hint from the tasklist. This behaviour
	  looks more like the old behaviour of the panel and avoids
	  unnecessarily grouping of buttons.

2008-02-18 07:59  nick

	* plugins/clock/clock.c:
	  * Fix another NULL case in the clock, path by Enrico Troger

2008-02-17 20:30  nick

	* plugins/clock/clock.c:
	  * return hour update interval when the string is null.

2008-02-15 14:51  mmassonnet

	* po/ChangeLog, po/LINGUAS, po/si.po:
	  Merge Sinhala translation from xfce 4.4 branch to trunk

2008-01-14 01:09  jannis

	* ChangeLog, configure.in.in:
	  * configure.in.in: Fix debugging support for SVN snapshots.
	  Until now
	  the default setting never was applied.
	  * libxfce4panel/xfce-panel-plugin-iface.c,
	  panel/panel-properties.c: To prevent panel items from increasing
	  the
	  panel size, set the height of the XfceItembar instead of setting
	  the
	  size specifically for all items.
	  * libxfce4panel/xfce-panel-plugin-iface.c: Allow attach_widget
	  to be
	  NULL in call to xfce_panel_plugin_position_widget() and fix up
	  the
	  API documentation. Patch by Diego Ongaro and a few bits from me.
	  * plugins/windowlist/windowlist.c: fix for popup menu at pointer
	  position. Another patch by Diego.
	  * libxfce4panel/*, docs/API/*: Remove the html and xml
	  directories,
	  those are generated by gtk-doc, 100% symbol coverage and improve
	  the layout of the chapters.
	  * plugins/clock/clock-digital.c: Allow markup and center the
	  string.
	  * plugins/clock/*: Move the localtime functions into 1 util and
	  allow
	  usage without locatime_r.
	  * plugins/clock/clock-lcd.c: Typo, the 8 was test code.
	  * plugins/clock/*: Import code.
	  * NEWS: update.
	  * Configure.in.in: Bump GTK dependency to 2.8.0 and add cairo as
	  new dependency.
	  * po/*: Merge new strings.
	  * libxfce4panel/xfce-panel-macros.h: Add macros to disable
	  debugging for
	  release builds.
	  

2008-01-09 16:46  maximilian

	* po/ChangeLog, po/nb_NO.po:
	  Norwegian Bokmal translation update in Xfce trunk

2008-01-05 21:12  sas

	* po/hu.po:
	  hu trunk: little updates

2007-12-30 09:33  jasper

	* autogen.sh:
	  Add back LINGUAS substitution.
	  
	  Previous commit mistakenly removed the LINGUAS substitution.

2007-12-28 15:31  jasper

	* autogen.sh:
	  Update autogen.sh to work in git repositories.
	  
	  Modification as suggested by benny.

2007-12-23 16:01  pollux

	* po/ChangeLog, po/pt_PT.po:
	  Updated Portuguese translations by Nuno Miguel
	  <nunis@netcabo.pt>

2007-12-18 06:05  mmassonnet

	* po/ChangeLog, po/fr.po:
	  xarchiver, thunar, xfce4-panel, terminal: Update french
	  translation

2007-12-16 17:12  majkl

	* po/cs.po:
	  Czech translations updated

2007-12-14 10:14  nick

	* plugins/clock/clock-dialog.c:
	  * No need to include this header.

2007-12-13 10:25  nick

	* configure.in.in, panel/panel-app.c:
	  * Don't allow deprecated glib functions.
	  * Replace deprecated io channel function.

2007-12-13 09:51  nick

	* configure.in.in:
	  * Don't allow deprecated Xfce code in the panel.

2007-12-13 09:36  nick

	* configure.in.in:
	  * Depend on libxfcegui4 trunk because of the session_free
	  changes.

2007-12-12 12:00  nick

	* plugins/systray/xfce-tray-dialogs.c,
	  plugins/systray/xfce-tray-plugin.c,
	  plugins/systray/xfce-tray-widget.c,
	  plugins/systray/xfce-tray-widget.h, po/am.po, po/ar.po,
	  po/az.po, po/be.po, po/bg.po, po/bn_IN.po, po/ca.po, po/cs.po,
	  po/de.po, po/dz.po, po/el.po, po/en_GB.po, po/eo.po, po/es.po,
	  po/es_MX.po, po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po,
	  po/gl.po, po/gu.po, po/he.po, po/hi.po, po/hu.po, po/hy.po,
	  po/it.po, po/ja.po, po/ka.po, po/ko.po, po/lt.po, po/lv.po,
	  po/mk.po, po/mr.po, po/ms.po, po/nb_NO.po, po/nl.po, po/pa.po,
	  po/pl.po, po/pt_BR.po, po/pt_PT.po, po/ro.po, po/ru.po,
	  po/sk.po, po/sq.po, po/sv.po, po/ta.po, po/tr.po, po/uk.po,
	  po/ur.po, po/vi.po, po/xfce4-panel.pot, po/zh_CN.po,
	  po/zh_TW.po:
	  * Add clear button in system tray dialog to remove
	  the list of known applications. (bug #3714)

2007-12-07 23:03  maximilian

	* po/ChangeLog, po/nb_NO.po:
	  Norwegian Bokmal translations update in terminal, thunar,
	  xfce-mcs-plugins and xfce4-panel

2007-12-07 10:38  piarres

	* po/ChangeLog, po/eu.po:
	  Basque trasnaltion update for trunk

2007-12-02 09:48  nick

	* plugins/systray/xfce-tray-manager.c:
	  * Enable double buffering, maybe that fixes some flickering
	  issues.

2007-11-21 15:58  nick

	* panel/panel-app.c:
	  * Ok, now without segfault.

2007-11-21 15:22  nick

	* panel/panel-app.c:
	  * Fix leaks in session management.

2007-11-21 10:21  nick

	* plugins/clock/clock-dialog.c, plugins/clock/clock-lcd.c,
	  plugins/clock/clock.c, plugins/clock/clock.h:
	  * Add option to lcd clock to flash the time separators.

2007-11-21 09:52  nick

	* plugins/clock/clock-dialog.c, plugins/clock/clock-lcd.c:
	  * Always make the lcd clock digit size a multiple of ten to draw
	  sharp digits.
	  * Center the lcd clock on a vertical panel.
	  * Increase dialog vbox border.

2007-11-19 14:44  nick

	* plugins/systray/xfce-tray-plugin.c:
	  * err. this should be swapped.

2007-11-19 14:31  nick

	* plugins/systray/xfce-tray-widget.c:
	  * Handle the child size for hidden panels.

2007-11-19 14:00  nick

	* plugins/systray/xfce-tray-dialogs.c,
	  plugins/systray/xfce-tray-widget.c:
	  * Add fallback icon path, add google desktop.
	  * Fix initial size unset on start with icons that respect all
	  allocated sizes.

2007-11-19 12:38  nick

	* plugins/systray/xfce-tray-widget.c:
	  * Use last allocated child size in size request.

2007-11-19 09:47  nick

	* plugins/systray/xfce-tray-widget.c:
	  * Fix typo that cuts of icons.
	  * Fix overflow icons.

2007-11-18 17:43  nick

	* plugins/systray/xfce-tray-dialogs.c,
	  plugins/systray/xfce-tray-plugin.c:
	  * Give icons all the panel size when the frame is disabled.

2007-11-18 17:19  nick

	* plugins/systray/xfce-tray-dialogs.c,
	  plugins/systray/xfce-tray-plugin.c,
	  plugins/systray/xfce-tray-plugin.h,
	  plugins/systray/xfce-tray-widget.c:
	  * Fix issues with 2.10 invisible icons. They are now properly
	  hidden (not even the 1px icon that appeared in the old
	  version of the tray).
	  * The hack above also fixed initial icon requests :-), so the
	  previous commit was partly removed.

2007-11-18 15:05  nick

	* plugins/systray/xfce-tray-dialogs.c,
	  plugins/systray/xfce-tray-plugin.c,
	  plugins/systray/xfce-tray-plugin.h,
	  plugins/systray/xfce-tray-widget.c,
	  plugins/systray/xfce-tray-widget.h:
	  * Improve the icons sizing a bit, the initial icon size should
	  be better now.
	  * Icon spacing is now 2px. The previously 1px was a bit too
	  small for me.

2007-11-17 14:31  mmassonnet

	* po/ChangeLog, po/fr.po:
	  fr.po: Rename name in .desktop files with consistency

2007-11-16 15:32  nick

	* plugins/systray/xfce-tray-dialogs.c,
	  plugins/systray/xfce-tray-dialogs.h,
	  plugins/systray/xfce-tray-manager.c,
	  plugins/systray/xfce-tray-manager.h,
	  plugins/systray/xfce-tray-plugin.c,
	  plugins/systray/xfce-tray-plugin.h,
	  plugins/systray/xfce-tray-widget.c,
	  plugins/systray/xfce-tray-widget.h:
	  * Reorder things here. The widget is now a normal gtk_container
	  widget. Should fix problems with un-shown icons.
	  * Users can set the number of lines in the tray.
	  * Move application name code from the manager to the widget and
	  use a hash table for faster lookups.
	  * The plugin now holds the manager instance, this makes more
	  sence.

2007-11-15 09:14  mmassonnet

	* po/ChangeLog, po/LINGUAS, po/ur.po:
	  Add Urdu translations to trunk (hope this is right *sigh*)

2007-11-11 03:25  mmassonnet

	* po/ChangeLog, po/lv.po:
	  Update latvian

2007-11-05 05:37  mmassonnet

	* po/ChangeLog, po/fr.po:
	  Update fr translation

2007-11-03 10:25  maximilian

	* po/ChangeLog, po/fr.po:
	  French, Italian, Norwegian Bokmal Updates in some branch 4.4
	  modules and French translation updates in some trunk modules.

2007-11-03 05:42  erenturkay

	* po/ChangeLog, po/tr.po:
	  * update Turkish translation

2007-10-28 19:18  nick

	* plugins/systray/xfce-tray-manager.c,
	  plugins/systray/xfce-tray-widget.c:
	  * Another attempt to fix tray icons.

2007-10-28 17:05  nick

	* plugins/pager/pager.c:
	  * Fix the large dnd icons in the pager. Quote of
	  the day:
	  
	  "Windows are huge, so make the icons huge too"
	  -- Wnck

2007-10-26 18:56  nick

	* plugins/systray/xfce-tray-widget.c:
	  extra check for an arrow button

2007-10-25 18:23  nick

	* plugins/tasklist/tasklist.c, plugins/tasklist/tasklist.h:
	  * Force size on taskbar maybe that fixes the weird problem
	  Jannis has.

2007-10-23 09:17  nick

	* configure.in.in, plugins/systray/Makefile.am, po/POTFILES.in,
	  po/am.po, po/ar.po, po/az.po, po/be.po, po/bg.po, po/bn_IN.po,
	  po/ca.po, po/cs.po, po/de.po, po/dz.po, po/el.po, po/en_GB.po,
	  po/eo.po, po/es.po, po/es_MX.po, po/et.po, po/eu.po, po/fa.po,
	  po/fi.po, po/fr.po, po/gl.po, po/gu.po, po/he.po, po/hi.po,
	  po/hu.po, po/hy.po, po/it.po, po/ja.po, po/ka.po, po/ko.po,
	  po/lt.po, po/lv.po, po/mk.po, po/mr.po, po/ms.po, po/nb_NO.po,
	  po/nl.po, po/pa.po, po/pl.po, po/pt_BR.po, po/pt_PT.po,
	  po/ro.po, po/ru.po, po/sk.po, po/sq.po, po/sv.po, po/ta.po,
	  po/tr.po, po/uk.po, po/vi.po, po/xfce4-panel.pot, po/zh_CN.po,
	  po/zh_TW.po:
	  * Fix dist-check and regenerate po files.

2007-10-21 13:31  nick

	* plugins/iconbox/iconbox.c, plugins/windowlist/windowlist.c:
	  * Fix functions calls when HAVE_WNCK_TWO_POINT_TWENTY is not
	  defined.

2007-10-21 09:42  sas

	* po/hu.po:
	  hu trunk: little updates

2007-10-20 11:23  nick

	* configure.in.in, plugins/iconbox/iconbox.c,
	  plugins/windowlist/windowlist.c:
	  Add fix for api break between 2.18 and 2.20

2007-10-20 10:33  nick

	* configure.in.in, plugins/iconbox/Makefile.am,
	  plugins/iconbox/iconbox.c, plugins/pager/Makefile.am,
	  plugins/pager/pager.c, plugins/pager/xfce-pager.c,
	  plugins/pager/xfce-pager.h, plugins/showdesktop/Makefile.am,
	  plugins/showdesktop/showdesktop.c, plugins/tasklist/Makefile.am,
	  plugins/tasklist/tasklist-dialogs.c,
	  plugins/tasklist/tasklist-dialogs.h,
	  plugins/tasklist/tasklist.c, plugins/tasklist/tasklist.h,
	  plugins/windowlist/Makefile.am, plugins/windowlist/windowlist.c,
	  plugins/windowlist/windowlist.h:
	  * Switch to libwnck.

2007-10-20 10:32  nick

	* libxfce4panel/xfce-itembar.c, libxfce4panel/xfce-itembar.h,
	  libxfce4panel/xfce-panel-plugin-iface.c,
	  libxfce4panel/xfce-panel-plugin-iface.h,
	  libxfce4panel/xfce-panel-window.c, panel/panel-app.c,
	  panel/panel-dialogs.c, panel/panel-properties.c, panel/panel.c:
	  * Some fixes of the wnck patch (which will be committed after
	  this one).
	  * Rewrite itembar code so it can handle larger size requests
	  then the
	  screen size. This version is also a bit faster I think (less
	  loops,
	  less memory allocation).
	  * Use the new maximum itembar width in the panel code.

2007-10-20 09:22  nick

	* plugins/launcher/launcher-exec.c:
	  * Set the startup notification icon and name. In preperation
	  of the wnck switch.

2007-10-19 21:17  nick

	* plugins/systray/xfce-tray-manager.c,
	  plugins/systray/xfce-tray-manager.h,
	  plugins/systray/xfce-tray-plugin.c,
	  plugins/systray/xfce-tray-plugin.h,
	  plugins/systray/xfce-tray-widget.c,
	  plugins/systray/xfce-tray-widget.h:
	  * Fix issue with unmapped icons (which was 'fixed' by
	  adding them delayed to the tray). We now enter
	  the main loop until the remote window is mapped, then
	  the icon is added to the tray.
	  * Fix crash when switching screens, the manager will
	  now try to register to the new screen. and the style
	  is properly applied.
	  * Destroy button on remap.

2007-10-17 09:21  nick

	* plugins/launcher/launcher-dialog.c:
	  * Fix problem with unnamed items in the launcher dialog.
	  Reported by Mike.

2007-10-17 09:15  nick

	* plugins/clock/clock-lcd.c, plugins/clock/clock.c:
	  * Resize the lcd clock when the number of hour digits changed.
	  Reported by Moritz.

2007-10-17 08:51  nick

	* panel/panel-properties.c:
	  * update itembar size request after the orientation changed

2007-10-06 17:00  mmassonnet

	* po/ChangeLog, po/LINGUAS, po/lv.po:
	  * libexo, libxfce4util, xfcalendar, xfce4-panel, xfce4-session,
	  xfce-mcs-plugins,
	  xfdesktop, xfprint, xfwm4: Add Latvian translation.

2007-10-01 19:21  jasper

	* ChangeLog, libxfce4panel/xfce-panel-plugin-iface.c,
	  panel/panel-properties.c, plugins/windowlist/windowlist.c:
	  * libxfce4panel/xfce-panel-plugin-iface.c,
	  panel/panel-properties.c: To prevent panel items from increasing
	  the
	  panel size, set the height of the XfceItembar instead of setting
	  the
	  size specifically for all items.
	  * libxfce4panel/xfce-panel-plugin-iface.c: Allow attach_widget
	  to be
	  NULL in call to xfce_panel_plugin_position_widget() and fix up
	  the
	  API documentation. Patch by Diego Ongaro and a few bits from me.
	  * plugins/windowlist/windowlist.c: fix for popup menu at pointer
	  position. Another patch by Diego.

2007-10-01 18:19  mmassonnet

	* po/ChangeLog, po/de.po:
	  * libxfcegui4, xfce4-panel, xfwm4, xarchiver, xfcalendar: Update
	  german
	  translation.

2007-09-30 18:27  nick

	* libxfce4panel/libxfce4panel.symbols:
	  * Make new function public ;).

2007-09-30 18:14  jasper

	* ChangeLog, libxfce4panel/xfce-panel-plugin-iface.c,
	  libxfce4panel/xfce-panel-plugin-iface.h,
	  plugins/launcher/launcher.c, plugins/windowlist/windowlist.c:
	  * libxfce4panel/xfce-panel-plugin-iface.c,
	  libxfce4panel/xfce-panel-plugin-iface.h,
	  plugins/launcher/launcher.c,
	  plugins/windowlist/windowlist.c: API change for popup menu
	  functions.
	  The API now consists of three functions:
	  xfce_panel_plugin_arrow_type(),
	  xfce_panel_plugin_position_widget(),
	  and xfce_panel_plugin_menu_position_func(). This last function
	  is
	  intended to be used as a callback function for gtk_menu_popup().
	  
	  * plugins/windowlist/windowlist.c: Remove orientation change
	  handler.
	  There is no need to check both for orientation changes and
	  screen
	  position changes.
	  
	  * plugins/windowlist/windowlist.c: Set size for plugin widget
	  instead
	  of button. The size is not properly updated on orientation
	  changes
	  otherwise.

2007-09-30 08:54  paurullan

	* po/ChangeLog, po/ca.po:
	  Some catalan updates

2007-09-28 11:46  jasper

	* ChangeLog, libxfce4panel/xfce-panel-plugin-iface.c,
	  libxfce4panel/xfce-panel-plugin-iface.h,
	  plugins/launcher/launcher.c, plugins/windowlist/windowlist.c:
	  Add convenience functions for
	  plugin popup menus and adjust launcher and windowlist to make
	  use of the new functionality. Patches by Diego Ongaro.

2007-09-24 01:41  mmassonnet

	* po/ChangeLog, po/ko.po:
	  * thunar, xfce4-panel: Update Korean translation
	  * libxfce4menu, libxfcegui4, mousepad, squeeze, xfce4-appfinder,
	  xfce4-icon-theme, xfce4-mixer, xfce4-terminal,
	  xfce4-trigger-launcher,
	  xfce-mcs-manager, xfce-utils: Add Latvian translation

2007-09-22 19:12  peetervois

	* po/et.po:
	  Estonian translation update

2007-09-20 22:14  alnokta

	* po/ar.po:
	  Updating Arabic translations

2007-09-17 03:31  alnokta

	* po/ar.po:
	  Updating Arabic translations

2007-09-13 08:14  nick

	* plugins/systray/xfce-tray-manager.c,
	  plugins/systray/xfce-tray-manager.h:
	  * Disable the message code in the tray manager.

2007-09-12 19:53  piarres

	* po/ChangeLog, po/eu.po:
	  xfce4-panel basque translation update

2007-09-10 16:01  nick

	* plugins/systray/xfce-tray-dialogs.c,
	  plugins/systray/xfce-tray-dialogs.h,
	  plugins/systray/xfce-tray-manager.c,
	  plugins/systray/xfce-tray-manager.h,
	  plugins/systray/xfce-tray-plugin.c,
	  plugins/systray/xfce-tray-plugin.h,
	  plugins/systray/xfce-tray-widget.c,
	  plugins/systray/xfce-tray-widget.h:
	  * Slightly delay adding icons to the tray (250ms). This
	  should fix the invisible icons problem. I've no idea
	  why this happens, because everything is visible, mapped
	  and realized, but since it happens about 50% of the time,
	  it looks like some sort of race condition (bug appeard after
	  improving the tray redraw code).
	  * Cleanup trailing spaces.

2007-09-10 12:04  nick

	* libxfce4panel/xfce-panel-plugin-iface.c,
	  plugins/launcher/launcher-dialog.c,
	  plugins/launcher/launcher-dialog.h,
	  plugins/launcher/launcher-exec.c,
	  plugins/launcher/launcher-exec.h, plugins/launcher/launcher.c,
	  plugins/launcher/launcher.h, plugins/systray/xfce-tray-widget.c,
	  po/am.po, po/ar.po, po/az.po, po/be.po, po/bg.po, po/bn_IN.po,
	  po/ca.po, po/cs.po, po/de.po, po/dz.po, po/el.po, po/en_GB.po,
	  po/eo.po, po/es.po, po/es_MX.po, po/et.po, po/eu.po, po/fa.po,
	  po/fi.po, po/fr.po, po/gl.po, po/gu.po, po/he.po, po/hi.po,
	  po/hu.po, po/hy.po, po/it.po, po/ja.po, po/ka.po, po/ko.po,
	  po/lt.po, po/mk.po, po/mr.po, po/ms.po, po/nb_NO.po, po/nl.po,
	  po/pa.po, po/pl.po, po/pt_BR.po, po/pt_PT.po, po/ro.po,
	  po/ru.po, po/sk.po, po/sq.po, po/sv.po, po/ta.po, po/tr.po,
	  po/uk.po, po/vi.po, po/xfce4-panel.pot, po/zh_CN.po,
	  po/zh_TW.po:
	  Launcher:
	  * Finish arrow position code (Bug #1046 and Bug #2985).
	  * Code cleanups and fixes.
	  
	  Libxfce4panel:
	  * Force plugins to use the panel size.
	  
	  Po:
	  * Merge strings

2007-09-09 22:43  nab

	* po/ChangeLog, po/be.po:
	  2007-09-10 Alexander Nyakhaychyk <nyakhaychyk@gmail.com>
	  
	  * be.po: Updated Belarusian translation

2007-09-09 10:26  majkl

	* po/cs.po:
	  Updated Czech translations

2007-09-06 18:16  maximilian

	* po/ChangeLog, po/LINGUAS, po/am.po:
	  Added a long waiting Amharic translation for trunk.

2007-09-06 07:20  nick

	* plugins/systray/xfce-tray-plugin.c,
	  plugins/systray/xfce-tray-widget.c,
	  plugins/systray/xfce-tray-widget.h:
	  * Improve redrawing of the tray and set the plugin size.

2007-09-05 11:55  nick

	* panel/panel-dialogs.c:
	  * Same fix as in xfce_4_4 branch.

2007-09-04 20:48  nick

	* plugins/systray/Makefile.am, plugins/systray/xfce-tray-plugin.c:
	  * #if 0 the xfce_tray_plugin_size_allocated code,
	  since if can end up in a loop.

2007-09-04 19:26  nick

	* plugins/systray/xfce-tray-plugin.c:
	  * Add signal to monitor the real panel size.

2007-09-03 19:35  nick

	* plugins/systray/xfce-tray-dialogs.c:
	  * Some improvements in the system tray dialog.

2007-09-03 06:44  nick

	* plugins/systray/xfce-tray-dialogs.c,
	  plugins/systray/xfce-tray-widget.c:
	  * Increase the size and space of the properties dialog.
	  * Allow right-click on the arrow button to open the panel menu.

2007-09-02 11:47  nick

	* NEWS, plugins/systray/Makefile.am, plugins/systray/systray.c,
	  plugins/systray/xfce-tray-dialogs.c,
	  plugins/systray/xfce-tray-dialogs.h,
	  plugins/systray/xfce-tray-manager.c,
	  plugins/systray/xfce-tray-manager.h,
	  plugins/systray/xfce-tray-marshal.list,
	  plugins/systray/xfce-tray-plugin.c,
	  plugins/systray/xfce-tray-plugin.h,
	  plugins/systray/xfce-tray-widget.c,
	  plugins/systray/xfce-tray-widget.h, po/POTFILES.in, po/ar.po,
	  po/az.po, po/be.po, po/bg.po, po/bn_IN.po, po/ca.po, po/cs.po,
	  po/de.po, po/dz.po, po/el.po, po/en_GB.po, po/eo.po, po/es.po,
	  po/es_MX.po, po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po,
	  po/gl.po, po/gu.po, po/he.po, po/hi.po, po/hu.po, po/hy.po,
	  po/it.po, po/ja.po, po/ka.po, po/ko.po, po/lt.po, po/mk.po,
	  po/mr.po, po/ms.po, po/nb_NO.po, po/nl.po, po/pa.po, po/pl.po,
	  po/pt_BR.po, po/pt_PT.po, po/ro.po, po/ru.po, po/sk.po,
	  po/sq.po, po/sv.po, po/ta.po, po/tr.po, po/uk.po, po/vi.po,
	  po/xfce4-panel.pot, po/zh_CN.po, po/zh_TW.po:
	  * plugins/systray: Rewrite of the system tray plugin. This
	  should
	  fix the icon size problems (Bugs 3213, 3176, 962, 3478 and
	  3417),
	  add option to hide icons in the tray, sort icons by application
	  name and support multiple lines based on the panel size. The
	  tray manager code is now integrated in the plugin, so it can be
	  removed from libxfcegui4.
	  * NEWS: update
	  * po/: merge strings

2007-08-24 23:20  mmassonnet

	* po/ChangeLog, po/pt_PT.po:
	  * po/pt_PT.po: European Portuguese update

2007-08-21 23:42  mmassonnet

	* po/ChangeLog, po/pt_PT.po:
	  Update European Portuguese for xfce4-panel/trunk.

2007-08-15 09:53  alnokta

	* po/ar.po:
	  Updating Arabic translations

2007-08-14 19:48  majkl

	* po/cs.po:
	  Updated Czech translations

2007-08-12 14:16  nick

	* libxfce4panel/xfce-panel-plugin-iface.c, plugins/clock/clock.c,
	  plugins/launcher/launcher.c, plugins/windowlist/windowlist.c:
	  Fix some issues with config file loading and make the api docs a
	  bit more clear about this. This should also fix the default
	  setup load problems with plugins.

2007-07-30 19:21  jasper

	* NEWS, panel/panel-properties.c:
	  Fix window manager hints reporting width 1 pixel too wide (bug
	  #3402).

2007-07-22 05:15  sas

	* po/hu.po:
	  [intl:hu] updates in trunk

2007-07-14 03:04  daichi

	* po/ChangeLog, po/ja.po:
	  Added/Updated Japanese translations.

2007-07-13 11:20  piarres

	* po/ChangeLog, po/eu.po:
	  xfce4-panel Basque translation update

2007-07-10 09:52  nick

	* docs/API/tmpl/libxfce4panel-macros.sgml:
	  Improve the api lines

2007-07-09 20:40  nick

	* docs/API/libxfce4panel.types:
	  Include those

2007-07-09 19:58  nick

	* docs/API/libxfce4panel-docs.sgml,
	  libxfce4panel/xfce-panel-plugin-iface.h,
	  libxfce4panel/xfce-panel-plugin.h:
	  * Set functions that are available since 4.5.

2007-07-09 19:51  nick

	* ChangeLog, configure.in.in, docs/API/Makefile.am, docs/API/html,
	  docs/API/libxfce4panel-decl-list.txt,
	  docs/API/libxfce4panel-decl.txt,
	  docs/API/libxfce4panel-docs.sgml,
	  docs/API/libxfce4panel-sections.txt,
	  docs/API/libxfce4panel-undocumented.txt,
	  docs/API/libxfce4panel.types,
	  docs/API/tmpl/libxfce4panel-macros.sgml,
	  docs/API/tmpl/libxfce4panel-unused.sgml,
	  docs/API/tmpl/xfce-arrow-button.sgml,
	  docs/API/tmpl/xfce-hvbox.sgml, docs/API/tmpl/xfce-itembar.sgml,
	  docs/API/tmpl/xfce-panel-convenience.sgml,
	  docs/API/tmpl/xfce-panel-enums.sgml,
	  docs/API/tmpl/xfce-panel-external-plugin.sgml,
	  docs/API/tmpl/xfce-panel-internal-plugin.sgml,
	  docs/API/tmpl/xfce-panel-plugin-iface.sgml,
	  docs/API/tmpl/xfce-panel-plugin.sgml,
	  docs/API/tmpl/xfce-panel-window.sgml, docs/API/xml,
	  libxfce4panel/xfce-arrow-button.c, libxfce4panel/xfce-hvbox.c,
	  libxfce4panel/xfce-itembar.c,
	  libxfce4panel/xfce-panel-convenience.c,
	  libxfce4panel/xfce-panel-enums.h,
	  libxfce4panel/xfce-panel-plugin-iface.c,
	  plugins/clock/clock-analog.c:
	  * libxfce4panel/*, docs/API/*: Remove the html and xml
	  directories,
	  those are generated by gtk-doc, 100% symbol coverage and improve
	  the layout of the chapters.

2007-07-08 11:36  jasper

	* libxfce4panel/xfce-itembar.c:
	  Fix size allocation with multiple expanding items.

2007-07-08 10:03  nick

	* ChangeLog, plugins/clock/clock-analog.c,
	  plugins/clock/clock-binary.c, plugins/clock/clock-dialog.c,
	  plugins/clock/clock-digital.c, plugins/clock/clock-lcd.c,
	  plugins/clock/clock.c, plugins/clock/clock.h:
	  * plugins/clock/clock-digital.c: Allow markup and center the
	  string.
	  * plugins/clock/*: Move the localtime functions into 1 util and
	  allow usage without locatime_r.

2007-07-08 08:27  jasper

	* plugins/separator/separator.c:
	  Small fixes for the separator plugin.

2007-07-07 08:33  nick

	* ChangeLog, plugins/clock/clock-lcd.c:
	  * plugins/clock/clock-lcd.c: Typo, the 8 was test code.

2007-07-06 19:57  nick

	* ChangeLog, NEWS, configure.in.in, plugins/clock/Makefile.am,
	  plugins/clock/clock-analog.c, plugins/clock/clock-analog.h,
	  plugins/clock/clock-binary.c, plugins/clock/clock-binary.h,
	  plugins/clock/clock-dialog.c, plugins/clock/clock-dialog.h,
	  plugins/clock/clock-digital.c, plugins/clock/clock-digital.h,
	  plugins/clock/clock-lcd.c, plugins/clock/clock-lcd.h,
	  plugins/clock/clock.c, plugins/clock/clock.desktop.in.in,
	  plugins/clock/clock.h, po/POTFILES.in, po/ar.po, po/az.po,
	  po/be.po, po/bg.po, po/bn_IN.po, po/ca.po, po/cs.po, po/de.po,
	  po/dz.po, po/el.po, po/en_GB.po, po/eo.po, po/es.po,
	  po/es_MX.po, po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po,
	  po/gl.po, po/gu.po, po/he.po, po/hi.po, po/hu.po, po/hy.po,
	  po/it.po, po/ja.po, po/ka.po, po/ko.po, po/lt.po, po/mk.po,
	  po/mr.po, po/ms.po, po/nb_NO.po, po/nl.po, po/pa.po, po/pl.po,
	  po/pt_BR.po, po/pt_PT.po, po/ro.po, po/ru.po, po/sk.po,
	  po/sq.po, po/sv.po, po/ta.po, po/tr.po, po/uk.po, po/vi.po,
	  po/xfce4-panel.pot, po/zh_CN.po, po/zh_TW.po:
	  * plugins/launcher/launcher-exec.c: Define WAIT_ANY if it's not
	  loading (and yes this might break internal plugins, but the
	  plugin's

2007-07-05 01:55  aalam

	* po/pa.po:
	  updating for Punjabi

2007-06-29 20:17  maximilian

	* po/ChangeLog, po/pt_PT.po:
	  European Portuguese translations update (trunk)

2007-06-26 18:56  jasper

	* panel/main.c, panel/panel-app.c, panel/panel-app.h,
	  panel/panel-config.c:
	  * Adjust the signal io pipe implementation to be basically the
	  same as the one Brian did for xfce-mcs-manager.
	  * Cosmetic changes.

2007-06-24 20:38  jasper

	* libxfce4panel/xfce-itembar.c:
	  use correct return_if_fail macro

2007-06-24 20:19  jasper

	* NEWS, libxfce4panel/xfce-itembar.c,
	  libxfce4panel/xfce-itembar.h, panel/panel-properties.c:
	  Make itembar not care about expanded items when panel is not
	  full width.

2007-06-24 19:36  jasper

	* NEWS, plugins/separator/separator.c:
	  Separator can now have different styles: space, expanded space,
	  line (default), handle and old-style dotted handle. Initial
	  patch by Landry Breuil.

2007-06-20 18:34  jasper

	* plugins/windowlist/windowlist.c:
	  Don't set workspace for sticky windows. Possibly related to bug
	  #3317.

2007-06-10 12:01  jasper

	* panel/panel-dialogs.c, panel/panel-item-manager.c,
	  panel/panel.c, plugins/clock/clock.c:
	  * Use sizeof() to pass buffer sizes for statically alocated
	  buffers.
	  * Fix allocation of resource directories for loading plugins in
	  kiosk mode.

2007-06-09 09:37  maximilian

	* po/ChangeLog, po/fr.po, po/pt_BR.po:
	  Updated the Brazilian Portuguese translations of the libexo,
	  mousepad, xfce-utils, xfce4-panel and xfmedia also in
	  Portuguese.

2007-05-27 08:43  nick

	* ChangeLog, plugins/launcher/launcher-exec.c:
	  * plugins/launcher/launcher-exec.c: Define WAIT_ANY if it's not
	  available in wait.h. Reported by Daichi.

2007-05-25 10:28  nick

	* ChangeLog, plugins/clock/clock.c:
	  * plugins/clock/clock.c: Also reschedule when the clock type
	  changes.

2007-05-25 10:10  nick

	* ChangeLog, plugins/clock/clock.c:
	  * plugins/clock/clock.c: Only update the clock once a minute
	  when
	  seconds are disabled. That should give Auke a couple of minutes
	  extra laptop fun ^_^. (Does not work for the led clock because
	  we always want blinking dots).

2007-05-24 18:25  nick

	* ChangeLog, configure.in.in, panel/Makefile.am,
	  panel/panel-item-manager.c:
	  * panel/panel-item-manager.c: Rewrite some code, internal
	  plugins
	  now need the X-XFCE-Module-Path entry in the desktop file. A
	  warning is shown if they don't have it. This to avoid wrong
	  module
	  loading (and yes this might break internal plugins, but the
	  plugin's
	  desktop file needs to be fixed instead!). Also fixes bug #3279.

2007-05-24 12:01  nick

	* ChangeLog, panel/panel-item-manager.c:
	  * panel/panel-item-manager.c: Improve the module warnings a bit.

2007-05-23 07:45  nick

	* ChangeLog, libxfce4panel/libxfce4panel-1.0.pc.in:
	  * libxfce4panel/libxfce4panel-1.0.pc.in: Restore directories in
	  the pc file.

2007-05-22 20:36  jasper

	* panel/panel-properties.c, plugins/launcher/launcher-exec.c:
	  Fix incorrect hide on drag leave (bug #3091) and fix warning in
	  launcher-exec-c.

2007-05-22 18:35  nick

	* ChangeLog, plugins/launcher/launcher-dialog.c:
	  * plugins/launcher/launcher-dialog.c: Always update the panel
	  icon when dropping
	  a desktop file in the frame.

2007-05-22 18:20  nick

	* ChangeLog, configure.in.in, plugins/launcher/launcher-exec.c:
	  * configure.in.in, plugins/launcher/launcher-exec.c: Avoid
	  zombie processes.

2007-05-20 17:48  jasper

	* libxfce4panel/xfce-panel-plugin.h:
	  Embarrassing typo/bug. Patch from Daichi.

2007-05-20 09:44  jasper

	* NEWS:
	  ..and the NEWS update.

2007-05-20 09:40  jasper

	* plugins/clock/clock.c:
	  Make sure tooltips are set for more than 1 clock instance (bug
	  #3109).

2007-05-17 08:57  jasper

	* libxfce4panel/xfce-panel-plugin-iface.h,
	  libxfce4panel/xfce-panel-plugin.h:
	  Add _EXTERNAL_FULL variant of plugin registration macros, to
	  allow external plugins to call g_thread_init() before gtk_init()
	  is run. Could be useful for other things as well. Should allow
	  Brian to fix bug #3141.

2007-05-15 19:35  jasper

	* NEWS:
	  Update NEWS.

2007-05-15 18:01  jasper

	* panel/panel-properties.c:
	  Fix check for valid stut value to also work with differently
	  sized monitors.

2007-05-13 18:59  jasper

	* plugins/launcher/launcher-dialog.c:
	  Fix possible crash when choosing cancel in properties dialog for
	  newly created items (bug #3159).

2007-04-14 07:29  erenturkay

	* po/tr.po:
	  a little fix

2007-04-09 10:05  maximilian

	* po/fr.po:
	  * fr.po: Fixed typos and style in the French translation of
	  Terminal's manual
	  * Changed my email address in all the fr.po files in trunk and
	  4.4

2007-04-07 22:07  maximilian

	* po/ChangeLog, po/fr.po:
	  Complete rewrite with updated images of the French translation
	  for Xfdesktop's manual, trunk and 4.4. Updated some translations
	  in trunk.

2007-04-05 13:41  paurullan

	* po/ChangeLog, po/ca.po:
	  i18n catalan update

2007-04-02 12:17  mvd

	* po/ChangeLog, po/uk.po:
	  2007-04-02 Maxim Dziumanenko <dziumanenko@gmail.com>
	  
	  * Update Ukrainian translation.

2007-04-01 09:15  maximilian

	* po/ChangeLog, po/zh_CN.po:
	  Updated the Simplified Chinese translations for trunk.

2007-03-30 08:54  maximilian

	* po/ChangeLog, po/zh_CN.po:
	  Updated the Simplified Chinese translations for Xfce 4.4

2007-03-29 18:36  erenturkay

	* po/ChangeLog, po/tr.po:
	  update

2007-03-28 20:51  maximilian

	* po/ChangeLog, po/de.po, po/en_GB.po:
	  * de.po: Nico Schümann minor fixes to the German translations
	  * en_GB.po: Jeff Bailes updated the British English translations
	  for trunk and branches

2007-03-27 21:46  sas

	* po/hu.po:
	  hu trunk: desktop & panel updates

2007-03-27 14:31  nick

	* ChangeLog, config/launcher-7.rc.in, config/panels.xml,
	  config/systray-4.rc, panel/panel-properties.c,
	  plugins/actions/actions.c, po/ar.po, po/az.po, po/be.po,
	  po/bg.po, po/bn_IN.po, po/ca.po, po/cs.po, po/de.po, po/dz.po,
	  po/el.po, po/en_GB.po, po/eo.po, po/es.po, po/es_MX.po,
	  po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po, po/gl.po,
	  po/gu.po, po/he.po, po/hi.po, po/hu.po, po/hy.po, po/it.po,
	  po/ja.po, po/ka.po, po/ko.po, po/lt.po, po/mk.po, po/mr.po,
	  po/ms.po, po/nb_NO.po, po/nl.po, po/pa.po, po/pl.po,
	  po/pt_BR.po, po/pt_PT.po, po/ro.po, po/ru.po, po/sk.po,
	  po/sq.po, po/sv.po, po/ta.po, po/tr.po, po/uk.po, po/vi.po,
	  po/xfce4-panel.pot, po/zh_CN.po, po/zh_TW.po:
	  * Backport trunk

2007-03-25 13:22  daichi

	* po/ChangeLog, po/gl.po:
	  Fixed.

2007-03-25 11:04  daichi

	* po/ChangeLog, po/mk.po:
	  Removed executable attribute.

2007-03-24 20:26  maximilian

	* po/ChangeLog, po/de.po, po/fr.po:
	  * de.po: Nico Schümann updated the following German translations
	  libexo; xfburn; xfce4-panel and xfdesktop
	  * fr.po: Updated the following French translations
	  squeeze; xfce4-panel and xfdesktop

2007-03-24 20:12  jasper

	* panel/main.c, panel/panel-app-messages.c,
	  panel/panel-app-messages.h, panel/panel-properties.c:
	  Make 'xfce4-panel -r' start a new instance when panel is not
	  running. This should solve problems with session management.

2007-03-18 14:49  nick

	* ChangeLog, libxfce4panel/xfce-hvbox.c:
	  * libxfce4panel/xfce-hvbox.c: Mmm thought orientation was a
	  property... Fix that.

2007-03-18 14:40  nick

	* ChangeLog, NEWS, configure.in.in, libxfce4panel/Makefile.am,
	  libxfce4panel/abicheck.sh,
	  libxfce4panel/libxfce4panel-marshal.list,
	  libxfce4panel/libxfce4panel.symbols,
	  libxfce4panel/make-libxfce4panel-alias.pl,
	  libxfce4panel/xfce-arrow-button.c,
	  libxfce4panel/xfce-arrow-button.h, libxfce4panel/xfce-hvbox.c,
	  libxfce4panel/xfce-hvbox.h, libxfce4panel/xfce-itembar.c,
	  libxfce4panel/xfce-itembar.h, libxfce4panel/xfce-marshal.list,
	  libxfce4panel/xfce-panel-convenience.c,
	  libxfce4panel/xfce-panel-external-item.c,
	  libxfce4panel/xfce-panel-external-item.h,
	  libxfce4panel/xfce-panel-external-plugin.c,
	  libxfce4panel/xfce-panel-external-plugin.h,
	  libxfce4panel/xfce-panel-internal-plugin.c,
	  libxfce4panel/xfce-panel-internal-plugin.h,
	  libxfce4panel/xfce-panel-item-iface.c,
	  libxfce4panel/xfce-panel-item-iface.h,
	  libxfce4panel/xfce-panel-macros.c,
	  libxfce4panel/xfce-panel-macros.h,
	  libxfce4panel/xfce-panel-plugin-iface-private.h,
	  libxfce4panel/xfce-panel-plugin-iface.c,
	  libxfce4panel/xfce-panel-plugin-messages.c,
	  libxfce4panel/xfce-panel-window.c, panel/panel-properties.c,
	  panel/panel.c, plugins/launcher/launcher.c:
	  * libxfce4panel: Add visibility support to reduce the library
	  size a bit.
	  * Various code cleanups and improvements.

2007-03-18 10:41  nick

	* ChangeLog, plugins/launcher/launcher.c:
	  * plugins/launcher/launcher.c: Fix insensitive button after
	  adding items to the panel.

2007-03-18 10:38  erenturkay

	* po/ChangeLog:
	  update ChangeLog

2007-03-17 22:54  nick

	* ChangeLog, NEWS, icons/16x16/Makefile.am,
	  icons/16x16/xfce-system-info.png,
	  icons/16x16/xfce-system-settings.png, icons/48x48/Makefile.am,
	  icons/48x48/xfce4-clock.png, icons/48x48/xfce4-separator.png,
	  icons/48x48/xfce4-systray.png,
	  plugins/actions/actions.desktop.in.in,
	  plugins/clock/clock.desktop.in.in,
	  plugins/pager/pager.desktop.in.in,
	  plugins/separator/separator.desktop.in.in,
	  plugins/systray/systray.desktop.in.in,
	  plugins/windowlist/windowlist.desktop.in.in:
	  * Improve the icons with some tango ones or the standard icon
	  names. Also remove
	  the icons that are not needed anymore.

2007-03-16 11:28  piarres

	* po/ChangeLog, po/eu.po:
	  basque translation update

2007-03-14 08:22  nick

	* ChangeLog, plugins/tasklist/tasklist.c:
	  * plugins/tasklist/tasklist.c: Fix previous commit

2007-03-14 08:17  nick

	* ChangeLog, libxfce4panel/Makefile.am:
	  *libxfce4panel/Makefile.am: Try to fix bug 3002.

2007-03-14 07:39  nick

	* ChangeLog, plugins/tasklist/tasklist.c:
	  * plugins/tasklist/tasklist.c: Fix bug 3011: expand setting not
	  saved.

2007-03-13 19:45  jasper

	* panel/main.c, panel/panel-dialogs.c:
	  Add some checks for valid tree selection; possibly fixes bug
	  #2933.

2007-03-10 19:33  nick

	* ChangeLog, plugins/launcher/launcher-dialog.c:
	  * plugins/launcher/launcher-dialog.c: Don't append the %f. Too
	  much side effects as
	  suggested by Jannis.

2007-03-10 07:29  nick

	* ChangeLog, plugins/launcher/launcher-exec.c:
	  * plugins/launcher/launcher-exec.c: ifdef the startup data
	  structure.
	  Bug 2997, patch from Peter de Ridder.

2007-03-08 17:48  sas

	* po/hu.po:
	  hu trunk: little updates

2007-03-07 18:36  nick

	* ChangeLog, libxfce4panel/xfce-panel-plugin-iface.c:
	  * libxfce4panel/xfce-panel-plugin-iface.c: Don't show the
	  right-click menu
	  when the user is not allowed to customize the panel. This way
	  the
	  xfce_panel_plugin_menu_insert_item items are never show (also
	  the
	  'save' ones), but they are hardly used (bad excuse, I know).

2007-03-05 21:01  nick

	* ChangeLog, panel/panel-dialogs.c:
	  * panel/panel-dialogs.c: Set Full Height or Full Width based on
	  the panel position.
	  This partly fixes Bug #2465.

2007-03-05 20:24  nick

	* ChangeLog, plugins/launcher/launcher.c:
	  * plugins/launcher/launcher.c: Replace the enter/leave signals
	  since there are
	  deprecated. If someone knows a property to sync this with an
	  exo_mutual_binding
	  I'd like to hear it.

2007-03-05 19:44  nick

	* ChangeLog, libxfce4panel/xfce-arrow-button.c,
	  libxfce4panel/xfce-hvbox.c, libxfce4panel/xfce-itembar.c,
	  libxfce4panel/xfce-panel-item-iface.c,
	  libxfce4panel/xfce-panel-macros.c,
	  libxfce4panel/xfce-panel-macros.h,
	  libxfce4panel/xfce-panel-plugin-iface.c,
	  libxfce4panel/xfce-panel-window.c, panel/panel-dnd.c,
	  panel/panel.c, panel/panel.h, plugins/launcher/launcher.c:
	  * libxfce4panel/xfce-panel-macros.c: Replace the
	  g_type_register_static_simple
	  by a slightly better _panel_g_type_register_simple.
	  * plugins/launcher/launcher.c: Remove GTK_ARROW_NONE, to fix
	  compilation problems
	  on Gtk 2.8.

2007-03-04 19:54  nick

	* panel/panel-dialogs.c:
	  This includes the label...

2007-03-04 19:48  nick

	* ChangeLog, panel/panel-dialogs.c:
	  
	  * panel/panel-dialogs.c: Remove the position combobox, this is
	  not working
	  and thus only confusing for other people ^_^.

2007-03-04 19:40  nick

	* ChangeLog, libxfce4panel/Makefile.am,
	  libxfce4panel/xfce-arrow-button.c, libxfce4panel/xfce-hvbox.c,
	  libxfce4panel/xfce-itembar.c, libxfce4panel/xfce-panel-macros.c,
	  libxfce4panel/xfce-panel-macros.h,
	  libxfce4panel/xfce-panel-window.c:
	  * libxfce4panel/xfce-panel-macros.{c,h}: Add a macro for
	  g_type_register_static_simple which is only available in Glib
	  2.12.
	  * libxfce4panel/*.c: Use g_type_register_static_simple where
	  possible to
	  reduce the number of relocations.

2007-03-04 15:15  nick

	* ChangeLog, panel/main.c, panel/panel-app.c, panel/panel-app.h:
	  * panel/main.c, panel/panel-app.{c,h}: Fix problem with session
	  management
	  and move the last lines of code from the 4_5_nick branch to
	  trunk.
	  file is different in the branch because it contains a problem
	  that

2007-03-04 07:19  erenturkay

	* po/tr.po:
	  update Turkish translation

2007-03-03 19:54  nick

	* ChangeLog, panel/frap-icon-entry.c, panel/frap-icon-entry.h,
	  panel/panel-app-messages.c, panel/panel-app-messages.h,
	  panel/panel-app.c, panel/panel-app.h, panel/panel-config.c,
	  panel/panel-config.h, panel/panel-dialogs.c,
	  panel/panel-dialogs.h, panel/panel-dnd.c, panel/panel-dnd.h,
	  panel/panel-item-manager.c, panel/panel-item-manager.h,
	  panel/panel-private.h, panel/panel-properties.c,
	  panel/panel-properties.h:
	  * panel/*: Import all the code from my branch to trunk. Only the
	  main.c
	  file is different in the branch because it contains a problem
	  that
	  causes Xfce to start very slowly (the session manager).

2007-03-03 19:32  nick

	* po/ChangeLog, po/POTFILES.in, po/ar.po, po/az.po, po/be.po,
	  po/bg.po, po/bn_IN.po, po/ca.po, po/cs.po, po/de.po, po/dz.po,
	  po/el.po, po/en_GB.po, po/eo.po, po/es.po, po/es_MX.po,
	  po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po, po/gl.po,
	  po/gu.po, po/he.po, po/hi.po, po/hu.po, po/hy.po, po/it.po,
	  po/ja.po, po/ka.po, po/ko.po, po/lt.po, po/mk.po, po/mr.po,
	  po/ms.po, po/nb_NO.po, po/nl.po, po/pa.po, po/pl.po,
	  po/pt_BR.po, po/pt_PT.po, po/ro.po, po/ru.po, po/sk.po,
	  po/sq.po, po/sv.po, po/ta.po, po/tr.po, po/uk.po, po/vi.po,
	  po/xfce4-panel.pot, po/zh_CN.po, po/zh_TW.po:
	  * *.po, *.pot, POTFILES.in: Regenerate the po files
	  to work with my branch import.

2007-03-03 19:26  nick

	* AUTHORS, COPYING, COPYING.LIB, COPYING_LIBS, ChangeLog, HACKING,
	  Makefile.am, NEWS, README, README.Kiosk, README.Plugins, TODO,
	  autogen.sh, config/Makefile.am, config/launcher-10.rc.in,
	  config/launcher-7.rc.in, config/launcher-8.rc.in,
	  config/launcher-9.rc.in, configure.ac.in, configure.in.in,
	  icons/16x16, icons/16x16/Makefile.am,
	  icons/16x16/xfce-system-exit.png,
	  icons/16x16/xfce-system-info.png,
	  icons/16x16/xfce-system-lock.png,
	  icons/16x16/xfce-system-settings.png, icons/48x48,
	  icons/48x48/Makefile.am, icons/48x48/xfce-mouse.png,
	  icons/48x48/xfce4-iconbox.png, icons/48x48/xfce4-panel.png,
	  icons/48x48/xfce4-taskbar.png, icons/Makefile.am,
	  icons/xfce-mail.png, icons/xfce-mouse.png,
	  icons/xfce-system-exit.png, icons/xfce-system-info.png,
	  icons/xfce-system-lock.png, icons/xfce-system-settings.png,
	  icons/xfce4-iconbox.png, icons/xfce4-panel.png,
	  icons/xfce4-taskbar.png, libxfce4panel/Makefile.am,
	  libxfce4panel/libxfce4panel-1.0.pc.in,
	  libxfce4panel/xfce-arrow-button.c,
	  libxfce4panel/xfce-arrow-button.h, libxfce4panel/xfce-hvbox.c,
	  libxfce4panel/xfce-hvbox.h, libxfce4panel/xfce-itembar.c,
	  libxfce4panel/xfce-itembar.h, libxfce4panel/xfce-marshal.list,
	  libxfce4panel/xfce-panel-convenience.c,
	  libxfce4panel/xfce-panel-convenience.h,
	  libxfce4panel/xfce-panel-enums.h,
	  libxfce4panel/xfce-panel-external-item.c,
	  libxfce4panel/xfce-panel-external-item.h,
	  libxfce4panel/xfce-panel-external-plugin.c,
	  libxfce4panel/xfce-panel-external-plugin.h,
	  libxfce4panel/xfce-panel-internal-plugin.c,
	  libxfce4panel/xfce-panel-internal-plugin.h,
	  libxfce4panel/xfce-panel-item-iface.c,
	  libxfce4panel/xfce-panel-item-iface.h,
	  libxfce4panel/xfce-panel-macros.h,
	  libxfce4panel/xfce-panel-plugin-iface-private.h,
	  libxfce4panel/xfce-panel-plugin-iface.c,
	  libxfce4panel/xfce-panel-plugin-iface.h,
	  libxfce4panel/xfce-panel-plugin-messages.c,
	  libxfce4panel/xfce-panel-plugin-messages.h,
	  libxfce4panel/xfce-panel-plugin.h,
	  libxfce4panel/xfce-panel-window.c,
	  libxfce4panel/xfce-panel-window.h, mcs-plugin/Makefile.am,
	  mcs-plugin/plugin.c, panel/Makefile.am, panel/main.c,
	  plugins/Makefile.am, plugins/actions/Makefile.am,
	  plugins/actions/actions.c,
	  plugins/actions/actions.desktop.in.in,
	  plugins/clock/Makefile.am, plugins/clock/clock.c,
	  plugins/clock/clock.desktop.in.in, plugins/iconbox/Makefile.am,
	  plugins/iconbox/iconbox.c,
	  plugins/iconbox/iconbox.desktop.in.in,
	  plugins/launcher/Makefile.am,
	  plugins/launcher/launcher-dialog.c,
	  plugins/launcher/launcher-dialog.h,
	  plugins/launcher/launcher-exec.c,
	  plugins/launcher/launcher-exec.h, plugins/launcher/launcher.c,
	  plugins/launcher/launcher.desktop.in.in,
	  plugins/launcher/launcher.h, plugins/pager/Makefile.am,
	  plugins/pager/pager.c, plugins/pager/pager.desktop.in.in,
	  plugins/separator/Makefile.am, plugins/separator/separator.c,
	  plugins/separator/separator.desktop.in.in,
	  plugins/showdesktop/Makefile.am,
	  plugins/showdesktop/showdesktop.c,
	  plugins/showdesktop/showdesktop.desktop.in.in,
	  plugins/systray/Makefile.am, plugins/systray/systray.c,
	  plugins/systray/systray.desktop.in.in,
	  plugins/tasklist/Makefile.am,
	  plugins/tasklist/tasklist-dialogs.c,
	  plugins/tasklist/tasklist-dialogs.h,
	  plugins/tasklist/tasklist.c,
	  plugins/tasklist/tasklist.desktop.in.in,
	  plugins/tasklist/tasklist.h, plugins/windowlist/Makefile.am,
	  plugins/windowlist/windowlist-dialog.c,
	  plugins/windowlist/windowlist.c,
	  plugins/windowlist/windowlist.desktop.in.in,
	  plugins/windowlist/windowlist.h, xfce4-panel.spec.in:
	  * Import my 4_5_nick branch into trunk:
	  - Completely rewritten launcher (Bugs 2336, 2365, 1323, 2262 and
	  1225)
	  - Various improvements in libxfce4panel (memory leaks,
	  G_GNUC_INTERNAL,
	  GSList, canonical strings and fixed pedantic warnings).
	  - Libxfce4panel does no longer depend on libxfcegui4. This might
	  cause
	  some problems with plugins. Plugin developers should add
	  libxfcegui4
	  to the dependencies of their package (including cflags and
	  libadd in
	  the makefiles).

2007-03-03 19:04  nick

	* mcs-plugin/Makefile.am:
	  Check if this works v2

2007-03-03 19:03  nick

	* mcs-plugin/Makefile.am:
	  Check if this works

2007-03-03 10:29  mvd

	* po/ChangeLog, po/uk.po:
	  2007-03-03 Maxim Dziumanenko <dziumanenko@gmail.com>
	  
	  * Update Ukrainian translation.

2007-02-24 09:56  jasper

	* INSTALL, autogen.sh:
	  Remove INSTALL, because it is a generated file.

2007-02-18 20:06  jasper

	* panel/panel-config.c, panel/panel-item-manager.c:
	  Check for NULL pointers in DBG messages to prevent crashes on
	  Solaris, based on patch from William Bonnet (bug #2922).

2007-02-18 12:05  jasper

	* panel/panel-properties.c:
	  Unhide when dragging over the panel (bug #2914).

2007-02-10 18:56  maximilian

	* po/ChangeLog, po/LINGUAS:
	  Verified all LINGUAS files and added Albanian language to it.

2007-02-08 22:23  alnokta

	* po/ar.po:
	  160 strings, 24 fuzzy, 26 not translated. initial commit.

2007-02-08 22:22  alnokta

	* po/ChangeLog:
	  Adding information to the ChangeLog

2007-02-07 14:28  maximilian

	* po/ChangeLog, po/fr.po, po/zh_CN.po:
	  Same as before but in trunk now.

2007-01-25 19:07  maximilian

	* po/ChangeLog, po/sq.po:
	  Added the Albanian translations by Besnik Bleta for the core
	  packages. Updated some French translations

2007-01-21 14:08  maximilian

	* po/ChangeLog, po/ro.po:
	  * fr.po: Minor changes to the French translations
	  in xfce-utils, libxfce4util and mousepad
	  * pl.po: Updated the Polish translation by Szymon Kałasz
	  <szymon_maestro@gazeta.pl>
	  in thunar and mousepad.
	  * ro.po: Updated the Romanian translation by Mişu Moldovan
	  <dumol@gnome.ro>
	  in most core packages.

2007-01-20 16:32  benny

	* INSTALL, configure.ac.in, po/ar.po, po/az.po, po/be.po,
	  po/bg.po, po/bn_IN.po, po/ca.po, po/cs.po, po/de.po, po/dz.po,
	  po/el.po, po/en_GB.po, po/eo.po, po/es.po, po/es_MX.po,
	  po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po, po/gl.po,
	  po/gu.po, po/he.po, po/hi.po, po/hu.po, po/hy.po, po/it.po,
	  po/ja.po, po/ka.po, po/ko.po, po/lt.po, po/mk.po, po/mr.po,
	  po/ms.po, po/nb_NO.po, po/nl.po, po/pa.po, po/pl.po,
	  po/pt_BR.po, po/pt_PT.po, po/ro.po, po/ru.po, po/sk.po,
	  po/sv.po, po/ta.po, po/tr.po, po/uk.po, po/vi.po, po/zh_CN.po,
	  po/zh_TW.po:
	  Bump version. Update NEWS. Update Project-Id-Version.

2007-01-19 23:38  maximilian

	* po/ChangeLog, po/pl.po:
	  Updated the Polish translations by Szymon Kałasz for the
	  mcs-plugins, libxfce4util, thunar, panel and xfdesktop packages.
	  Also added the new Polish translation for the Thunar
	  documentation to the po-doc folder.

2007-01-19 22:05  olivier

	* ChangeLog:
	  Update ChangeLog

2007-01-19 21:10  olivier

	* INSTALL, configure.ac.in:
	  Update version

2007-01-19 19:59  nick

	* NEWS:
	  Update NEWS

2007-01-19 16:56  nick

	* ChangeLog, plugins/clock/clock.c,
	  plugins/windowlist/windowlist.c:
	  Fix crash when moving the plugin. Bug #2775.
	  Fix compiler warning.

2007-01-18 23:10  eulex

	* po/ChangeLog, po/sv.po:
	  Updated Swedish translations for:
	  * libexo
	  * libxfcegui4
	  * mousepad
	  * thunar
	  * xfcalendar
	  * xfce4-appfinder
	  * xfce4-panel
	  * xfce-mcs-plugins
	  * xfce-utils
	  * xfdesktop
	  * xfprint
	  * xfwm4
	  
	  Also thus updated appropriate ChangeLog files.

2007-01-18 09:44  nab

	* po/ChangeLog, po/be.po:
	  2007-01-18 Alexander Nyakhaychyk <nyakhaychyk@gmail.com>
	  
	  * be.po: Updated Belarusian Translation

2007-01-09 13:10  maximilian

	* po/ChangeLog, po/ca.po:
	  Updated the Catalan translation of the xfce4-panel package by
	  Ivà Burgos

2007-01-05 03:19  maximilian

	* po/ChangeLog, po/de.po:
	  Updated the German translations by Fabian Nowak for a few
	  packages and updated the French translation of libexo.

2007-01-04 17:51  nick

	* libxfce4panel/xfce-panel-external-item.c:
	  Cleanup some privates we don't use.

2007-01-04 17:46  nick

	* libxfce4panel/xfce-panel-external-item.c:
	  * The _item_screen_changed is also triggered when we
	  close/remove and external plugin, which results in a couple of
	  warnings. This should fix the problem.

2007-01-03 18:46  nick

	* configure.ac.in, libxfce4panel/libxfce4panel-1.0.pc.in,
	  libxfce4panel/xfce-panel-plugin.h, panel/Makefile.am,
	  panel/main.c:
	  * Revert previous patch

2007-01-03 18:19  nick

	* configure.ac.in, libxfce4panel/libxfce4panel-1.0.pc.in,
	  libxfce4panel/xfce-panel-plugin.h, panel/Makefile.am,
	  panel/main.c:
	  We need to init ghtread for the slice allocator. I've also added
	  this for external plugins (because some of them use the slice
	  macros). This seems to work for external plugins without any
	  problems, so cross you fingers.

2007-01-02 19:25  nick

	* plugins/tasklist/tasklist.c:
	  This might be a bit more secure.

2007-01-01 20:25  jasper

	* libxfce4panel/xfce-panel-plugin-iface.c:
	  Use GNOME HIG compliant buttons again: [cancel] [action].

2007-01-01 19:51  nick

	* libxfce4panel/xfce-panel-plugin-iface.c,
	  libxfce4panel/xfce-panel-plugin-iface.h:
	  * Add gtk dialog that popups up on the right screen.
	  * Fix memory leaks in libxfce4panel. g_object_get returns new
	  data, not a pointer.

2007-01-01 19:22  jasper

	* plugins/iconbox/iconbox.c:
	  Make iconbox check for demands attention on new windows.

2007-01-01 19:09  jasper

	* libxfce4panel/xfce-panel-external-item.c:
	  Restart external panel items when the GtkPlug disappears during
	  a screen change. Hopefully a real solution can still be found.

2007-01-01 19:08  nick

	* panel/panel-properties.c:
	  * Add this debug warning to notify us if the _set_struts
	  function passed.

2006-12-31 13:05  nick

	* plugins/clock/clock.c:
	  * Fix clock crash, by simple redrawing the entire widget.

2006-12-31 12:25  nick

	* panel/panel-dialogs.c:
	  Fix crash in panel when switching monitors. I've simply removed
	  the code for moving the dialog to the other window, because I
	  couldn't find a way to make this work propery.
	  
	  The panel doesn't crash anymore, but there are still some
	  drawing issues when switching monitors.

2006-12-30 14:08  jasper

	* plugins/actions/actions.c, plugins/clock/clock.c,
	  plugins/iconbox/iconbox.c, plugins/pager/pager.c,
	  plugins/separator/separator.c,
	  plugins/showdesktop/showdesktop.c, plugins/systray/systray.c,
	  plugins/tasklist/tasklist.c,
	  plugins/windowlist/windowlist-dialog.c:
	  Multiscreen fixes. Attempt to fix at least part of bug #2693.

2006-12-29 11:18  jasper

	* docs/manual/C/images/Makefile.am,
	  docs/manual/C/images/add_item_dialog.png,
	  docs/manual/C/images/default_bottom_panel.png,
	  docs/manual/C/images/default_top_panel.png,
	  docs/manual/C/images/item_popup.png,
	  docs/manual/C/images/launcher_properties.png,
	  docs/manual/C/images/panel_manager.png,
	  docs/manual/C/xfce4-panel.html, docs/manual/C/xfce4-panel.xml:
	  Update documentation and add screenshots.

2006-12-27 14:19  jasper

	* HACKING, plugins/iconbox/iconbox.c:
	  * Fix iconbox to also notice changes to
	  NETK_WINDOW_STATE_SKIP_TASKLIST.
	  * Update HACKING file with new coding style rules and
	  explanation about generating a ChangeLog.

2006-12-27 10:42  jasper

	* ChangeLog, NEWS:
	  Update ChangeLog and NEWS.

2006-12-26 20:55  jasper

	* plugins/iconbox/iconbox.c:
	  Implement blinking for urgent windows in the iconbox.

2006-12-25 11:14  maximilian

	* po/ChangeLog, po/LINGUAS, po/mk.po:
	  Added the new translations from the Macedonian team for plenty
	  of packages, Merry Christmas

2006-12-24 15:01  jasper

	* plugins/windowlist/windowlist.c:
	  Check for demands attention hint as well as urgency hint.

2006-12-23 18:36  paurullan

	* po/ChangeLog, po/ca.po:
	  [i18n] catalan update

2006-12-22 20:59  jasper

	* plugins/iconbox/iconbox.c, plugins/tasklist/tasklist.c:
	  Some updates to iconbox and tasklist:
	  * Use XfceHVBox from the panel library.
	  * Use a general gtk handle instead of home-made ones and use
	  only one handle because that looks better (I think).

2006-12-22 18:52  maximilian

	* po/ChangeLog:
	  Updated the French translation for the xarchiver package and
	  fixed a mistake I introduced in Changelog's lately

2006-12-22 16:05  aalam

	* po/pa.po:
	  update for string

2006-12-20 22:53  maximilian

	* po/ChangeLog, po/ru.po:
	  Updated the Russian translations by Andrey Fedoseev for a lot of
	  packages

2006-12-20 02:13  aalam

	* po/pa.po:
	  update for latest translation by alam

2006-12-19 19:36  jasper

	* libxfce4panel/xfce-hvbox.c, libxfce4panel/xfce-hvbox.h,
	  libxfce4panel/xfce-panel-convenience.c,
	  libxfce4panel/xfce-panel-convenience.h,
	  libxfce4panel/xfce-panel-macros.h, mcs-plugin/plugin.c,
	  panel/frap-icon-entry.c, panel/frap-icon-entry.h,
	  panel/panel-dialogs.c, panel/panel-dialogs.h,
	  plugins/showdesktop/showdesktop.c,
	  plugins/windowlist/windowlist-dialog.c,
	  plugins/windowlist/windowlist-dialog.h,
	  plugins/windowlist/windowlist.c,
	  plugins/windowlist/windowlist.h,
	  plugins/windowlist/xfce4-popup-windowlist.c,
	  plugins/windowlist/xfce4-popup-windowlist.h:
	  Set keywords property on a bunch of files. (In case any SVN devs
	  are reading this: I think the default should be on ;-)

2006-12-19 18:36  nick

	* ChangeLog, configure.ac.in, plugins/Makefile.am,
	  plugins/testplugin, po/ChangeLog, po/POTFILES.in, po/ar.po,
	  po/az.po, po/be.po, po/bg.po, po/bn_IN.po, po/ca.po, po/cs.po,
	  po/de.po, po/dz.po, po/el.po, po/en_GB.po, po/eo.po, po/es.po,
	  po/es_MX.po, po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po,
	  po/gl.po, po/gu.po, po/he.po, po/hi.po, po/hu.po, po/hy.po,
	  po/it.po, po/ja.po, po/ka.po, po/ko.po, po/lt.po, po/mr.po,
	  po/ms.po, po/nb_NO.po, po/nl.po, po/pa.po, po/pl.po,
	  po/pt_BR.po, po/pt_PT.po, po/ro.po, po/ru.po, po/sk.po,
	  po/sv.po, po/ta.po, po/tr.po, po/uk.po, po/vi.po,
	  po/xfce4-panel.pot, po/zh_CN.po, po/zh_TW.po:
	  configure.ac.in, plugins,Makefile.am, plugins/testplugin,
	  po/POTFILES.in, *.po*: Remove the testplugin from the panel. You
	  can find a sample plugin the the goodies repository.
	  
	  PS. First commit in the Xfce SVN ^_^

2006-12-17 18:45  sas

	* po/hu.po:
	  hu trunk: fixes

2006-12-16 11:35  jasper

	* panel/panel-properties.c:
	  * Fix a few things in the positioning code that were so wrong,
	  I'm surprised it ever worked at all, mostly related to the
	  initial position of floating panels and positioning panels that
	  span multiple monitors.
	  * Add some comments to try and explain what the code is supposed
	  to be doing. I'm afraid the positioning code is a bit of a mess.
	  * Coding style and layout changes.
	  Let's hope this doesn't break anything, since the changes are a
	  bit bigger than I would normally have liked to do at this stage
	  of the release process.

2006-12-15 17:12  aalam

	* po/pa.po:
	  update for Punjabi Translation

2006-12-15 07:14  paurullan

	* po/ChangeLog, po/ca.po, po/cs.po:
	  i18n update

2006-12-14 21:39  jasper

	* docs/API/html/XfceArrowButton.html,
	  docs/API/html/XfceExternalPanelPlugin.html,
	  docs/API/html/XfceHVBox.html,
	  docs/API/html/XfceInternalPanelPlugin.html,
	  docs/API/html/XfceItembar.html,
	  docs/API/html/XfcePanelPlugin.html,
	  docs/API/html/XfcePanelWindow.html, docs/API/html/ch01.html,
	  docs/API/html/index.html, docs/API/html/index.sgml,
	  docs/API/html/libxfce4panel-Convenience-Functions.html,
	  docs/API/html/libxfce4panel-Standard-Enumerations.html,
	  docs/API/html/libxfce4panel-Writing-Plugins.html,
	  docs/API/html/libxfce4panel.devhelp,
	  docs/API/html/libxfce4panel.devhelp2,
	  docs/API/libxfce4panel-decl-list.txt,
	  docs/API/libxfce4panel-decl.txt,
	  docs/API/libxfce4panel-sections.txt,
	  docs/API/libxfce4panel-undocumented.txt,
	  docs/API/tmpl/xfce-panel-convenience.sgml,
	  docs/API/tmpl/xfce-panel-enums.sgml,
	  docs/API/tmpl/xfce-panel-plugin-iface.sgml,
	  docs/API/tmpl/xfce-panel-plugin.sgml,
	  docs/API/tmpl/xfce-panel-window.sgml,
	  docs/API/xml/xfce-arrow-button.xml, docs/API/xml/xfce-hvbox.xml,
	  docs/API/xml/xfce-itembar.xml,
	  docs/API/xml/xfce-panel-convenience.xml,
	  docs/API/xml/xfce-panel-enums.xml,
	  docs/API/xml/xfce-panel-external-plugin.xml,
	  docs/API/xml/xfce-panel-internal-plugin.xml,
	  docs/API/xml/xfce-panel-plugin-iface.xml,
	  docs/API/xml/xfce-panel-plugin.xml,
	  docs/API/xml/xfce-panel-window.xml, libxfce4panel/xfce-hvbox.c,
	  libxfce4panel/xfce-panel-plugin-iface.c,
	  libxfce4panel/xfce-panel-plugin-iface.h:
	  Update API docs. Also fixes bug #2657.

2006-12-14 18:56  jasper

	* plugins/launcher/launcher.c:
	  Don't think we know better when the user leaves name and
	  description empty ;-) Bug #2661.

2006-12-13 19:57  jasper

	* README.Plugins, panel/panel-app.c, panel/panel.c:
	  * Improve panel_size_request().
	  * Add extra check to panel_app_queue_save() to see if the panel
	  is quitting.
	  * Nick put the contents of README.Plugins on the wiki, so I'll
	  just leave a link to that.

2006-12-13 19:07  jasper

	* panel/panel-config.c, panel/panel.c, panel/panel.h:
	  * Remove useless indirection when writing the list of items to
	  file.
	  * More code cleanup and layout updates.

2006-12-11 21:45  jasper

	* configure.ac.in, panel/panel-app-messages.c, panel/panel-app.c,
	  panel/panel-config.c, panel/panel-dialogs.c,
	  panel/panel-item-manager.c:
	  * Fix use of mmap for config file.
	  * Minor code cleanup and layout update.

2006-12-11 21:32  maximilian

	* po/ChangeLog, po/ca.po:
	  Updated the Catalan translations for the xfce4-panel package by
	  Carles Muñoz Gorriz

2006-12-10 12:24  jasper

	* panel/panel-dialogs.c:
	  Set server time after realizing the gdk window. Works much
	  better ;) Another suggestion from Nick.

2006-12-10 11:42  jasper

	* panel/panel-config.c, panel/panel-dialogs.c:
	  Fix mem leaks. Patch from Nick.

2006-12-08 22:18  jasper

	* panel/panel-item-manager.c:
	  Use convenience function provided by libxfce4panel to check
	  kiosk mode.

2006-12-07 21:46  olivier

	* docs/API/libxfce4panel-decl-list.txt,
	  docs/API/libxfce4panel-decl.txt,
	  docs/API/xml/xfce-arrow-button.xml, docs/API/xml/xfce-hvbox.xml,
	  docs/API/xml/xfce-itembar.xml,
	  docs/API/xml/xfce-panel-convenience.xml,
	  docs/API/xml/xfce-panel-enums.xml,
	  docs/API/xml/xfce-panel-external-plugin.xml,
	  docs/API/xml/xfce-panel-internal-plugin.xml,
	  docs/API/xml/xfce-panel-plugin-iface.xml,
	  docs/API/xml/xfce-panel-plugin.xml,
	  docs/API/xml/xfce-panel-window.xml:
	  Revert accidental commit if docs/ directtory (??)

2006-12-07 21:31  olivier

	* docs/API/libxfce4panel-decl-list.txt,
	  docs/API/libxfce4panel-decl.txt,
	  docs/API/xml/xfce-arrow-button.xml, docs/API/xml/xfce-hvbox.xml,
	  docs/API/xml/xfce-itembar.xml,
	  docs/API/xml/xfce-panel-convenience.xml,
	  docs/API/xml/xfce-panel-enums.xml,
	  docs/API/xml/xfce-panel-external-plugin.xml,
	  docs/API/xml/xfce-panel-internal-plugin.xml,
	  docs/API/xml/xfce-panel-plugin-iface.xml,
	  docs/API/xml/xfce-panel-plugin.xml,
	  docs/API/xml/xfce-panel-window.xml, panel/panel-dialogs.c:
	  Update user time to prevent focus stealing prevention to come in
	  the way.

2006-12-07 21:14  olivier

	* panel/panel-dialogs.c:
	  Avoid type UTILITY for panel dialogs, this is not suitable for
	  that kind of dialogs and it's causing more bad than good with
	  most window managers (NET_WM_WINDOW_TYPE_UTILITY indicates a
	  small persistent utility window, such as a palette or toolbox)

2006-12-07 20:28  jasper

	* panel/panel-private.h, panel/panel-properties.c:
	  Use same test for invalid struts as in xfwm4. Move all checks to
	  the _set_structs() function. This is still related to bug #2598.

2006-12-06 20:10  jasper

	* panel/panel-app.c, panel/panel-config.c,
	  panel/panel-properties.c:
	  Check if the size actually changes before setting struts. Also
	  check for incorrect intermediate values (bug #2598 again).

2006-12-02 20:00  jasper

	* plugins/iconbox/iconbox.c:
	  Switch to workspace of window before activating it, if
	  necessary.

2006-11-30 18:23  stavrosg

	* po/ChangeLog, po/el.po:
	  E-mail address change. Sorry for the noise.

2006-11-26 16:24  jasper

	* panel/panel-app.c:
	  Don't try to save the panel config on any (unix) signal. This
	  might fix the problem with corrupted files.

2006-11-25 21:11  jasper

	* docs/manual/C/xfce4-panel.html, docs/manual/C/xfce4-panel.xml:
	  Update documentation. Cleaned up a bit. It is less extensive
	  than the 4.2 manual and there are no screenshots yet, but at
	  least it is not completely wrong either...

2006-11-25 13:17  jasper

	* AUTHORS, README, README.Plugins:
	  Update some info files.

2006-11-25 09:22  jasper

	* panel/panel-properties.c:
	  More work on bug #2598: queue_resize instead of queue_draw.

2006-11-24 21:27  jasper

	* panel/panel-properties.c:
	  Another attempt to fix bug #2598: re-enable setting struts in
	  idle handler.

2006-11-24 19:15  jasper

	* panel/panel-properties.c:
	  Delay setting struts until changin position is complete. Bug
	  #2598.

2006-11-15 21:13  jasper

	* plugins/iconbox/iconbox.c:
	  Clean up widgets as well as the rest of the icon struct. Fixes
	  bug #2587.

2006-11-15 12:43  maximilian

	* po/ChangeLog, po/es.po, po/fr.po:
	  Updated the Spanish translations by Rudy Godoy for the following
	  packages
	  xfce4-panel; xfce4-session
	  Modified the description text of the translation files for fr cy
	  and es
	  Fixed typo in French translation of thunar

2006-11-14 20:54  jasper

	* plugins/iconbox/iconbox.c:
	  * Make expanding optional (bug #2574).
	  * Try to fix icon update (bug #2474).

2006-11-13 10:05  benny

	* ., config, docs/manual, docs/manual/C, docs/manual/C/images,
	  icons/Makefile.am, icons/xfce-edit.png,
	  icons/xfce-filemanager.png, icons/xfce-games.png,
	  icons/xfce-graphics.png, icons/xfce-internet.png,
	  icons/xfce-man.png, icons/xfce-multimedia.png,
	  icons/xfce-printer.png, icons/xfce-schedule.png,
	  icons/xfce-sound.png, icons/xfce-terminal.png,
	  icons/xfce-unknown.png, icons/xfce-utils.png,
	  plugins/windowlist, po/xfce4-panel.pot:
	  The common icons are now installed by libxfcegui4. Bug #2033.

2006-11-10 13:18  jasper

	* configure.ac.in, plugins/launcher/launcher.c:
	  Patch from Joao Pedrosa to set screen of launcher menu.

2006-11-05 13:29  olivier

	* ChangeLog:
	  Update ChangeLog.

2006-11-04 18:22  benny

	* configure.ac.in:
	  Post-release version bump.

2006-11-04 18:21  benny

	* configure.ac.in, docs/API/libxfce4panel-decl-list.txt,
	  docs/API/libxfce4panel-decl.txt,
	  docs/API/xml/xfce-arrow-button.xml, docs/API/xml/xfce-hvbox.xml,
	  docs/API/xml/xfce-itembar.xml,
	  docs/API/xml/xfce-panel-convenience.xml,
	  docs/API/xml/xfce-panel-enums.xml,
	  docs/API/xml/xfce-panel-external-plugin.xml,
	  docs/API/xml/xfce-panel-internal-plugin.xml,
	  docs/API/xml/xfce-panel-plugin-iface.xml,
	  docs/API/xml/xfce-panel-plugin.xml,
	  docs/API/xml/xfce-panel-window.xml, po/ar.po, po/az.po,
	  po/be.po, po/bg.po, po/bn_IN.po, po/ca.po, po/cs.po, po/de.po,
	  po/dz.po, po/el.po, po/en_GB.po, po/eo.po, po/es.po,
	  po/es_MX.po, po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po,
	  po/gl.po, po/gu.po, po/he.po, po/hi.po, po/hu.po, po/hy.po,
	  po/it.po, po/ja.po, po/ka.po, po/ko.po, po/lt.po, po/mr.po,
	  po/ms.po, po/nb_NO.po, po/nl.po, po/pa.po, po/pl.po,
	  po/pt_BR.po, po/pt_PT.po, po/ro.po, po/ru.po, po/sk.po,
	  po/sv.po, po/ta.po, po/tr.po, po/uk.po, po/vi.po, po/zh_CN.po,
	  po/zh_TW.po:
	  Bump version and requirements. Update Project-Id-Version.

2006-10-28 13:04  paurullan

	* po/ChangeLog, po/LINGUAS, po/dz.po:
	  added whole Dzongkha translation
	  
	  congratulations to the dz team.

2006-10-24 21:47  olivier

	* configure.ac.in:
	  Update version

2006-10-24 19:03  jasper

	* plugins/clock/clock.c, plugins/systray/systray.c,
	  plugins/systray/systray.desktop.in.in:
	  Fix spelling in systray desktop file and fix frame border for
	  clock and systray. Patches by Nick and Bjorn Martensen.

2006-10-22 19:36  jasper

	* panel/panel-item-manager.c,
	  plugins/actions/actions.desktop.in.in,
	  plugins/clock/clock.desktop.in.in,
	  plugins/iconbox/iconbox.desktop.in.in,
	  plugins/launcher/launcher.desktop.in.in,
	  plugins/pager/pager.desktop.in.in,
	  plugins/separator/separator.desktop.in.in,
	  plugins/showdesktop/showdesktop.desktop.in.in,
	  plugins/systray/systray.desktop.in.in,
	  plugins/tasklist/tasklist.desktop.in.in,
	  plugins/testplugin/testplugin.desktop.in.in,
	  plugins/windowlist/windowlist.desktop.in.in:
	  New way to specify internal plugin name with just the basename
	  (launcher -> liblauncher.so) combined with X-XFCE-Module-Path
	  entry to specifiy the location. The old way is still supported,
	  so this change is 100% backward compatible.

2006-10-19 17:39  jasper

	* plugins/actions/Makefile.am, plugins/clock/Makefile.am,
	  plugins/iconbox/Makefile.am, plugins/launcher/Makefile.am,
	  plugins/pager/Makefile.am, plugins/separator/Makefile.am,
	  plugins/showdesktop/Makefile.am, plugins/systray/Makefile.am,
	  plugins/tasklist/Makefile.am, plugins/testplugin/Makefile.am,
	  plugins/windowlist/Makefile.am:
	  Patch by Olivier to fix yesterdays fix ;-)

2006-10-18 18:28  jasper

	* libxfce4panel/xfce-panel-convenience.c,
	  plugins/actions/Makefile.am,
	  plugins/actions/actions.desktop.in.in,
	  plugins/clock/Makefile.am, plugins/clock/clock.desktop.in.in,
	  plugins/iconbox/Makefile.am,
	  plugins/iconbox/iconbox.desktop.in.in,
	  plugins/launcher/Makefile.am,
	  plugins/launcher/launcher.desktop.in.in,
	  plugins/pager/Makefile.am, plugins/pager/pager.desktop.in.in,
	  plugins/separator/Makefile.am,
	  plugins/separator/separator.desktop.in.in,
	  plugins/showdesktop/Makefile.am,
	  plugins/showdesktop/showdesktop.desktop.in.in,
	  plugins/systray/Makefile.am,
	  plugins/systray/systray.desktop.in.in,
	  plugins/tasklist/Makefile.am,
	  plugins/tasklist/tasklist.desktop.in.in,
	  plugins/testplugin/Makefile.am,
	  plugins/testplugin/testplugin.desktop.in.in,
	  plugins/windowlist/Makefile.am,
	  plugins/windowlist/windowlist.desktop.in.in:
	  * Fix plugin installation on cygwin. Patch by Olivier.
	  * Set name for panel convencience buttons. Maybe useful for
	  themes?

2006-10-14 10:04  jasper

	* panel/panel-dialogs.c:
	  Add checks for empty selection. Based on bug report from Omair
	  Eshkenazi.

2006-10-14 09:45  jasper

	* panel/panel-dialogs.c:
	  Use new-style atom to check for compositing manager. Only check
	  default screen.

2006-10-14 09:09  jasper

	* plugins/clock/clock.c:
	  Use only small size for LED clock in vertical mode.

2006-10-13 00:04  paurullan

	* po/ChangeLog, po/ko.po:
	  i18n various updates and add

2006-10-11 19:10  jasper

	* plugins/launcher/launcher-dialog.c, plugins/launcher/launcher.c,
	  plugins/launcher/launcher.h:
	  Properly finish drags. Patch by Nick (bug #2417).

2006-10-10 20:18  jasper

	* panel/panel-app.c:
	  Be a little more careful when saving that we still have a valid
	  configuration. Maybe fixes bug #2405.

2006-09-27 15:50  hydonsingore

	* po/ChangeLog, po/zh_TW.po:
	  Updated zh_TW translations.

2006-09-24 08:57  jasper

	* libxfce4panel/xfce-arrow-button.c, libxfce4panel/xfce-itembar.c,
	  libxfce4panel/xfce-panel-enums.h,
	  libxfce4panel/xfce-panel-external-item.c,
	  libxfce4panel/xfce-panel-internal-plugin.c,
	  libxfce4panel/xfce-panel-item-iface.c,
	  libxfce4panel/xfce-panel-plugin-iface.c,
	  libxfce4panel/xfce-panel-window.c:
	  Call plugin contructor after default realize signal handler.

2006-09-24 08:33  jasper

	* panel/panel-app.c, panel/panel-item-manager.c:
	  Use G_MODULE_BIND_LOCAL for internal plugins. Seems to work
	  fine. Bug #2314.

2006-09-23 11:31  pollux

	* po/ChangeLog, po/de.po, po/fr.po:
	  various translations updates

2006-09-22 20:05  gnu_sylvain

	* po/ChangeLog, po/eo.po:
	  Updated Esperanto translations, by Jarbas Araujo
	  <jarbasaraujojr@yahoo.com.br>.

2006-09-20 11:11  paurullan

	* po/ChangeLog, po/ca.po:
	  update catalan translation

2006-09-13 18:32  jasper

	* plugins/windowlist/windowlist.c:
	  Fix problem with right-click menu on windowlist. Patch by Nick
	  (bug #2305).

2006-09-09 15:39  jasper

	* libxfce4panel/xfce-panel-macros.h:
	  Convert to unix line endings (bug #2253).

2006-09-07 18:58  pollux

	* po/ChangeLog, po/vi.po:
	  Updated Vietnamese translations

2006-09-03 19:00  pollux

	* po/ChangeLog, po/pt_BR.po:
	  Updated Brazilian Portuguese translations

2006-09-02 15:35  benny

	* config/Makefile.am, configure.ac.in, panel/Makefile.am,
	  po/ar.po, po/az.po, po/be.po, po/bg.po, po/bn_IN.po, po/ca.po,
	  po/cs.po, po/de.po, po/el.po, po/en_GB.po, po/eo.po, po/es.po,
	  po/es_MX.po, po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po,
	  po/gl.po, po/gu.po, po/he.po, po/hi.po, po/hu.po, po/hy.po,
	  po/it.po, po/ja.po, po/ka.po, po/ko.po, po/lt.po, po/mr.po,
	  po/ms.po, po/nb_NO.po, po/nl.po, po/pa.po, po/pl.po,
	  po/pt_BR.po, po/pt_PT.po, po/ro.po, po/ru.po, po/sk.po,
	  po/sv.po, po/ta.po, po/tr.po, po/uk.po, po/vi.po,
	  po/xfce4-panel.pot, po/zh_CN.po, po/zh_TW.po:
	  Bump version and requirements.

2006-09-02 08:57  sas

	* po/hu.po:
	  hungarian updates

2006-09-02 02:06  yuvaltanny

	* po/he.po:
	  Update Hebrew translation

2006-09-01 17:16  pollux

	* panel/panel-app.c:
	  fix compiling with debugging enabled

2006-08-31 19:29  olivier

	* config/Makefile.am, config/clock-14.rc, config/systray-4.rc,
	  config/xfce4-menu-5.rc:
	  Tweaks defaults config

2006-08-27 20:54  pollux

	* po/de.po:
	  Updated German translations

2006-08-27 12:57  pollux

	* po/ChangeLog, po/de.po:
	  Updated German translations

2006-08-27 11:35  pollux

	* po/ChangeLog, po/LINGUAS, po/ka.po:
	  add Georgian translations

2006-08-25 23:33  stavrosg

	* po/ChangeLog, po/el.po:
	  Greek translations update

2006-08-19 20:41  pollux

	* po/ChangeLog, po/fr.po:
	  Updated French translations

2006-08-19 16:20  pollux

	* po/ChangeLog, po/cs.po:
	  Updated Czech translations

2006-08-19 16:08  pollux

	* po/ChangeLog, po/LINGUAS, po/gl.po:
	  add some Galician translations

2006-08-17 17:27  jasper

	* libxfce4panel/xfce-panel-plugin-iface.c:
	  Fix return values. Problem posted on the ML.

2006-08-15 19:52  jasper

	* plugins/windowlist/Makefile.am, plugins/windowlist/windowlist.c,
	  plugins/windowlist/xfce4-popup-windowlist.c,
	  plugins/windowlist/xfce4-popup-windowlist.h:
	  * Allow windowlist to be opened with a command. Patch by Darren
	  Salt (bug #2104).
	  * Add support for activating items by keyboard. Based on a patch
	  by Darren Salt. Also bug #2104.

2006-08-15 19:21  pollux

	* po/ChangeLog, po/pl.po:
	  updated Polish translations by piotr maliński
	  <riklaunim@gmail.com>

2006-08-14 19:27  jasper

	* plugins/windowlist/windowlist.c:
	  Remove the prelight hack, make active window title italic and
	  use normal font for windows on different desktops.

2006-08-14 17:53  jasper

	* configure.ac.in, panel/Makefile.am, panel/xfce4-iconbox,
	  panel/xftaskbar4:
	  Add dummy scripts for xftaskbar4 and xfce4-iconbox. Can be
	  disabled (useful for packagers, I presume).

2006-08-14 08:23  jasper

	* plugins/windowlist/windowlist.c:
	  Hightlight active window in menu. Bug #2126.

2006-08-13 17:41  jasper

	* panel/main.c, panel/panel-app.c:
	  Change unix signal handling to use a pipe and a io channel
	  watch. Bug 2056.

2006-08-13 17:37  jasper

	* plugins/pager/pager.c:
	  Handle screen size changes. Bug #2048.

2006-08-13 09:25  jasper

	* panel/panel-dialogs.c:
	  Don't make panel dialogs always on top.

2006-08-13 09:10  jasper

	* plugins/actions/actions.c, plugins/clock/clock.c,
	  plugins/iconbox/iconbox.c, plugins/launcher/launcher-dialog.c,
	  plugins/pager/pager.c, plugins/separator/separator.c,
	  plugins/systray/systray.c, plugins/tasklist/tasklist.c,
	  plugins/windowlist/windowlist-dialog.c:
	  Don't make panel the parent of property dialogs, this prevents
	  the dialogs from being always on top.

2006-08-13 08:59  jasper

	* plugins/actions/actions.c:
	  Add missing tooltips for action buttons.

2006-08-12 20:19  piarres

	* po/ChangeLog, po/eu.po:
	  xfce4-panel basque translation update

2006-08-12 19:45  sas

	* po/hu.po:
	  hu trunk: panel, burn updated

2006-08-12 18:39  jari

	* po/ChangeLog, po/fi.po:
	  Updated Finnish translations.

2006-08-12 16:23  jasper

	* plugins/clock/clock.c, plugins/tasklist/tasklist.c, po/ar.po,
	  po/az.po, po/be.po, po/bg.po, po/bn_IN.po, po/ca.po, po/cs.po,
	  po/de.po, po/el.po, po/en_GB.po, po/eo.po, po/es.po,
	  po/es_MX.po, po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po,
	  po/gu.po, po/he.po, po/hi.po, po/hu.po, po/hy.po, po/it.po,
	  po/ja.po, po/ko.po, po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po,
	  po/nl.po, po/pa.po, po/pl.po, po/pt_BR.po, po/pt_PT.po,
	  po/ro.po, po/ru.po, po/sk.po, po/sv.po, po/ta.po, po/tr.po,
	  po/uk.po, po/vi.po, po/xfce4-panel.pot, po/zh_CN.po,
	  po/zh_TW.po:
	  Add option for flat buttons to the tasklist plugin. New string,
	  sorry.

2006-08-12 11:21  jasper

	* plugins/launcher/launcher-dialog.c:
	  Make icon button and entry a drop target for image files. Bug
	  #1621.

2006-08-12 03:27  hydonsingore

	* po/ChangeLog, po/zh_TW.po:
	  Updated traditional Chinese translations

2006-08-11 19:42  jasper

	* plugins/windowlist/windowlist.c:
	  Use pango_ellipsize and highlight active item. Based on patch by
	  Darren Salt.

2006-08-11 15:25  jasper

	* panel/frap-icon-entry.c, panel/frap-icon-entry.h:
	  Hmm, better add these as well...

2006-08-11 15:25  jasper

	* panel/Makefile.am, panel/panel-dialogs.c:
	  Awesome patch by Benedikt: Add search (filter) box to add item
	  dialog. Uses frap-icon-entry.

2006-08-10 13:50  benny

	* autogen.sh:
	  Fix invalid test operator.

2006-08-10 13:01  pollux

	* libxfce4panel/xfce-panel-macros.h:
	  add missing xfce4-panel-macros.h

2006-08-09 18:36  jasper

	* libxfce4panel/Makefile.am, libxfce4panel/xfce-itembar.c,
	  libxfce4panel/xfce-panel-plugin.h, panel/panel-app.c,
	  panel/panel-config.c, panel/panel-dialogs.c,
	  panel/panel-item-manager.c, panel/panel.c,
	  plugins/actions/actions.c, plugins/clock/clock.c,
	  plugins/iconbox/iconbox.c, plugins/launcher/launcher-dialog.c,
	  plugins/launcher/launcher.c, plugins/pager/pager.c,
	  plugins/showdesktop/showdesktop.c, plugins/systray/systray.c,
	  plugins/tasklist/tasklist.c,
	  plugins/windowlist/windowlist-dialog.c,
	  plugins/windowlist/windowlist.c:
	  Patch by Nick:
	  * Use g_slice_* functions when available at compile time.
	  * Add macros to be used by panel and plugins. Similar to exo.

2006-08-09 07:09  piarres

	* po/ChangeLog, po/eu.po:
	  xfce4-panel basque translation update

2006-08-04 21:02  jasper

	* docs/API/html/XfceArrowButton.html,
	  docs/API/html/XfceExternalPanelPlugin.html,
	  docs/API/html/XfceHVBox.html,
	  docs/API/html/XfceInternalPanelPlugin.html,
	  docs/API/html/XfceItembar.html,
	  docs/API/html/XfcePanelPlugin.html,
	  docs/API/html/XfcePanelWindow.html, docs/API/html/ch01.html,
	  docs/API/html/index.html, docs/API/html/index.sgml,
	  docs/API/html/libxfce4panel-Convenience-Functions.html,
	  docs/API/html/libxfce4panel-Standard-Enumerations.html,
	  docs/API/html/libxfce4panel-Writing-Plugins.html,
	  docs/API/html/libxfce4panel.devhelp, docs/API/html/style.css,
	  docs/API/libxfce4panel-decl-list.txt,
	  docs/API/libxfce4panel-decl.txt, docs/API/tmpl/xfce-hvbox.sgml,
	  docs/API/xml/object_index.sgml, docs/API/xml/tree_index.sgml,
	  docs/API/xml/xfce-arrow-button.xml, docs/API/xml/xfce-hvbox.xml,
	  docs/API/xml/xfce-itembar.xml,
	  docs/API/xml/xfce-panel-convenience.xml,
	  docs/API/xml/xfce-panel-enums.xml,
	  docs/API/xml/xfce-panel-external-plugin.xml,
	  docs/API/xml/xfce-panel-internal-plugin.xml,
	  docs/API/xml/xfce-panel-plugin-iface.xml,
	  docs/API/xml/xfce-panel-plugin.xml,
	  docs/API/xml/xfce-panel-window.xml,
	  libxfce4panel/xfce-panel-external-item.c,
	  libxfce4panel/xfce-panel-external-plugin.c,
	  libxfce4panel/xfce-panel-internal-plugin.c,
	  libxfce4panel/xfce-panel-item-iface.c,
	  libxfce4panel/xfce-panel-item-iface.h,
	  libxfce4panel/xfce-panel-plugin-iface-private.h,
	  libxfce4panel/xfce-panel-plugin-iface.c,
	  libxfce4panel/xfce-panel-plugin-iface.h,
	  libxfce4panel/xfce-panel-plugin-messages.h,
	  panel/panel-properties.c, panel/panel.c,
	  plugins/launcher/launcher.c, plugins/windowlist/windowlist.c:
	  Add xfce_panel_plugin_set_panel_hidden() function.

2006-08-04 18:53  gnu_sylvain

	* po/ChangeLog, po/eo.po:
	  Updated Esperanto translations by Antono Vasiljev
	  <antonalist@gmail.com>.

2006-08-04 17:28  stavrosg

	* po/ChangeLog, po/el.po:
	  Greek translations update.

2006-08-03 21:42  pollux

	* po/ChangeLog, po/cs.po, po/fr.po:
	  Updated Czech and French translations

2006-08-03 21:00  jasper

	* configure.ac.in, panel/panel-app.c, panel/panel-properties.c,
	  panel/panel.c, plugins/launcher/launcher.c:
	  Remove or increase some timeouts and handle delete-event on the
	  panel window (bug #2116).

2006-08-03 17:58  jasper

	* plugins/clock/clock.c:
	  Small improvements and cleanup of clock dialog. Patch by Nick.

2006-08-03 12:17  jari

	* po/ChangeLog, po/fi.po:
	  Updated Finnish translation.

2006-08-02 18:46  jasper

	* plugins/launcher/launcher.c:
	  Remove a gtk_events_pending() loop to try and fix a crash on
	  NetBSD (bug #2049). Use one idle callback to fill in menu icons,
	  instead of many.

2006-08-01 18:45  sas

	* po/hu.po:
	  hu trunk: panel updated

2006-08-01 18:20  jasper

	* autogen.sh, config/Makefile.am, config/launcher-7.rc.in,
	  configure.ac.in, plugins/pager/pager.c, po/ar.po, po/az.po,
	  po/be.po, po/bg.po, po/bn_IN.po, po/ca.po, po/cs.po, po/de.po,
	  po/el.po, po/en_GB.po, po/eo.po, po/es.po, po/es_MX.po,
	  po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po, po/gu.po,
	  po/he.po, po/hi.po, po/hu.po, po/hy.po, po/it.po, po/ja.po,
	  po/ko.po, po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po, po/nl.po,
	  po/pa.po, po/pl.po, po/pt_BR.po, po/pt_PT.po, po/ro.po,
	  po/ru.po, po/sk.po, po/sv.po, po/ta.po, po/tr.po, po/uk.po,
	  po/vi.po, po/xfce4-panel.pot, po/zh_CN.po, po/zh_TW.po:
	  * Fix terminal icon in default config (bug #2098).
	  * Hack configure.ac.in to fixup intltool-update to support
	  *.rc.in files (reported on xfce-i18n).
	  * Make mousewheel scrolling on pager optional. Patch by Nick
	  (bug #1951).
	  * Update po files. Final string update, hopefully.

2006-07-30 22:23  sas

	* po/hu.po:
	  hu trunk: panel update

2006-07-30 21:19  jasper

	* plugins/iconbox/iconbox.c, po/ar.po, po/az.po, po/be.po,
	  po/bg.po, po/bn_IN.po, po/ca.po, po/cs.po, po/de.po, po/el.po,
	  po/en_GB.po, po/eo.po, po/es.po, po/es_MX.po, po/et.po,
	  po/eu.po, po/fa.po, po/fi.po, po/fr.po, po/gu.po, po/he.po,
	  po/hi.po, po/hu.po, po/hy.po, po/it.po, po/ja.po, po/ko.po,
	  po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po, po/nl.po, po/pa.po,
	  po/pl.po, po/pt_BR.po, po/pt_PT.po, po/ro.po, po/ru.po,
	  po/sk.po, po/sv.po, po/ta.po, po/tr.po, po/uk.po, po/vi.po,
	  po/xfce4-panel.pot, po/zh_CN.po, po/zh_TW.po:
	  Add option to show applications from all workspaces. Patch by
	  Landry Breuil (landry@fr.homeunix.org). Bug #2072. Adds a
	  string.

2006-07-30 19:20  jasper

	* libxfce4panel/Makefile.am:
	  Try to make sure plugins still compile with -Wl,--as-needed.
	  Thanks to Benny for the suggestion.

2006-07-30 15:00  jasper

	* plugins/clock/clock.c:
	  Patch by Nick to decrease timeout for clock updates to once a
	  second.

2006-07-22 13:41  pollux

	* panel/panel-app.c:
	  fix issue preventing the removal of a panel

2006-07-15 21:12  pollux

	* po/ChangeLog, po/cs.po:
	  Updated Czech translations

2006-07-13 21:37  jasper

	* Makefile.am, libxfce4panel/Makefile.am,
	  libxfce4panel/libxfce4panel-1.0.pc.in,
	  libxfce4panel/xfce-panel-convenience.c,
	  libxfce4panel/xfce-panel-convenience.h,
	  libxfce4panel/xfce-panel-plugin-iface.c, panel/Makefile.am,
	  panel/panel-app.c, panel/panel-config.c, panel/panel.c:
	  Fix/reimplement kiosk mode (bug #1993). Also attempt to fix
	  linking with -Wl,--as-needed (bug #1977).

2006-07-13 18:50  jasper

	* plugins/launcher/launcher.h:
	  I've become a bit rusty it seems...

2006-07-13 18:47  jasper

	* plugins/launcher/launcher-dialog.c, plugins/launcher/launcher.h:
	  Make icon list a little more robust against changes in
	  libxfcegui4.

2006-07-09 21:34  pollux

	* po/ChangeLog, po/cs.po:
	  updated translations

2006-07-09 09:56  pollux

	* configure.ac.in:
	  bump all versions and dependencies to 4.3.90.2

2006-07-01 06:33  olivier

	* panel/panel-properties.c:
	  Set NET_WM_STRUT for compatibility with former specs.

2006-06-28 18:55  eulex

	* po/sv.po:
	  Some very minor changes to tidy up the contents of the settings
	  menu in swedish, not worthy a changelog entry imho, bitch at me
	  if I'm wrong.

2006-06-12 14:26  hydonsingore

	* po/ChangeLog, po/zh_TW.po:
	  Update traditional Chinese translations; Modify personal e-mail
	  address.

2006-06-10 12:02  daichi

	* po/ChangeLog, po/pl.po:
	  Updated Polish translations by Szymon Kalasz
	  <szymon_maestro@gazeta.pl>.

2006-06-05 23:11  adriano

	* po/ChangeLog, po/pt_BR.po:
	  Updated brazilian portuguese translations.

2006-06-04 17:41  pollux

	* po/ChangeLog, po/fr.po:
	  updated French translations by Maximilian Schleiss
	  <maxschleiss@bluewin.ch>

2006-06-04 15:51  jasper

	* Makefile.am, autogen.sh, config/Makefile.am,
	  config/launcher-10.rc, config/launcher-10.rc.in,
	  config/launcher-7.rc, config/launcher-7.rc.in,
	  config/launcher-8.rc, config/launcher-8.rc.in,
	  config/launcher-9.rc, config/launcher-9.rc.in, configure.ac.in,
	  configure.in.in, docs/Makefile.am, docs/manual, docs/manual/C,
	  docs/manual/C/Makefile.am, docs/manual/C/images,
	  docs/manual/C/images/Makefile.am,
	  docs/manual/C/xfce4-panel.html, docs/manual/C/xfce4-panel.xml,
	  docs/manual/Makefile.am, docs/manual/xfce-nochunk.xsl,
	  mcs-plugin/Makefile.am, po/POTFILES.in:
	  * Add unfinished manual plus needed infrastructure
	  * configure.in.in -> configure.ac.in (hey Brian ;-)
	  * Make config files translatable, but don't update po files yet:
	  it will probably still change.
	  

2006-06-04 08:12  eulex

	* po/ChangeLog:
	  Changelogs for appfinder, exo, utils, mcs-plugins, mcs-manager,
	  xfce4-session, xfce4-mixer, thunar, libgui, xfwm4, the panel,
	  orage, trigger-launcher and terminal updated.
	  Also couldn't resist to fix a small error in the xfce4-mixer
	  Changelog.
	  Didn't updated the changelog of xfprint, because I discovered
	  that that translation wasn't updated, it had just slipped
	  through
	  the commit by mistake.

2006-06-04 00:10  eulex

	* po/sv.po:
	  obsolete strings in the swedish translations removed

2006-06-03 23:44  eulex

	* po/sv.po:
	  Merged Swedish translations (by me and Jens Hagerman) into the
	  xfce svn.
	  This includes updated translations of appfinder, xfce-utils,
	  mcs-plugins,
	  xfprint, xfce4-session, xfce4-mixer, thunar, libxfcegui4, xfwm4,
	  xfce4-panel, xfdesktop, orage, xfce4-trigger-launcher and
	  mcs-manager,
	  and added translations for libexo and terminal.
	  The appropriate LINGUAS files were also updated.

2006-05-31 18:52  jasper

	* plugins/windowlist/windowlist.c:
	  Attempt to fix bug #1774. It's a wild guess, but who knows...

2006-05-31 12:53  daichi

	* po/ChangeLog, po/ja.po:
	  Updated Japanese translations.

2006-05-30 23:21  yuvaltanny

	* po/he.po:
	  Update Hebrew translation

2006-05-30 18:24  stavrosg

	* po/ChangeLog, po/el.po:
	  Greek translations update

2006-05-29 08:04  piarres

	* po/ChangeLog, po/eu.po:
	  [l10n:eu] Basque translation update

2006-05-28 17:07  jari

	* po/fi.po:
	  Updated Finnish translations.

2006-05-28 16:40  sas

	* po/hu.po:
	  hu trunk: panel updated

2006-05-28 15:53  jasper

	* po/ChangeLog, po/ar.po, po/az.po, po/be.po, po/bg.po,
	  po/bn_IN.po, po/ca.po, po/cs.po, po/de.po, po/el.po,
	  po/en_GB.po, po/eo.po, po/es.po, po/es_MX.po, po/et.po,
	  po/eu.po, po/fa.po, po/fi.po, po/fr.po, po/gu.po, po/he.po,
	  po/hi.po, po/hu.po, po/hy.po, po/it.po, po/ja.po, po/ko.po,
	  po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po, po/nl.po, po/pa.po,
	  po/pl.po, po/pt_BR.po, po/pt_PT.po, po/ro.po, po/ru.po,
	  po/sk.po, po/sv.po, po/ta.po, po/tr.po, po/uk.po, po/vi.po,
	  po/xfce4-panel.pot, po/zh_CN.po, po/zh_TW.po:
	  Update strings: new strings were added.

2006-05-28 15:41  jasper

	* plugins/launcher/launcher-dialog.c, plugins/launcher/launcher.c,
	  plugins/launcher/launcher.h:
	  Fix crash because icon categories were out of sync with
	  libxfcegui4 (bug #1859).

2006-05-28 15:05  jasper

	* plugins/launcher/launcher.c:
	  Use clipboard contents as argument when middle clicking on
	  launcher or menu entry. Based on patches by Mike Massonnet
	  <mike.massonnet@gmail.com>.

2006-05-25 16:34  pollux

	* ., autogen.sh, config, configure.ac, configure.in.in, docs,
	  docs/API, icons, libxfce4panel, mcs-plugin, panel, plugins,
	  plugins/actions, plugins/clock, plugins/iconbox,
	  plugins/launcher, plugins/pager, plugins/separator,
	  plugins/showdesktop, plugins/systray, plugins/tasklist,
	  plugins/testplugin, plugins/windowlist, po, po/LINGUAS:
	  * add LINGUAS support
	  * update svn:ignore

2006-05-23 02:45  daichi

	* po/ChangeLog, po/fi.po:
	  Changed an address.

2006-05-21 19:36  jasper

	* plugins/launcher/launcher.c:
	  Fix a crash when clicking on the menu arrow before menu was
	  created. Fixes bug #1832, but I'd prefer to find a better fix.

2006-05-21 12:59  jasper

	* plugins/actions/actions.c, plugins/clock/clock.c,
	  plugins/iconbox/iconbox.c, plugins/launcher/launcher-dialog.c,
	  plugins/pager/pager.c, plugins/separator/separator.c,
	  plugins/systray/systray.c, plugins/tasklist/tasklist.c,
	  plugins/windowlist/windowlist-dialog.c:
	  Use new titled dialog for plugin dialogs. Patch by Nick Schermer
	  (bug #1829).

2006-05-21 12:12  jasper

	* plugins/actions/actions.c:
	  Fix size when two buttons are shown (bug #1777).

2006-05-21 11:51  jasper

	* libxfce4panel/xfce-panel-external-item.c, panel/panel.c,
	  plugins/testplugin/testplugin.c:
	  Fix expand state for external plugins (bug #1738).

2006-05-21 11:13  jasper

	* libxfce4panel/xfce-panel-external-plugin.c,
	  libxfce4panel/xfce-panel-plugin-iface-private.h,
	  panel/panel-dialogs.c, panel/panel-dnd.c,
	  panel/panel-item-manager.c, plugins/launcher/launcher.c:
	  * Remove some superfluous prototypes
	  * Make some more data 'const'.
	  * Don't display error dialog from
	  panel_item_manager_create_item(), but from add_selected_item()
	  in panel-dialogs.c. Fixes bug #1726.

2006-05-13 20:17  paurullan

	* po/ChangeLog, po/ca.po:
	  [i18n] catalan
	  Update various translations

2006-05-13 05:09  hydonsingore

	* po/ChangeLog, po/zh_TW.po:
	  Update traditional Chinese translations

2006-05-13 04:56  daichi

	* po/ChangeLog, po/pl.po:
	  Updated Polish translations by Szymon Kalasz
	  <szymon_maestro@gazeta.pl>.

2006-05-07 20:04  piarres

	* po/ChangeLog, po/eu.po:
	  [l10n:eu] Updated basque translation

2006-05-07 13:36  daichi

	* po/ChangeLog, po/ja.po:
	  Updated Japanese translation.

2006-05-07 08:15  jari

	* po/fi.po:
	  Finnish translations updated.

2006-05-06 17:57  adriano

	* po/pt_BR.po:
	  Updated Brazilian Portuguese translations.

2006-05-06 14:30  stavrosg

	* po/ChangeLog, po/el.po:
	  Greek translations update.

2006-05-06 06:44  sas

	* po/hu.po:
	  hu trunk: little updates

2006-05-05 21:50  daichi

	* po/ChangeLog, po/sk.po:
	  Updated Slovak translations by Roman Moravcik
	  <roman.moravcik@gmail.com>.

2006-05-05 21:01  daichi

	* po/ar.po, po/az.po, po/be.po, po/bg.po, po/bn_IN.po, po/ca.po,
	  po/cs.po, po/de.po, po/el.po, po/en_GB.po, po/eo.po, po/es.po,
	  po/es_MX.po, po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po,
	  po/gu.po, po/he.po, po/hi.po, po/hu.po, po/hy.po, po/it.po,
	  po/ja.po, po/ko.po, po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po,
	  po/nl.po, po/pa.po, po/pl.po, po/pt_BR.po, po/pt_PT.po,
	  po/ro.po, po/ru.po, po/sk.po, po/sv.po, po/ta.po, po/tr.po,
	  po/uk.po, po/vi.po, po/xfce4-panel.pot, po/zh_CN.po,
	  po/zh_TW.po:
	  Bump.

2006-05-05 19:23  yuvaltanny

	* po/he.po:
	  Updated Hebrew translation

2006-05-05 06:15  daichi

	* po/ChangeLog, po/cs.po:
	  Updated Czech translations by Michal Varady
	  <miko.vaji@gmail.com>.

2006-05-05 06:11  daichi

	* po/ChangeLog, po/ja.po:
	  Updated Japanese translations.

2006-05-04 22:23  benny

	* configure.ac, panel/panel-dialogs.c:
	  Update the panel dialogs to use XfceTitledDialog.

2006-05-02 18:46  dannym

	* docs/API/xml/xfce-panel-plugin.xml:
	  add missing .h

2006-05-02 16:06  daichi

	* po/ChangeLog:
	  Removed timestamps so that a translator isn't bothered:
	  "Then, what time is it now in UTC?"

2006-05-02 12:23  daichi

	* po/pl.po:
	  Updated Polish translations by Piotr Malinski <admin@rk.edu.pl>.

2006-05-01 13:31  daichi

	* po/ru.po:
	  Updated Russian translations by
	  Anthony Ivanoff <a-i@bk.ru>,
	  Maxim Zenin <webmechanics@gmail.com>,
	  Sergey Fedoseev <fedoseev.sergey@gmail.com>.

2006-05-01 07:04  daichi

	* po/ar.po, po/az.po, po/be.po, po/bg.po, po/bn_IN.po, po/ca.po,
	  po/de.po, po/el.po, po/en_GB.po, po/eo.po, po/es.po,
	  po/es_MX.po, po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po,
	  po/gu.po, po/he.po, po/hi.po, po/hu.po, po/hy.po, po/it.po,
	  po/ja.po, po/ko.po, po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po,
	  po/nl.po, po/pa.po, po/pt_BR.po, po/pt_PT.po, po/ro.po,
	  po/ru.po, po/sk.po, po/sv.po, po/ta.po, po/tr.po, po/uk.po,
	  po/vi.po, po/zh_CN.po, po/zh_TW.po:
	  Updated.

2006-04-30 16:00  daichi

	* po/pl.po:
	  Updated Polish translations by Piotr Malinski <admin@rk.edu.pl>.

2006-04-29 12:24  daichi

	* po/cs.po:
	  Updated Czech translations by Michal Varady
	  <miko.vaji@gmail.com>.

2006-04-29 12:15  daichi

	* po/pl.po:
	  Updated Polish translations by Piotr Malinski
	  <riklaunim@gmail.com>.

2006-04-29 11:48  daichi

	* po/vi.po:
	  Updated Vietnamese translations by Phan Vinh Thinh
	  <teppi@vnlinux.org>.

2006-04-29 00:01  hydonsingore

	* po/ChangeLog, po/zh_TW.po:
	  Update traditional Chinese translations for several packages.

2006-04-28 10:53  yuvaltanny

	* po/he.po:
	  Hebrew translation update

2006-04-26 09:29  mvd

	* po/uk.po:
	  2006-04-26 Maxim Dziumanenko <mvd@mylinux.ua>
	  
	  * Updated Ukrainian translation.

2006-04-26 08:38  peetervois

	* po/et.po:
	  

2006-04-25 16:27  jari

	* po/fi.po:
	  Finnish translations updated.

2006-04-24 19:04  jasper

	* po/POTFILES.in:
	  Remove generated files from POTFILES.in. Patch by Jari Rahkonen.

2006-04-24 08:48  piarres

	* po/ChangeLog, po/eu.po:
	  [l10n:eu] Basque translation update

2006-04-24 06:57  stavrosg

	* po/el.po:
	  Greek translation update

2006-04-23 15:42  daichi

	* po/ja.po:
	  Updated Japanese translations.

2006-04-23 11:56  daichi

	* po/ru.po:
	  Updated Russian translations by Sergey Fedoseev
	  <fedoseev.sergey@gmail.com>.

2006-04-23 09:39  sas

	* po/hu.po:
	  hu trunk: cal, desktop, mcs-plugins & panel updates

2006-04-23 08:55  jasper

	* Makefile.am, configure.ac, mcs-plugin, mcs-plugin/Makefile.am,
	  mcs-plugin/plugin.c, mcs-plugin/xfce4-panel-manager.desktop.in,
	  plugins/launcher/launcher.c, plugins/windowlist/Makefile.am,
	  plugins/windowlist/windowlist-dialog.c,
	  plugins/windowlist/windowlist-dialog.h,
	  plugins/windowlist/windowlist.c,
	  plugins/windowlist/windowlist.h, po/POTFILES.in, po/ar.po,
	  po/az.po, po/be.po, po/bg.po, po/bn_IN.po, po/ca.po, po/cs.po,
	  po/de.po, po/el.po, po/en_GB.po, po/eo.po, po/es.po,
	  po/es_MX.po, po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po,
	  po/gu.po, po/he.po, po/hi.po, po/hu.po, po/hy.po, po/it.po,
	  po/ja.po, po/ko.po, po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po,
	  po/nl.po, po/pa.po, po/pl.po, po/pt_BR.po, po/pt_PT.po,
	  po/ro.po, po/ru.po, po/sk.po, po/sv.po, po/ta.po, po/tr.po,
	  po/uk.po, po/vi.po, po/xfce4-panel.pot, po/zh_CN.po,
	  po/zh_TW.po:
	  * Fix for Ctrl + button 1 click: don't open two menus (bug
	  #1699).
	  * Improved windowlist plugin from Nick Schermer. This adds some
	  strings to translate.
	  * Add mcs plugin that runs 'xfce4panel -c' for convenience.

2006-04-22 09:53  daichi

	* po/zh_CN.po:
	  Updated Simplified Chinese by Jick Nan <jick.nan@gmail.com>.

2006-04-21 21:58  yuvaltanny

	* po/he.po:
	  Hebrew translations update

2006-04-20 19:58  jasper

	* panel/panel-app.c:
	  Don't make exit dialog transient for the panel, to improve
	  window placement.

2006-04-17 17:26  stavrosg

	* po/el.po:
	  Greek translations update

2006-04-17 13:21  daichi

	* po/et.po:
	  Updated Estonian translations by Peeter Vois
	  <peeter.vois@proekspert.ee>.

2006-04-17 13:17  daichi

	* po/ar.po, po/az.po, po/be.po, po/bg.po, po/bn_IN.po, po/ca.po,
	  po/cs.po, po/de.po, po/el.po, po/en_GB.po, po/eo.po, po/es.po,
	  po/es_MX.po, po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po,
	  po/gu.po, po/he.po, po/hi.po, po/hu.po, po/hy.po, po/it.po,
	  po/ja.po, po/ko.po, po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po,
	  po/nl.po, po/pa.po, po/pl.po, po/pt_BR.po, po/pt_PT.po,
	  po/ro.po, po/ru.po, po/sk.po, po/sv.po, po/ta.po, po/tr.po,
	  po/uk.po, po/vi.po, po/xfce4-panel.pot, po/zh_CN.po,
	  po/zh_TW.po:
	  Updated.

2006-04-17 12:22  benny

	* config/launcher-8.rc, config/panels.xml:
	  Port release fix.

2006-04-16 11:13  benny

	* Makefile.am, configure.ac, icons/Makefile.am, panel/panel.c, po,
	  po/xfce4-panel.pot, xfce4-panel.spec.in:
	  Update for 4.4beta1.

2006-04-16 10:45  jasper

	* panel/panel-dialogs.c:
	  Remove highlighting of current panel when panel is in edit mode.
	  It doesn't work properly (bug #1664).

2006-04-16 10:13  jasper

	* plugins/showdesktop/showdesktop.c,
	  plugins/showdesktop/showdesktop.desktop.in.in:
	  Patches by Jani Monoses: fix icon name in desktop file (bug
	  #1613) and check for valid icon (#1614).

2006-04-16 09:06  jasper

	* panel/panel-dialogs.c:
	  Try to prevent users from 'losing' the panel dialog when the
	  panel is in edit mode. I'm using the utility window type hint,
	  which is a bit of a hack, but does seem to work. Fixes bug
	  #1608.

2006-04-16 07:00  sas

	* po/hu.po:
	  hu trunk: panel, wm & mcs-plugins updates

2006-04-15 17:39  olivier

	* ChangeLog:
	  Update ChangeLog

2006-04-15 12:10  daichi

	* po/ar.po, po/az.po, po/be.po, po/bg.po, po/bn_IN.po, po/ca.po,
	  po/cs.po, po/de.po, po/el.po, po/en_GB.po, po/eo.po, po/es.po,
	  po/es_MX.po, po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po,
	  po/gu.po, po/he.po, po/hi.po, po/hu.po, po/hy.po, po/it.po,
	  po/ja.po, po/ko.po, po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po,
	  po/nl.po, po/pa.po, po/pl.po, po/pt_BR.po, po/pt_PT.po,
	  po/ro.po, po/ru.po, po/sk.po, po/sv.po, po/ta.po, po/tr.po,
	  po/uk.po, po/vi.po, po/zh_CN.po, po/zh_TW.po:
	  Bump, etc.

2006-04-15 03:03  daichi

	* po/ru.po:
	  Updated Russian translations by Andrey Fedoseev
	  <andrey.fedoseev@gmail.com>.

2006-04-15 02:12  daichi

	* po/ko.po:
	  Added/Updated Korean translations by ByungHyun Choi
	  <byunghyun.choi@gmail.com>.

2006-04-13 20:53  jasper

	* config/Makefile.am, config/launcher-10.rc, config/launcher-7.rc,
	  config/launcher-8.rc, config/launcher-9.rc, config/panels.xml,
	  configure.ac, panel/panel-app.c, panel/panel-properties.c:
	  * Change default configuration, mostly as an example of how to
	  get real content on the default panel. This needs to be improved
	  and eventually translated.
	  * Update version number to 4.3.90.1

2006-04-13 10:35  sas

	* po/hu.po:
	  hu: calendar, appfinder, icon-theme & panel updates

2006-04-11 20:41  olivier

	* plugins/launcher/launcher.c:
	  Fix a potential memory corruption issue.

2006-04-09 02:22  daichi

	* po/fi.po:
	  Updated Finnish translations by Jari Rahkonen
	  <jari.rahkonen@pp1.inet.fi>.

2006-04-09 02:16  daichi

	* po/ar.po, po/az.po, po/be.po, po/bg.po, po/bn_IN.po, po/ca.po,
	  po/cs.po, po/de.po, po/el.po, po/en_GB.po, po/eo.po, po/es.po,
	  po/es_MX.po, po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po,
	  po/gu.po, po/he.po, po/hi.po, po/hu.po, po/hy.po, po/it.po,
	  po/ja.po, po/ko.po, po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po,
	  po/nl.po, po/pa.po, po/pl.po, po/pt_BR.po, po/pt_PT.po,
	  po/ro.po, po/ru.po, po/sk.po, po/sv.po, po/ta.po, po/tr.po,
	  po/uk.po, po/vi.po, po/xfce4-panel.pot, po/zh_CN.po,
	  po/zh_TW.po:
	  Updated.

2006-04-02 16:35  jasper

	* plugins/launcher/launcher-dialog.c:
	  Fill in comment field and try to download icons for 0install
	  applications. Patch by Thomas Leonard.

2006-04-01 03:37  stavrosg

	* po/el.po:
	  Greek translations update & polish by Stathis Kamperis
	  <ekamperi@auth.gr>

2006-03-30 13:41  daichi

	* po/vi.po:
	  Updated Vietnamese translations by Phan Vinh Thinh
	  <teppi@vnlinux.org>.

2006-03-27 14:34  daichi

	* po/ru.po:
	  Added/Updated Russian translations by
	  Andrey Fedoseev <andrey.fedoseev@gmail.com> and
	  Sergey Fedoseev <fedoseev.sergey@gmail.com>.

2006-03-27 14:27  daichi

	* po/ar.po, po/az.po, po/be.po, po/bg.po, po/bn_IN.po, po/ca.po,
	  po/cs.po, po/de.po, po/el.po, po/en_GB.po, po/eo.po, po/es.po,
	  po/es_MX.po, po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po,
	  po/gu.po, po/he.po, po/hi.po, po/hu.po, po/hy.po, po/it.po,
	  po/ja.po, po/ko.po, po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po,
	  po/nl.po, po/pa.po, po/pl.po, po/pt_BR.po, po/pt_PT.po,
	  po/ro.po, po/ru.po, po/sk.po, po/sv.po, po/ta.po, po/tr.po,
	  po/uk.po, po/vi.po, po/xfce4-panel.pot, po/zh_CN.po,
	  po/zh_TW.po:
	  Updated.

2006-03-23 20:05  jasper

	* panel/panel-item-manager.c:
	  Silly mistake. Don't stop scanning for plugins after first
	  non-desktop file, just skip it (bug #1600).

2006-03-21 20:00  jasper

	* libxfce4panel/Makefile.am:
	  Cygwin fix by Stephan Arts.

2006-03-21 19:50  jasper

	* panel/panel-app.c, panel/panel.c:
	  Fix race condition on exit. Based on patch by Adriano Winter
	  Bess.

2006-03-19 16:21  jasper

	* panel/main.c, panel/panel-app.c, panel/panel-app.h:
	  Change startup timer to use access trick by Frederico Menu
	  Quintero to get nice graphical output:
	  http://primates.ximian.com/~federico/news-2006-03.html#09 .

2006-03-19 15:37  daichi

	* po/pl.po:
	  Updated Polish translations by Piotr Malinski <admin@rk.edu.pl>.

2006-03-19 02:01  daichi

	* po/ja.po:
	  Updated Japanese translations.

2006-03-18 19:21  paurullan

	* po/ca.po:
	  [i18n] catalan
	  little fixes

2006-03-18 19:00  paurullan

	* po/ca.po:
	  [i18n] catalan
	  little of work on trunk

2006-03-18 18:32  jasper

	* plugins/pager/pager.c:
	  Just use the value from the rc file for number of rows, without
	  a check.

2006-03-18 09:24  daichi

	* po/ar.po, po/az.po, po/be.po, po/bg.po, po/bn_IN.po, po/ca.po,
	  po/cs.po, po/de.po, po/el.po, po/en_GB.po, po/eo.po, po/es.po,
	  po/es_MX.po, po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po,
	  po/gu.po, po/he.po, po/hi.po, po/hu.po, po/hy.po, po/it.po,
	  po/ja.po, po/ko.po, po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po,
	  po/nl.po, po/pa.po, po/pl.po, po/pt_BR.po, po/pt_PT.po,
	  po/ro.po, po/ru.po, po/sk.po, po/sv.po, po/ta.po, po/tr.po,
	  po/uk.po, po/vi.po, po/xfce4-panel.pot, po/zh_CN.po,
	  po/zh_TW.po:
	  Updated.

2006-03-18 09:15  daichi

	* po/ru.po:
	  Added/Updated Russian translations by
	  Andrey Fedoseev <andrey.fedoseev@gmail.com>,
	  Sergey Fedoseev <fedoseev.sergey@gmail.com>.

2006-03-15 19:53  jasper

	* panel/panel-properties.c:
	  Set struts after unsetting autohide option.

2006-03-14 19:10  jasper

	* panel/panel-properties.c:
	  Fix problems with changing orientation that are caused by
	  previous positioning changes.

2006-03-14 17:27  hydonsingore

	* po/ChangeLog, po/zh_TW.po:
	  Update traditional Chinese translations for panel

2006-03-13 20:35  jasper

	* panel/panel-app.c, panel/panel-config.c,
	  panel/panel-properties.c:
	  Improve initial positioning in attempt to fix bug #1480.

2006-03-12 20:50  jasper

	* po/POTFILES.in:
	  Apperently there can be problems with last empty line. Suggested
	  by Jani Monoses.

2006-03-12 19:51  gnu_sylvain

	* po/eo.po:
	  Completed update of Esperanto translations for xfce4-panel.

2006-03-12 14:50  gnu_sylvain

	* po/eo.po:
	  Esperanto translations: updated fuzzy strings.

2006-03-12 10:37  jasper

	* panel/panel-app.c, panel/panel-properties.c,
	  panel/panel-properties.h:
	  * only initialize signals once. This should also fix bug #1490.
	  * Fix remaining uses of full_width as boolean instead of enum.

2006-03-12 09:04  jasper

	* libxfce4panel/xfce-panel-plugin-iface.h,
	  libxfce4panel/xfce-panel-plugin.h, panel/panel-item-manager.c,
	  panel/panel-item-manager.h, panel/panel.c,
	  plugins/iconbox/iconbox.c, plugins/launcher/launcher.c,
	  plugins/pager/pager.c, plugins/systray/systray.c,
	  plugins/tasklist/tasklist.c:
	  * Update plugins to not wait for realize signal, because plugin
	  construction is now delayed until after this signal
	  * Add API to allow extra check before plugin creation and update
	  systray to use it (bug #1482). Not sure if it will work properly
	  for external plugins.

2006-03-11 20:54  jasper

	* libxfce4panel/xfce-panel-internal-plugin.c:
	  Delay construction of internal plugin until 'realize' signal.

2006-03-11 19:50  jasper

	* panel/panel-app.c, panel/panel-app.h, panel/panel-config.c,
	  panel/panel.c:
	  Revert setting of DISPLAY variable, to avoid memory leaks.
	  Thanks to Benedikt for the explanation.

2006-03-11 19:26  jasper

	* panel/panel-properties.c:
	  Fix panel struts (bug #1550).

2006-03-11 19:12  jasper

	* panel/panel-app.c, panel/panel-app.h, panel/panel-config.c,
	  panel/panel.c:
	  Try to improve multihead behavior by setting DISPLAY variable at
	  several strategic places in the code.

2006-03-11 16:28  jasper

	* panel/panel-item-manager.c:
	  Oops, committed too much.

2006-03-11 15:59  jasper

	* panel/panel-dialogs.c, panel/panel-item-manager.c,
	  panel/panel-properties.c, panel/panel.c:
	  Use gtk_widget_reparent instead of remove/insert. Prevents
	  problems with external plugins (bug #1532).

2006-03-11 11:09  jasper

	* plugins/actions/actions.c:
	  Oops, small mixup of icons. Patch by Jani Monoses.

2006-03-11 11:03  jasper

	* plugins/launcher/launcher-dialog.c, plugins/launcher/launcher.c,
	  plugins/launcher/launcher.h:
	  Add support for files dragged from mozilla and for 0install.
	  Patch from Thomas Leonard. Very cool stuff.

2006-03-11 10:14  jasper

	* panel/panel-config.c:
	  Fix crash when last item of a panel is removed (bug #1529)

2006-03-06 20:36  piarres

	* po/ChangeLog, po/eu.po:
	  Basque translation update

2006-03-04 12:14  daichi

	* po/ja.po:
	  Updated Japanese translations.

2006-03-04 11:10  daichi

	* po/ar.po, po/az.po, po/be.po, po/bg.po, po/bn_IN.po, po/ca.po,
	  po/cs.po, po/de.po, po/el.po, po/en_GB.po, po/eo.po, po/es.po,
	  po/es_MX.po, po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po,
	  po/gu.po, po/he.po, po/hi.po, po/hu.po, po/hy.po, po/it.po,
	  po/ja.po, po/ko.po, po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po,
	  po/nl.po, po/pa.po, po/pl.po, po/pt_BR.po, po/pt_PT.po,
	  po/ro.po, po/ru.po, po/sk.po, po/sv.po, po/ta.po, po/tr.po,
	  po/uk.po, po/vi.po, po/xfce4-panel.pot, po/zh_CN.po,
	  po/zh_TW.po:
	  Updated.

2006-03-02 13:03  daichi

	* po/et.po:
	  Added/Updated Estonian translations by Peeter Vois
	  <Peeter.Vois@mail.ee>.

2006-02-27 21:38  jasper

	* plugins/launcher/launcher.c:
	  Parse command into separate arguments in addition to adding
	  dropped files as argument (#1517).

2006-02-27 21:02  jasper

	* plugins/systray/systray.c:
	  Change systray sizing. Maybe prevent race condition in
	  icon-docked handler.

2006-02-27 20:57  jasper

	* plugins/launcher/launcher.c:
	  Remove invalid g_free(). This fixes a possible crash.

2006-02-26 21:30  jasper

	* plugins/actions/actions.c:
	  No comment. Orientation fix. Again.

2006-02-26 21:20  jasper

	* plugins/actions/actions.c:
	  Why fix in one try when you can do it in two?

2006-02-26 21:16  jasper

	* plugins/actions/actions.c:
	  Used wrong orientation for hvbox.

2006-02-26 21:09  jasper

	* plugins/actions/actions.c, plugins/launcher/launcher.c,
	  plugins/launcher/launcher.h, plugins/showdesktop/showdesktop.c:
	  Properly disconnect signals in free_data callback, to prevent
	  problems when widgets are destroyed (Also fixes #1505).

2006-02-26 19:39  jasper

	* libxfce4panel/xfce-hvbox.c, libxfce4panel/xfce-hvbox.h:
	  Twice in the same weekend I forget to add files. Damn.

2006-02-26 17:30  jasper

	* configure.ac, docs/API/html/XfceArrowButton.html,
	  docs/API/html/XfceExternalPanelPlugin.html,
	  docs/API/html/XfceHVBox.html,
	  docs/API/html/XfceInternalPanelPlugin.html,
	  docs/API/html/XfceItembar.html,
	  docs/API/html/XfcePanelPlugin.html,
	  docs/API/html/XfcePanelWindow.html, docs/API/html/ch01.html,
	  docs/API/html/index.html, docs/API/html/index.sgml,
	  docs/API/html/libxfce4panel-Convenience-Functions.html,
	  docs/API/html/libxfce4panel-Standard-Enumerations.html,
	  docs/API/html/libxfce4panel-Writing-Plugins.html,
	  docs/API/html/libxfce4panel.devhelp,
	  docs/API/libxfce4panel-decl-list.txt,
	  docs/API/libxfce4panel-decl.txt,
	  docs/API/libxfce4panel-docs.sgml,
	  docs/API/libxfce4panel-sections.txt,
	  docs/API/libxfce4panel-undocumented.txt,
	  docs/API/libxfce4panel.types, docs/API/tmpl/xfce-hvbox.sgml,
	  docs/API/tmpl/xfce-panel-convenience.sgml,
	  docs/API/xml/libxfce4panel-doc.bottom,
	  docs/API/xml/object_index.sgml, docs/API/xml/tree_index.sgml,
	  docs/API/xml/xfce-hvbox.xml,
	  docs/API/xml/xfce-panel-convenience.xml,
	  libxfce4panel/Makefile.am,
	  libxfce4panel/xfce-panel-convenience.c,
	  plugins/launcher/launcher.c, plugins/showdesktop/showdesktop.c,
	  plugins/systray/systray.c:
	  * Add XfceHVBox widget, which is a cute hack to have a box with
	  configurable orientation (suggestion by Jani Monoses).
	  * Make launcher and systray use the new widget
	  * Make showdesktop plugin use xfce_create_panel_toggle_button()
	  * Update library version number, soname and documentation

2006-02-26 15:08  daichi

	* po/ja.po:
	  Updated Japanese translations.

2006-02-26 11:57  paurullan

	* po/ca.po:
	  [i18n] catalan translation xfce4-panel

2006-02-26 11:17  jasper

	* panel/panel.c:
	  Fix xfce_panel_plugin_register_menu problem (#1476) and fix an
	  unrelated crash in the process.

2006-02-26 10:12  jasper

	* panel/panel-app.h, plugins/actions/actions.c,
	  plugins/launcher/launcher.c:
	  Try naming spec icons for action buttons as well

2006-02-26 08:59  jasper

	* configure.ac:
	  Bump library version and soname after API addition.

2006-02-26 07:57  jasper

	* libxfce4panel/xfce-panel-convenience.c,
	  libxfce4panel/xfce-panel-convenience.h:
	  Oops, forgot to add these.

2006-02-25 22:33  jasper

	* docs/API/html/XfceArrowButton.html,
	  docs/API/html/XfceExternalPanelPlugin.html,
	  docs/API/html/XfceInternalPanelPlugin.html,
	  docs/API/html/XfceItembar.html,
	  docs/API/html/XfcePanelPlugin.html,
	  docs/API/html/XfcePanelWindow.html, docs/API/html/ch01.html,
	  docs/API/html/index.html, docs/API/html/index.sgml,
	  docs/API/html/libxfce4panel-Convenience-Functions.html,
	  docs/API/html/libxfce4panel-Standard-Enumerations.html,
	  docs/API/html/libxfce4panel-Writing-Plugins.html,
	  docs/API/html/libxfce4panel.devhelp,
	  docs/API/libxfce4panel-decl-list.txt,
	  docs/API/libxfce4panel-decl.txt,
	  docs/API/libxfce4panel-docs.sgml,
	  docs/API/libxfce4panel-sections.txt,
	  docs/API/libxfce4panel-undocumented.txt,
	  docs/API/tmpl/xfce-panel-convenience.sgml,
	  docs/API/xml/libxfce4panel-doc.bottom,
	  docs/API/xml/xfce-panel-convenience.xml,
	  libxfce4panel/Makefile.am, libxfce4panel/xfce-arrow-button.c,
	  libxfce4panel/xfce-arrow-button.h, libxfce4panel/xfce-itembar.c,
	  libxfce4panel/xfce-itembar.h,
	  libxfce4panel/xfce-panel-external-item.c,
	  libxfce4panel/xfce-panel-external-item.h,
	  libxfce4panel/xfce-panel-external-plugin.c,
	  libxfce4panel/xfce-panel-external-plugin.h,
	  libxfce4panel/xfce-panel-internal-plugin.c,
	  libxfce4panel/xfce-panel-internal-plugin.h,
	  libxfce4panel/xfce-panel-item-iface.c,
	  libxfce4panel/xfce-panel-item-iface.h,
	  libxfce4panel/xfce-panel-plugin-iface.c,
	  libxfce4panel/xfce-panel-plugin-messages.c,
	  libxfce4panel/xfce-panel-window.c,
	  libxfce4panel/xfce-panel-window.h, panel/panel-app-messages.h,
	  panel/panel-app.c, panel/panel-app.h, panel/panel-config.c,
	  panel/panel-config.h, panel/panel-dialogs.h, panel/panel-dnd.h,
	  panel/panel-item-manager.c, panel/panel-private.h,
	  panel/panel.c, panel/panel.h, plugins/actions/actions.c,
	  plugins/iconbox/iconbox.c, plugins/launcher/launcher-dialog.c,
	  plugins/launcher/launcher.c, plugins/launcher/launcher.h,
	  plugins/separator/separator.c,
	  plugins/separator/separator.desktop.in.in,
	  plugins/showdesktop/showdesktop.c, plugins/systray/systray.c,
	  plugins/tasklist/tasklist.c, plugins/windowlist/windowlist.c,
	  po/ar.po, po/az.po, po/be.po, po/bg.po, po/bn_IN.po, po/ca.po,
	  po/cs.po, po/de.po, po/el.po, po/en_GB.po, po/eo.po, po/es.po,
	  po/es_MX.po, po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po,
	  po/gu.po, po/he.po, po/hi.po, po/hu.po, po/hy.po, po/it.po,
	  po/ja.po, po/ko.po, po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po,
	  po/nl.po, po/pa.po, po/pl.po, po/pt_BR.po, po/pt_PT.po,
	  po/ro.po, po/ru.po, po/sk.po, po/sv.po, po/ta.po, po/tr.po,
	  po/uk.po, po/vi.po, po/zh_CN.po, po/zh_TW.po:
	  Lots of general code layout cleanup and a few fixes:
	  * Add convenience functions to libxfce4panel to create 'panel
	  buttons'
	  with GTK_RELIEF_NONE and minimal padding.
	  * Use GtkImage instead of XfceScaledImage
	  * Try and make icons bigger by using panel buttons with minimal
	  padding
	  * React to icon theme changes.
	  * Update API docs and translations

2006-02-25 16:19  stavrosg

	* po/el.po:
	  Updated Greek translation

2006-02-25 06:56  daichi

	* po/ja.po:
	  Updated Japanese translations.

2006-02-25 02:20  daichi

	* po/fi.po:
	  Added/Updated Finnish translations by Jari Rahkonen
	  <jari.rahkonen@pp1.inet.fi>.

2006-02-25 02:07  daichi

	* po/ar.po, po/az.po, po/be.po, po/bg.po, po/bn_IN.po, po/ca.po,
	  po/cs.po, po/de.po, po/el.po, po/en_GB.po, po/eo.po, po/es.po,
	  po/es_MX.po, po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po,
	  po/gu.po, po/he.po, po/hi.po, po/hu.po, po/hy.po, po/it.po,
	  po/ja.po, po/ko.po, po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po,
	  po/nl.po, po/pa.po, po/pl.po, po/pt_BR.po, po/pt_PT.po,
	  po/ro.po, po/ru.po, po/sk.po, po/sv.po, po/ta.po, po/tr.po,
	  po/uk.po, po/vi.po, po/xfce4-panel.pot, po/zh_CN.po,
	  po/zh_TW.po:
	  Updated. Discarded obsolete translations.

2006-02-24 12:41  daichi

	* po/fi.po:
	  Updated Finnish translations by Jari Rahkonen
	  <jari.rahkonen@pp1.inet.fi>.

2006-02-21 13:20  daichi

	* po/sk.po:
	  Added/Updated Slovak translations by Roman Moravcik
	  <roman.moravcik@gmail.com>.

2006-02-19 21:01  jasper

	* libxfce4panel/xfce-panel-external-item.c,
	  panel/panel-app-messages.c, panel/panel-app.c,
	  panel/panel-app.h, panel/panel-config.c, panel/panel-dialogs.c,
	  panel/panel-private.h, panel/panel-properties.c,
	  panel/panel-properties.h, panel/panel.c, panel/panel.h,
	  plugins/windowlist/windowlist.c:
	  Several fixes and updates:
	  * Some multihead fixes (patches by Brian).
	  * Windowlist fixes, sync with xfdesktop (patch by Nick).
	  * Add option to keep panel transparent on mouse-over (bug
	  #1442).
	  * Change panel properties dialog layout...again (based on
	  suggestions from Nick).

2006-02-19 16:35  daichi

	* po/de.po:
	  Updated German translations by Fabian Nowak
	  <timystery@arcor.de>.

2006-02-18 14:02  daichi

	* po/ja.po:
	  Updated Japanese translations.

2006-02-18 13:43  daichi

	* po/ChangeLog, po/ar.po, po/az.po, po/be.po, po/bg.po,
	  po/bn_IN.po, po/ca.po, po/cs.po, po/de.po, po/el.po,
	  po/en_GB.po, po/eo.po, po/es.po, po/es_MX.po, po/et.po,
	  po/eu.po, po/fa.po, po/fi.po, po/fr.po, po/gu.po, po/he.po,
	  po/hi.po, po/hu.po, po/hy.po, po/it.po, po/ja.po, po/ko.po,
	  po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po, po/nl.po, po/pa.po,
	  po/pl.po, po/pt_BR.po, po/pt_PT.po, po/ro.po, po/ru.po,
	  po/sk.po, po/sv.po, po/ta.po, po/tr.po, po/uk.po, po/vi.po,
	  po/xfce4-panel.pot, po/zh_CN.po, po/zh_TW.po:
	  Updated.

2006-02-16 21:39  paurullan

	* po/ca.po:
	  [i18n] catalan: little fixes of old strings
	  (even that the translation is very fuzzy)

2006-02-16 16:31  pollux

	* po/zh_CN.po:
	  updated zh_CN translations

2006-02-14 20:11  jasper

	* libxfce4panel/libxfce4panel-1.0.pc.in:
	  Add localedir variable at the request of Adriano Winter Bess.

2006-02-13 12:28  pollux

	* po/vi.po:
	  updated VI translations

2006-02-12 14:48  jasper

	* libxfce4panel/xfce-panel-external-item.c,
	  libxfce4panel/xfce-panel-external-plugin.c,
	  libxfce4panel/xfce-panel-internal-plugin.c,
	  libxfce4panel/xfce-panel-item-iface.c,
	  libxfce4panel/xfce-panel-item-iface.h,
	  libxfce4panel/xfce-panel-plugin-iface-private.h,
	  libxfce4panel/xfce-panel-plugin-iface.c,
	  libxfce4panel/xfce-panel-plugin-iface.h,
	  libxfce4panel/xfce-panel-plugin-messages.h:
	  Add API to focus a widget on the panel.

2006-02-12 12:29  daichi

	* po/fi.po:
	  Updated Finnish translations by Jari Rahkonen
	  <jari.rahkonen@pp1.inet.fi>.

2006-02-11 21:17  jasper

	* libxfce4panel/xfce-panel-external-item.c, panel/main.c,
	  panel/panel-app.c, panel/panel-app.h, panel/panel-config.c,
	  panel/panel-dialogs.c, plugins/launcher/launcher.c,
	  plugins/systray/systray.c,
	  plugins/systray/systray.desktop.in.in, po/ar.po, po/az.po,
	  po/be.po, po/bg.po, po/bn_IN.po, po/ca.po, po/cs.po, po/de.po,
	  po/el.po, po/en_GB.po, po/eo.po, po/es.po, po/es_MX.po,
	  po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po, po/gu.po,
	  po/he.po, po/hi.po, po/hu.po, po/hy.po, po/it.po, po/ja.po,
	  po/ko.po, po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po, po/nl.po,
	  po/pa.po, po/pl.po, po/pt_BR.po, po/pt_PT.po, po/ro.po,
	  po/ru.po, po/sk.po, po/sv.po, po/ta.po, po/tr.po, po/uk.po,
	  po/vi.po, po/xfce4-panel.pot, po/zh_CN.po, po/zh_TW.po:
	  Several bug fixes:
	  * Fix annoying gdk warning when newly added plugin has not yet
	  been embedded
	  * Add timer for debugging startup time (use -DTIMER to
	  activate). Needs more timing points.
	  * Fix some strings (patch by Jari Rakonen).
	  * Update po files.

2006-02-05 17:53  yuvaltanny

	* po/he.po:
	  Update Hebrew translations

2006-02-05 16:26  jasper

	* panel/panel-app.c, panel/panel-app.h, panel/panel-properties.c:
	  Account for xinerama layout when calculating struts. This is an
	  attempt to fix bug #1316.

2006-02-05 00:10  stavrosg

	* po/el.po:
	  Updated Greek translations

2006-02-04 02:50  daichi

	* po/ja.po:
	  Updated Japanese translations.

2006-02-04 02:14  daichi

	* po/ar.po, po/az.po, po/be.po, po/bg.po, po/bn_IN.po, po/ca.po,
	  po/cs.po, po/de.po, po/el.po, po/en_GB.po, po/eo.po, po/es.po,
	  po/es_MX.po, po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po,
	  po/gu.po, po/he.po, po/hi.po, po/hu.po, po/hy.po, po/it.po,
	  po/ja.po, po/ko.po, po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po,
	  po/nl.po, po/pa.po, po/pl.po, po/pt_BR.po, po/pt_PT.po,
	  po/ro.po, po/ru.po, po/sk.po, po/sv.po, po/ta.po, po/tr.po,
	  po/uk.po, po/vi.po, po/zh_CN.po, po/zh_TW.po:
	  Bump the version up.

2006-01-30 10:07  piarres

	* po/ChangeLog, po/eu.po:
	  [I18n] Basque translation upgrade

2006-01-29 18:58  jasper

	* configure.ac, plugins/Makefile.am, plugins/showdesktop,
	  plugins/showdesktop/Makefile.am,
	  plugins/showdesktop/showdesktop.c,
	  plugins/showdesktop/showdesktop.desktop.in.in,
	  plugins/windowlist, plugins/windowlist/Makefile.am,
	  plugins/windowlist/windowlist.c,
	  plugins/windowlist/windowlist.desktop.in.in, po/POTFILES.in,
	  po/ar.po, po/az.po, po/be.po, po/bg.po, po/bn_IN.po, po/ca.po,
	  po/cs.po, po/de.po, po/el.po, po/en_GB.po, po/eo.po, po/es.po,
	  po/es_MX.po, po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po,
	  po/gu.po, po/he.po, po/hi.po, po/hu.po, po/hy.po, po/it.po,
	  po/ja.po, po/ko.po, po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po,
	  po/nl.po, po/pa.po, po/pl.po, po/pt_BR.po, po/pt_PT.po,
	  po/ro.po, po/ru.po, po/sk.po, po/sv.po, po/ta.po, po/tr.po,
	  po/uk.po, po/vi.po, po/xfce4-panel.pot, po/zh_CN.po,
	  po/zh_TW.po:
	  Add windowlist and showdesktop plugins ported by Jani Monoses.

2006-01-29 12:29  jasper

	* libxfce4panel/xfce-panel-plugin-iface.c:
	  Slight change in behavior: default size-changed handler sets
	  both width and height, instead of just height.

2006-01-29 10:07  jasper

	* panel/panel-dnd.c:
	  Try to fix crash when starting to move an item (#1347).

2006-01-29 07:21  daichi

	* po/ja.po:
	  Updated Japanese translations.

2006-01-29 06:52  daichi

	* po/ar.po, po/az.po, po/be.po, po/bg.po, po/bn_IN.po, po/ca.po,
	  po/cs.po, po/de.po, po/el.po, po/en_GB.po, po/eo.po, po/es.po,
	  po/es_MX.po, po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po,
	  po/gu.po, po/he.po, po/hi.po, po/hu.po, po/hy.po, po/it.po,
	  po/ja.po, po/ko.po, po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po,
	  po/nl.po, po/pa.po, po/pl.po, po/pt_BR.po, po/pt_PT.po,
	  po/ro.po, po/ru.po, po/sk.po, po/sv.po, po/ta.po, po/tr.po,
	  po/uk.po, po/vi.po, po/xfce4-panel.pot, po/zh_CN.po,
	  po/zh_TW.po:
	  * Updated.
	  * Discarded obsolete translations.

2006-01-22 08:39  jasper

	* panel/panel-dialogs.c:
	  Use 'Close' instead of 'Cancel' in items dialog.

2006-01-22 08:27  jasper

	* plugins/tasklist/tasklist.c:
	  Add width option back. Expand option is still only shown when
	  using xinerama.

2006-01-21 20:00  jasper

	* plugins/launcher/launcher.c, plugins/testplugin/testplugin.c:
	  We can depend on gtk 2.6 now. Reported by Jani Monoses.

2006-01-21 19:50  jasper

	* plugins/launcher/launcher-dialog.c:
	  Commit patch by Jani Monoses to allow removal of first item when
	  there are stil items in the list.

2006-01-21 19:13  jasper

	* plugins/tasklist/tasklist.c:
	  Simpler xinerama check

2006-01-21 19:07  jasper

	* plugins/tasklist/tasklist.c:
	  Only show size/expand options when running in xinerama mode

2006-01-21 18:29  jasper

	* panel/panel-config.c, panel/panel-dialogs.c,
	  panel/panel-private.h, panel/panel-properties.c,
	  panel/panel-properties.h:
	  Add option on Xinerama systems to make panel span across
	  monitors

2006-01-19 15:04  daichi

	* po/ja.po:
	  Updated Japanese translations.

2006-01-18 17:48  daichi

	* po/ChangeLog:
	  Updated.

2006-01-16 10:23  piarres

	* po/ChangeLog, po/eu.po:
	  Basque translation update

2006-01-15 11:38  daichi

	* po/pl.po:
	  Fixed an error.

2006-01-15 09:34  jasper

	* po/ar.po, po/az.po, po/be.po, po/bg.po, po/bn_IN.po, po/ca.po,
	  po/cs.po, po/de.po, po/el.po, po/en_GB.po, po/eo.po, po/es.po,
	  po/es_MX.po, po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po,
	  po/gu.po, po/he.po, po/hi.po, po/hu.po, po/hy.po, po/it.po,
	  po/ja.po, po/ko.po, po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po,
	  po/nl.po, po/pa.po, po/pl.po, po/xfce4-panel.pot:
	  Fix pl.po (,c format -> #,c format)

2006-01-15 08:54  jasper

	* panel/panel-dialogs.c, panel/panel-private.h, panel/panel.c:
	  Patches by Jani Monoses. Use MIN_SIZE and MAX_SIZE defines and
	  set MIN_SIZE to 16.

2006-01-13 05:52  daichi

	* po/pl.po:
	  Updated Polish translations by Piotr Malinski
	  <riklaunim@gmail.com>.

2006-01-08 21:12  paurullan

	* po/ca.po:
	  catalan translation:
	  little heading fixing but in every trunk file
	  Created the xfmedia translation

2006-01-08 15:26  jasper

	* plugins/tasklist/tasklist.c:
	  Add 'width' and 'expand' options

2006-01-07 09:40  daichi

	* po/ar.po, po/az.po, po/be.po, po/bg.po, po/bn_IN.po, po/ca.po,
	  po/cs.po, po/de.po, po/el.po, po/en_GB.po, po/eo.po, po/es.po,
	  po/es_MX.po, po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po,
	  po/gu.po, po/he.po, po/hi.po, po/hu.po, po/hy.po, po/it.po,
	  po/ja.po, po/ko.po, po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po,
	  po/nl.po, po/pa.po, po/pl.po, po/pt_BR.po, po/pt_PT.po,
	  po/ro.po, po/ru.po, po/sk.po, po/sv.po, po/ta.po, po/tr.po,
	  po/uk.po, po/vi.po, po/xfce4-panel.pot, po/zh_CN.po,
	  po/zh_TW.po:
	  Updated copyright information.

2006-01-06 19:12  adriano

	* po/pt_BR.po:
	  Updated pt_BR translations for xfce4-panel.

2006-01-05 20:50  stavrosg

	* po/el.po:
	  Updated Greek translation

2006-01-01 22:15  jasper

	* panel/panel-app.c, panel/panel-item-manager.c:
	  Fix for IRIX from Daichi

2006-01-01 19:03  daichi

	* po/ja.po:
	  Updated Japanese translations.

2006-01-01 18:12  daichi

	* po/ar.po, po/az.po, po/be.po, po/bg.po, po/bn_IN.po, po/ca.po,
	  po/cs.po, po/de.po, po/el.po, po/en_GB.po, po/eo.po, po/es.po,
	  po/es_MX.po, po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po,
	  po/gu.po, po/he.po, po/hi.po, po/hu.po, po/hy.po, po/it.po,
	  po/ja.po, po/ko.po, po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po,
	  po/nl.po, po/pa.po, po/pl.po, po/pt_BR.po, po/pt_PT.po,
	  po/ro.po, po/ru.po, po/sk.po, po/sv.po, po/ta.po, po/tr.po,
	  po/uk.po, po/vi.po, po/xfce4-panel.pot, po/zh_CN.po,
	  po/zh_TW.po:
	  Updated.

2005-12-29 21:49  jasper

	* plugins/actions/actions.c, plugins/clock/clock.c,
	  plugins/iconbox/iconbox.c, plugins/launcher/launcher-dialog.c,
	  plugins/launcher/launcher.c, plugins/pager/pager.c,
	  plugins/separator/separator.c, plugins/systray/systray.c,
	  plugins/tasklist/tasklist.c:
	  Prevent possible crash when item is deleted while dialog is
	  open.

2005-12-29 21:04  jasper

	* libxfce4panel/xfce-panel-external-item.c,
	  libxfce4panel/xfce-panel-external-plugin.c,
	  libxfce4panel/xfce-panel-internal-plugin.c,
	  libxfce4panel/xfce-panel-item-iface.c,
	  libxfce4panel/xfce-panel-item-iface.h,
	  libxfce4panel/xfce-panel-plugin-iface-private.h,
	  libxfce4panel/xfce-panel-plugin-iface.c, panel/panel-dialogs.c,
	  panel/panel.c, panel/panel.h:
	  Open properties dialog after adding a new item.

2005-12-29 17:16  jasper

	* panel/panel-app-messages.c, panel/panel-app.c,
	  panel/panel-app.h, panel/panel-dialogs.c, panel/panel-dialogs.h,
	  panel/panel.c, panel/panel.h:
	  Make 'Add Items' dialog insert new items after the plugin that
	  was clicked

2005-12-29 14:33  jasper

	* config/panels.xml, plugins/launcher/launcher.c:
	  Small fix to show icon on initial empty launcher

2005-12-29 10:08  jasper

	* plugins/launcher/launcher.c:
	  Delayed loading of icons.

2005-12-28 20:53  jasper

	* po/POTFILES.in, po/ar.po, po/az.po, po/be.po, po/bg.po,
	  po/bn_IN.po, po/ca.po, po/cs.po, po/de.po, po/el.po,
	  po/en_GB.po, po/eo.po, po/es.po, po/es_MX.po, po/et.po,
	  po/eu.po, po/fa.po, po/fi.po, po/fr.po, po/gu.po, po/he.po,
	  po/hi.po, po/hu.po, po/hy.po, po/it.po, po/ja.po, po/ko.po,
	  po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po, po/nl.po, po/pa.po,
	  po/pl.po, po/pt_BR.po, po/pt_PT.po, po/ro.po, po/ru.po,
	  po/sk.po, po/sv.po, po/ta.po, po/tr.po, po/uk.po, po/vi.po,
	  po/xfce4-panel.pot, po/zh_CN.po, po/zh_TW.po:
	  Update po files

2005-12-28 20:40  jasper

	* panel/panel-properties.c:
	  Try to improve initial positioning.

2005-12-28 19:23  jasper

	* panel/panel.c:
	  Select drag widget on button press, not after drag has already
	  started (Bug #1301).

2005-12-28 19:04  jasper

	* panel/panel.c:
	  Properly unset drag source after move (Bug #1300).

2005-12-27 17:20  jasper

	* panel/panel-dialogs.c, plugins/actions/actions.desktop.in.in,
	  plugins/launcher/launcher-dialog.c,
	  plugins/pager/pager.desktop.in.in,
	  plugins/separator/separator.desktop.in.in,
	  plugins/systray/systray.desktop.in.in,
	  plugins/testplugin/testplugin.desktop.in.in:
	  Small tweaks

2005-12-23 10:42  jasper

	* libxfce4panel/xfce-panel-plugin-iface.c:
	  Center item remove dialog

2005-12-22 19:55  jasper

	* plugins/launcher/launcher.c:
	  Fix possible crash. Patch by Nick Schermer.

2005-12-22 19:16  jasper

	* plugins/iconbox/iconbox.c:
	  Add window menu to iconbox. Patch by Pasi Orovuo.

2005-12-22 15:58  jasper

	* plugins/iconbox/iconbox.c, plugins/launcher/launcher.c,
	  plugins/tasklist/tasklist.c:
	  Add extra handle to taskbar and iconbox, at the end.

2005-12-22 15:37  jasper

	* libxfce4panel/xfce-arrow-button.c,
	  libxfce4panel/xfce-panel-external-item.c,
	  libxfce4panel/xfce-panel-external-plugin.c,
	  libxfce4panel/xfce-panel-plugin-messages.c:
	  More minor cleanups. Add error trapping for X messages.

2005-12-22 14:01  jasper

	* panel/main.c, panel/panel-app-messages.c, panel/panel-app.c,
	  panel/panel-config.c, panel/panel-dialogs.c,
	  panel/panel-dialogs.h, panel/panel-item-manager.c,
	  panel/panel.c:
	  Cleaning up a bit.
	  * Use DefaultScreen when monitor is not set in the config file
	  * The manager selection should no longer be per screen but for
	  entire display
	  * Also handle SIGABRT

2005-12-22 10:49  jasper

	* panel/main.c, panel/panel-app-messages.c,
	  panel/panel-app-messages.h, panel/panel-app.c,
	  panel/panel-app.h, panel/panel-config.c, panel/panel-config.h,
	  panel/panel-dialogs.c, panel/panel-dialogs.h, panel/panel-dnd.c,
	  panel/panel-dnd.h, panel/panel-item-manager.c,
	  panel/panel-item-manager.h, panel/panel-private.h,
	  panel/panel-properties.c, panel/panel-properties.h,
	  panel/panel.c, panel/panel.h:
	  * Fix two potential crashes when a panel is removed
	  * Add minimum size for a panel
	  * Expand 'Id' property

2005-12-22 08:36  jasper

	* panel/panel-app.c, panel/panel-dialogs.c:
	  Played a bit with the panel manager dialog. I don't think this
	  will be the final design.

2005-12-21 17:23  pollux

	* plugins/iconbox/iconbox.c:
	  add support for multiscreen

2005-12-21 17:05  pollux

	* plugins/systray/systray.c:
	  remove useless debug info

2005-12-21 17:02  pollux

	* plugins/systray/systray.c,
	  plugins/systray/systray.desktop.in.in:
	  add multiscreen support

2005-12-21 15:42  jasper

	* panel/panel-app.c, panel/panel-app.h, panel/panel-properties.c:
	  When using xinerama and all monitors are equal size, full width
	  will expand across monitors.
	  Actually, I have no idea if it really works, but at least it
	  doesn't seem to mess up single monitor operation ;-)

2005-12-21 14:29  pollux

	* panel/panel-dialogs.c:
	  fix some potential bug

2005-12-21 13:47  jasper

	* panel/panel-dialogs.c:
	  Oops. Bad c&p.

2005-12-21 13:46  jasper

	* panel/panel-dialogs.c, panel/panel-item-manager.c:
	  * Use xfce_gtk_window_center_on_monitor() for panel dialog as
	  well
	  * Make item list show descriptions again

2005-12-21 13:37  pollux

	* panel/panel-dialogs.c:
	  show the add items dialog on the correct screen

2005-12-21 08:52  jasper

	* docs/API/html/XfceExternalPanelPlugin.html,
	  docs/API/html/XfceInternalPanelPlugin.html,
	  docs/API/html/XfceItembar.html,
	  docs/API/html/XfcePanelPlugin.html, docs/API/html/index.sgml,
	  docs/API/html/libxfce4panel-Standard-Enumerations.html,
	  docs/API/html/libxfce4panel-Writing-Plugins.html,
	  docs/API/html/libxfce4panel.devhelp,
	  docs/API/libxfce4panel-decl-list.txt,
	  docs/API/libxfce4panel-decl.txt,
	  docs/API/libxfce4panel-sections.txt,
	  docs/API/libxfce4panel-undocumented.txt,
	  docs/API/tmpl/xfce-itembar.sgml,
	  docs/API/tmpl/xfce-panel-plugin-iface.sgml,
	  docs/API/xml/xfce-itembar.xml,
	  docs/API/xml/xfce-panel-plugin-iface.xml,
	  libxfce4panel/xfce-panel-external-plugin.c,
	  libxfce4panel/xfce-panel-internal-plugin.c,
	  libxfce4panel/xfce-panel-plugin-iface-private.h,
	  libxfce4panel/xfce-panel-plugin-iface.c,
	  libxfce4panel/xfce-panel-plugin-iface.h,
	  panel/panel-properties.c:
	  * Improve unblock_autohide: check for pointer position before
	  hiding
	  * Make plugin menu use new register_menu function
	  * Update API docs

2005-12-20 22:00  jasper

	* libxfce4panel/xfce-panel-external-item.c,
	  libxfce4panel/xfce-panel-external-plugin.c,
	  libxfce4panel/xfce-panel-internal-plugin.c,
	  libxfce4panel/xfce-panel-item-iface.c,
	  libxfce4panel/xfce-panel-item-iface.h,
	  libxfce4panel/xfce-panel-plugin-iface-private.h,
	  libxfce4panel/xfce-panel-plugin-iface.c,
	  libxfce4panel/xfce-panel-plugin-iface.h, panel/panel.c,
	  plugins/launcher/launcher.c:
	  Add xfce_panel_plugin_register_menu() to block autohide while
	  the menu is active and unblock on deactivation.

2005-12-20 14:55  daichi

	* configure.ac:
	  Changed order alphabetically.

2005-12-20 14:36  daichi

	* po/ChangeLog, po/ar.po, po/az.po, po/be.po, po/bg.po,
	  po/bn_IN.po, po/ca.po, po/cs.po, po/de.po, po/el.po,
	  po/en_GB.po, po/eo.po, po/es.po, po/es_MX.po, po/et.po,
	  po/eu.po, po/fa.po, po/fi.po, po/fr.po, po/gu.po, po/he.po,
	  po/hi.po, po/hu.po, po/hy.po, po/it.po, po/ja.po, po/ko.po,
	  po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po, po/nl.po, po/pa.po,
	  po/pl.po, po/pt_BR.po, po/pt_PT.po, po/ro.po, po/ru.po,
	  po/sk.po, po/sv.po, po/ta.po, po/tr.po, po/uk.po, po/vi.po,
	  po/zh_CN.po, po/zh_TW.po:
	  Updated.

2005-12-20 10:59  jasper

	* panel/panel-app.c:
	  Add SIGCHLD handler to avoid creation of zombies (hopefully).

2005-12-20 09:44  jasper

	* NEWS, panel/panel.c, po/ar.po, po/az.po, po/be.po, po/bg.po,
	  po/bn_IN.po, po/ca.po, po/cs.po, po/de.po, po/el.po,
	  po/en_GB.po, po/eo.po, po/es.po, po/es_MX.po, po/et.po,
	  po/eu.po, po/fa.po, po/fi.po, po/fr.po, po/gu.po, po/he.po,
	  po/hi.po, po/hu.po, po/hy.po, po/it.po, po/ja.po, po/ko.po,
	  po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po, po/nl.po, po/pa.po,
	  po/pl.po, po/pt_BR.po, po/pt_PT.po, po/ro.po, po/ru.po,
	  po/sk.po, po/sv.po, po/ta.po, po/tr.po, po/uk.po, po/vi.po,
	  po/xfce4-panel.pot, po/zh_CN.po, po/zh_TW.po:
	  * Fix positioning bug when moving an item to the right on the
	  same panel
	  * update po files

2005-12-19 22:09  jasper

	* configure.ac, panel/Makefile.am, panel/panel-app.c,
	  panel/panel-dialogs.c, panel/panel-manager.c,
	  panel/panel-manager.h, panel/panel-settings.c,
	  panel/panel-settings.h, po/POTFILES.in, po/ar.po, po/az.po,
	  po/be.po, po/bg.po, po/bn_IN.po, po/ca.po, po/cs.po, po/de.po,
	  po/el.po, po/en_GB.po, po/eo.po, po/es.po, po/es_MX.po,
	  po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po, po/gu.po,
	  po/he.po, po/hi.po, po/hu.po, po/hy.po, po/it.po, po/ja.po,
	  po/ko.po, po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po, po/nl.po,
	  po/pa.po, po/pl.po, po/pt_BR.po, po/pt_PT.po, po/ro.po,
	  po/ru.po, po/sk.po, po/sv.po, po/ta.po, po/tr.po, po/uk.po,
	  po/vi.po, po/zh_CN.po, po/zh_TW.po:
	  * Remove old settings dialog implementations
	  * Fix warnings on treeview (bad c&p)
	  * Remove gthread dependency

2005-12-19 21:51  pollux

	* plugins/tasklist/tasklist.c:
	  add support for multiscreen

2005-12-19 21:43  pollux

	* plugins/pager/pager.c:
	  add support for multiscreen

2005-12-19 20:10  jasper

	* panel/panel-dialogs.c:
	  Add 'Close' button to add items dialog

2005-12-19 18:59  jasper

	* panel/panel.c:
	  * Allow menu to close before taking snapshot of plugin
	  * Fix block autohide issues when using the 'Move' menu item
	  while in edit mode

2005-12-19 16:19  jasper

	* libxfce4panel/xfce-panel-plugin-iface.c:
	  Fix insert position for custom menu items.

2005-12-19 14:46  jasper

	* libxfce4panel/xfce-panel-external-item.c,
	  libxfce4panel/xfce-panel-external-plugin.c,
	  libxfce4panel/xfce-panel-internal-plugin.c,
	  libxfce4panel/xfce-panel-item-iface.c,
	  libxfce4panel/xfce-panel-item-iface.h,
	  libxfce4panel/xfce-panel-plugin-iface-private.h,
	  libxfce4panel/xfce-panel-plugin-iface.c,
	  libxfce4panel/xfce-panel-plugin-messages.h, panel/Makefile.am,
	  panel/panel-app.c, panel/panel-app.h, panel/panel-dialogs.c,
	  panel/panel-dialogs.h, panel/panel-dnd.c, panel/panel-dnd.h,
	  panel/panel-manager.c, panel/panel-private.h,
	  panel/panel-properties.c, panel/panel.c:
	  * Another alternative for the panel customization dialogs
	  * Add 'Move' menu item for plugins
	  * Block autohide now also blocks transparency
	  Please test.

2005-12-17 09:53  jasper

	* panel/panel-manager.c:
	  Hmm, some people actually expect this code to work (hi Jannis):
	  implement item remove action.

2005-12-16 07:43  jasper

	* libxfce4panel/xfce-itembar.c, libxfce4panel/xfce-itembar.h,
	  panel/Makefile.am, panel/panel-app.c, panel/panel-manager.c,
	  panel/panel-manager.h:
	  Implement alternative settings dialog. Please test and tell me
	  what you think.

2005-12-11 18:37  stavrosg

	* po/el.po:
	  Updated Greek translations

2005-12-07 12:13  jasper

	* panel/panel-settings.c:
	  Allow 100% transparenct again. Feels like I'm changing this
	  every week...

2005-12-07 10:42  jasper

	* panel/panel-properties.c:
	  Code cosmetics: use defines for hide/unhide timeouts.

2005-12-07 10:36  jasper

	* plugins/actions/actions.c, plugins/clock/clock.c,
	  plugins/iconbox/iconbox.c, plugins/launcher/launcher-dialog.c,
	  plugins/pager/pager.c, plugins/separator/separator.c,
	  plugins/systray/systray.c, plugins/tasklist/tasklist.c:
	  Center dialogs to prevent them from overlapping the panel. I
	  don't particularly like this solution either...

2005-12-06 21:01  jasper

	* configure.ac, libxfce4panel/xfce-panel-external-item.c,
	  libxfce4panel/xfce-panel-external-plugin.c,
	  libxfce4panel/xfce-panel-internal-plugin.c,
	  libxfce4panel/xfce-panel-item-iface.c,
	  libxfce4panel/xfce-panel-item-iface.h,
	  libxfce4panel/xfce-panel-plugin-iface-private.h,
	  libxfce4panel/xfce-panel-plugin-iface.c,
	  libxfce4panel/xfce-panel-plugin-messages.h, panel/panel.c,
	  po/ar.po, po/az.po, po/be.po, po/bg.po, po/bn_IN.po, po/ca.po,
	  po/cs.po, po/de.po, po/el.po, po/en_GB.po, po/eo.po, po/es.po,
	  po/es_MX.po, po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po,
	  po/gu.po, po/he.po, po/hi.po, po/hu.po, po/hy.po, po/it.po,
	  po/ja.po, po/ko.po, po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po,
	  po/nl.po, po/pa.po, po/pl.po, po/pt_BR.po, po/pt_PT.po,
	  po/ro.po, po/ru.po, po/sk.po, po/sv.po, po/ta.po, po/tr.po,
	  po/uk.po, po/vi.po, po/xfce4-panel.pot, po/zh_CN.po,
	  po/zh_TW.po:
	  * Remove new_panel, remove_panel and about_panel functions from
	  the plugin interface
	  * Don't use plugin title in menu, because of i18n issues (%s
	  Propertie -> Properties).
	  * Better unique id generation for new plugins
	  * Updated po(t)-files

2005-11-28 15:44  daichi

	* po/ja.po:
	  Updated Japanese translations.

2005-11-28 15:19  daichi

	* po/ChangeLog, po/ar.po, po/az.po, po/be.po, po/bg.po,
	  po/bn_IN.po, po/ca.po, po/cs.po, po/de.po, po/el.po,
	  po/en_GB.po, po/eo.po, po/es.po, po/es_MX.po, po/et.po,
	  po/eu.po, po/fa.po, po/fi.po, po/fr.po, po/gu.po, po/he.po,
	  po/hi.po, po/hu.po, po/hy.po, po/it.po, po/ja.po, po/ko.po,
	  po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po, po/nl.po, po/pa.po,
	  po/pl.po, po/pt_BR.po, po/pt_PT.po, po/ro.po, po/ru.po,
	  po/sk.po, po/sv.po, po/ta.po, po/tr.po, po/uk.po, po/vi.po,
	  po/xfce4-panel.pot, po/zh_CN.po, po/zh_TW.po:
	  Updated.

2005-11-27 19:27  jasper

	* panel/panel-app.c:
	  Cosmetic change and minor bugfix, just to prove I'm still
	  working on this ;-)

2005-11-21 17:06  stavrosg

	* po/el.po:
	  * Update Greek Panel translations

2005-11-07 13:13  daichi

	* po/es.po:
	  Updated Spanish translations by Rudy Godoy
	  <rudy@kernel-panik.org>.

2005-11-05 14:59  daichi

	* po/ChangeLog:
	  Deciphering.

2005-11-05 14:38  daichi

	* po/ChangeLog:
	  Trimmed and updated.

2005-11-05 02:10  kelnos

	* config/Makefile.am:
	  fix 'make dist'

2005-11-04 08:32  daichi

	* po/fr.po:
	  Updated French translations by Collet Etienne
	  <xanaxlnx@gmail.com>.

2005-11-03 13:48  daichi

	* po/ko.po:
	  Updated Korean translations by ByungHyun Choi
	  <byunghyun.choi@gmail.com>.

2005-10-30 13:45  daichi

	* po/xfce4-panel.pot:
	  Added again, because it requires for translators who are
	  grabbing PO
	  files from `trunk-po' module, without POT file, it's hard to
	  create
	  initial PO file from command line (e.g. msginit) or with GUI
	  tools
	  (e.g. KBabel, poEdit).

2005-10-29 09:27  daichi

	* po/fr.po:
	  Updated French translations by Collet Etienne
	  <xanaxlnx@gmail.com>.

2005-10-29 08:08  daichi

	* po/ar.po, po/az.po, po/be.po, po/bg.po, po/bn_IN.po, po/ca.po,
	  po/cs.po, po/de.po, po/el.po, po/en_GB.po, po/eo.po, po/es.po,
	  po/es_MX.po, po/et.po, po/eu.po, po/fa.po, po/fi.po, po/gu.po,
	  po/he.po, po/hi.po, po/hu.po, po/hy.po, po/it.po, po/ja.po,
	  po/ko.po, po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po, po/nl.po,
	  po/pa.po, po/pl.po, po/pt_BR.po, po/pt_PT.po, po/ro.po,
	  po/ru.po, po/sk.po, po/sv.po, po/ta.po, po/tr.po, po/uk.po,
	  po/vi.po, po/zh_CN.po, po/zh_TW.po:
	  Updated and bumped the version up.

2005-10-27 20:32  paurullan

	* po/ca.po:
	  begin process to 4.4 work
	  autotranslation of most of the actual po
	  
	  -- paurullan@bulma.net , ca translator

2005-10-24 07:11  piarres

	* po/ChangeLog, po/eu.po:
	  Basque translation update

2005-10-22 21:11  jasper

	* config/Makefile.am, config/panels.xml, config/panels.xml.in,
	  configure.ac, panel/panel-app.c, panel/panel-properties.c,
	  panel/panel-settings.c, plugins/launcher/launcher-dialog.c,
	  plugins/launcher/launcher.c:
	  Several multiscreen fixes in settings dialog and launcher
	  plugin.

2005-10-21 19:13  daichi

	* po/ChangeLog:
	  Added a blank line.

2005-10-21 12:18  daichi

	* po/ar.po, po/az.po, po/be.po, po/bg.po, po/bn_IN.po, po/ca.po,
	  po/cs.po, po/de.po, po/el.po, po/en_GB.po, po/eo.po, po/es.po,
	  po/es_MX.po, po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po,
	  po/gu.po, po/he.po, po/hi.po, po/hu.po, po/hy.po, po/it.po,
	  po/ko.po, po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po, po/nl.po,
	  po/pa.po, po/pl.po, po/pt_BR.po, po/pt_PT.po, po/ro.po,
	  po/ru.po, po/sk.po, po/sv.po, po/ta.po, po/tr.po, po/uk.po,
	  po/vi.po, po/zh_CN.po, po/zh_TW.po:
	  Updated with the latest POT file.

2005-10-21 12:07  daichi

	* po/ja.po:
	  Updated Japanese translations.

2005-10-21 09:23  jasper

	* plugins/launcher/launcher-dialog.c:
	  * Select previous item in the list instead of first when last
	  item is removed.
	  * Don't take focus on click for up/down/add/remove buttons.
	  Changes suggested by Nick Schermer.

2005-10-21 09:03  daichi

	* po/pl.po:
	  Updated Polish translations by Piotr Malinski
	  <riklaunim@gmail.com>.

2005-10-21 09:01  jasper

	* panel/panel-settings.c:
	  Change wording of handle style options as suggested by Brian.

2005-10-21 07:47  jasper

	* panel/panel-settings.c:
	  Check for compositing manager selection when creating settings
	  dialog.

2005-10-21 01:49  daichi

	* po/ChangeLog:
	  Updated.

2005-10-20 21:10  jasper

	* libxfce4panel/xfce-panel-plugin-iface.c, panel/panel-app.c,
	  panel/panel-settings.c, panel/panel.c:
	  * (re)unify customization dialogs
	  * Adjust menus accordingly
	  * Add grippy cursor from libexo
	  
	  This could probably use some testing.

2005-10-20 12:37  alex

	* po/it.po:
	  Update Italian translations.

2005-10-18 10:37  jasper

	* libxfce4panel/xfce-panel-plugin-iface.c, panel/panel.c:
	  Add stock icons to the menus, as suggested by Brian.

2005-10-18 09:12  jasper

	* panel/panel-app.c, panel/panel-settings.c, panel/panel.c,
	  panel/panel.h:
	  Some extra visual feedback when removing a panel.

2005-10-18 07:26  jasper

	* libxfce4panel/xfce-panel-plugin-iface.c, panel/panel-app.c,
	  po/ar.po, po/az.po, po/be.po, po/bg.po, po/bn_IN.po, po/ca.po,
	  po/cs.po, po/de.po, po/el.po, po/en_GB.po, po/eo.po, po/es.po,
	  po/es_MX.po, po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po,
	  po/gu.po, po/he.po, po/hi.po, po/hu.po, po/hy.po, po/it.po,
	  po/ja.po, po/ko.po, po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po,
	  po/nl.po, po/pa.po, po/pl.po, po/pt_BR.po, po/pt_PT.po,
	  po/ro.po, po/ru.po, po/sk.po, po/sv.po, po/ta.po, po/tr.po,
	  po/uk.po, po/vi.po, po/zh_CN.po, po/zh_TW.po:
	  Add back confirmation dialog for item removal. Make panel dialog
	  use a warning icon instead of a question mark.

2005-10-16 22:19  daichi

	* po/ar.po, po/az.po, po/be.po, po/bg.po, po/bn_IN.po, po/ca.po,
	  po/cs.po, po/de.po, po/el.po, po/en_GB.po, po/eo.po, po/es.po,
	  po/es_MX.po, po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po,
	  po/gu.po, po/he.po, po/hi.po, po/hu.po, po/hy.po, po/it.po,
	  po/ja.po, po/ko.po, po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po,
	  po/nl.po, po/pa.po, po/pl.po, po/pt_BR.po, po/pt_PT.po,
	  po/ro.po, po/ru.po, po/sk.po, po/sv.po, po/ta.po, po/tr.po,
	  po/uk.po, po/vi.po, po/zh_CN.po, po/zh_TW.po:
	  Updated.

2005-10-15 13:06  daichi

	* po/ar.po, po/az.po, po/be.po, po/bg.po, po/bn_IN.po, po/ca.po,
	  po/cs.po, po/de.po, po/el.po, po/en_GB.po, po/eo.po, po/es.po,
	  po/es_MX.po, po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po,
	  po/gu.po, po/he.po, po/hi.po, po/hu.po, po/hy.po, po/it.po,
	  po/ja.po, po/ko.po, po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po,
	  po/nl.po, po/pa.po, po/pl.po, po/pt_BR.po, po/pt_PT.po,
	  po/ro.po, po/ru.po, po/sk.po, po/sv.po, po/ta.po, po/tr.po,
	  po/uk.po, po/vi.po, po/zh_CN.po, po/zh_TW.po:
	  Updated.

2005-10-15 12:11  kelnos

	* configure.ac:
	  add "[no-xml]" option to AC_PROG_INTLTOOL to remove dep on
	  XML::Parser as
	  suggested by daichi (bug 964)
	  sorry for the spam, but svn is being annoying and won't let me
	  commit all
	  at once.

2005-10-15 07:07  jasper

	* plugins/launcher/launcher-dialog.c, plugins/launcher/launcher.c,
	  plugins/launcher/launcher.h:
	  Expand variables for launchers

2005-10-14 10:02  daichi

	* po/hu.po:
	  Updated Hungarian translations by Szervac Attila <sas@321.hu>.

2005-10-13 17:11  jasper

	* plugins/launcher/launcher.c:
	  Saving empty strings is not needed here, since we unlink the
	  file first.

2005-10-13 16:51  jasper

	* plugins/launcher/launcher.c:
	  ahem*, translated of course...

2005-10-13 16:47  jasper

	* plugins/launcher/launcher.c:
	  Better handle empty fields

2005-10-13 12:49  jasper

	* plugins/launcher/launcher-dialog.c:
	  Make sure icon menu is destroyed

2005-10-13 12:03  daichi

	* po/ar.po, po/az.po, po/be.po, po/bg.po, po/bn_IN.po, po/ca.po,
	  po/cs.po, po/de.po, po/el.po, po/en_GB.po, po/eo.po, po/es.po,
	  po/es_MX.po, po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po,
	  po/gu.po, po/he.po, po/hi.po, po/hu.po, po/hy.po, po/it.po,
	  po/ja.po, po/ko.po, po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po,
	  po/nl.po, po/pa.po, po/pl.po, po/pt_BR.po, po/pt_PT.po,
	  po/ro.po, po/ru.po, po/sk.po, po/sv.po, po/ta.po, po/tr.po,
	  po/uk.po, po/vi.po, po/zh_CN.po, po/zh_TW.po:
	  * Updated and bumped version at the `Project-Id-Version'.
	  - この行以下は無視されます --
	  
	  M ar.po
	  M az.po
	  M be.po
	  M bg.po
	  M bn_IN.po
	  M ca.po
	  M cs.po
	  M de.po
	  M el.po
	  M en_GB.po
	  M eo.po
	  M es.po
	  M es_MX.po
	  M et.po
	  M eu.po
	  M fa.po
	  M fi.po
	  M fr.po
	  M gu.po
	  M he.po
	  M hi.po
	  M hu.po
	  M hy.po
	  M it.po
	  M ja.po
	  M ko.po
	  M lt.po
	  M mr.po
	  M ms.po
	  M nb_NO.po
	  M nl.po
	  M pa.po
	  M pl.po
	  M pt_BR.po
	  M pt_PT.po
	  M ro.po
	  M ru.po
	  M sk.po
	  M sv.po
	  M ta.po
	  M tr.po
	  M uk.po
	  M vi.po
	  M zh_CN.po
	  M zh_TW.po

2005-10-13 11:39  jasper

	* plugins/launcher/launcher.c:
	  Small improvement for saving configuration

2005-10-13 10:23  jasper

	* plugins/launcher/launcher-dialog.c:
	  Improve saving current item settings when changing items in the
	  dialog

2005-10-13 10:09  jasper

	* plugins/separator/separator.c:
	  Properly set size for separators

2005-10-12 06:11  jasper

	* panel/panel-settings.c:
	  Allow a maximum of 95% transparency.

2005-10-11 20:07  jasper

	* plugins/launcher/launcher.c:
	  Make menu entries appear in the same order as in the dialog
	  treeview

2005-10-11 15:18  jasper

	* configure.ac, libxfce4panel/xfce-panel-external-item.c,
	  libxfce4panel/xfce-panel-external-plugin.c,
	  libxfce4panel/xfce-panel-internal-plugin.c,
	  libxfce4panel/xfce-panel-item-iface.c,
	  libxfce4panel/xfce-panel-item-iface.h,
	  libxfce4panel/xfce-panel-plugin-iface-private.h,
	  libxfce4panel/xfce-panel-plugin-iface.c, panel/panel-dnd.c,
	  panel/panel-dnd.h, panel/panel-settings.c, panel/panel.c:
	  * Allow items to be removed when dragging them to the dialog
	  treeview
	  * Don't ask before removing items (as requested by Fabian Nowak)

2005-10-11 09:55  jasper

	* libxfce4panel/xfce-panel-window.c:
	  Attempt to improve resizing/redrawing for panel window

2005-10-11 09:53  daichi

	* po/et.po:
	  Changed an address.

2005-10-10 16:02  hydonsingore

	* po/zh_TW.po:
	  Update zh_TW translations

2005-10-10 13:14  jasper

	* Makefile.am, configure.ac,
	  libxfce4panel/xfce-panel-external-item.c:
	  Use fork()/execv() instead of g_spawn_async() for external
	  plugins. Now the plugins remain child processes of the panel.

2005-10-09 17:39  daichi

	* po/ja.po:
	  Keyword `Id' expansion, hope this works.

2005-10-09 15:56  jasper

	* plugins/actions/actions.c, plugins/clock/clock.c,
	  plugins/iconbox/iconbox.c, plugins/launcher/launcher-dialog.c,
	  plugins/pager/pager.c, plugins/separator/separator.c,
	  plugins/systray/systray.c, plugins/tasklist/tasklist.c,
	  po/ar.po, po/az.po, po/be.po, po/bg.po, po/bn_IN.po, po/ca.po,
	  po/cs.po, po/de.po, po/el.po, po/en_GB.po, po/eo.po, po/es.po,
	  po/es_MX.po, po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po,
	  po/gu.po, po/he.po, po/hi.po, po/hu.po, po/hy.po, po/it.po,
	  po/ja.po, po/ko.po, po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po,
	  po/nl.po, po/pa.po, po/pl.po, po/pt_BR.po, po/pt_PT.po,
	  po/ro.po, po/ru.po, po/sk.po, po/sv.po, po/ta.po, po/tr.po,
	  po/uk.po, po/vi.po, po/zh_CN.po, po/zh_TW.po:
	  Update some strings in the plugins

2005-10-09 15:49  stavrosg

	* po/el.po:
	  Minor panel translation update

2005-10-09 15:25  jasper

	* libxfce4panel/xfce-panel-plugin-iface.c, panel/panel.c,
	  po/ar.po, po/az.po, po/be.po, po/bg.po, po/bn_IN.po, po/ca.po,
	  po/cs.po, po/de.po, po/el.po, po/en_GB.po, po/eo.po, po/es.po,
	  po/es_MX.po, po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po,
	  po/gu.po, po/he.po, po/hi.po, po/hu.po, po/hy.po, po/it.po,
	  po/ja.po, po/ko.po, po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po,
	  po/nl.po, po/pa.po, po/pl.po, po/pt_BR.po, po/pt_PT.po,
	  po/ro.po, po/ru.po, po/sk.po, po/sv.po, po/ta.po, po/tr.po,
	  po/uk.po, po/vi.po, po/zh_CN.po, po/zh_TW.po:
	  Change menu layout and text as suggested by Jannis and Fabian.

2005-10-07 22:17  daichi

	* po/de.po:
	  Updated German translations by Fabian Nowak
	  <timystery@arcor.de>.

2005-10-06 20:05  stavrosg

	* po/el.po:
	  Minor updates & polishing for the Greek translations

2005-10-03 06:16  jasper

	* README.Plugins:
	  Update version number in README.Plugins

2005-10-02 07:19  jasper

	* plugins/pager/pager.desktop.in.in:
	  Pager doesn't have to be unique.

2005-10-02 07:13  jasper

	* libxfce4panel/xfce-panel-plugin-iface.c, panel/panel.c:
	  Fix menu popup for multiple screens. Based on patch by
	  Jean-Francois.

2005-10-01 14:18  hydonsingore

	* po/zh_TW.po:
	  Update xfce4-panel zh_TW translations

2005-10-01 06:33  jasper

	* libxfce4panel/xfce-panel-plugin.h:
	  Add back stdlib.h include.

2005-09-30 19:37  stavrosg

	* po/el.po:
	  Updated EL translations for thunar & xfce4-panel/trunk

2005-09-30 12:13  jasper

	* README.Plugins:
	  change 4.4.0 to 4.3.20 in README.Plugins. Suggested by Fabian
	  Nowak.

2005-09-29 13:23  daichi

	* po/ar.po, po/az.po, po/be.po, po/bg.po, po/bn_IN.po, po/ca.po,
	  po/cs.po, po/de.po, po/el.po, po/en_GB.po, po/eo.po, po/es.po,
	  po/es_MX.po, po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po,
	  po/gu.po, po/he.po, po/hi.po, po/hu.po, po/hy.po, po/it.po,
	  po/ja.po, po/ko.po, po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po,
	  po/nl.po, po/pa.po, po/pl.po, po/pt_BR.po, po/pt_PT.po,
	  po/ro.po, po/ru.po, po/sk.po, po/sv.po, po/ta.po, po/tr.po,
	  po/uk.po, po/vi.po, po/zh_CN.po, po/zh_TW.po:
	  Changed copyright notification by the author's request.

2005-09-29 12:32  daichi

	* po/ja.po:
	  Bumped version.

2005-09-29 11:55  daichi

	* po/ar.po, po/az.po, po/be.po, po/bg.po, po/bn_IN.po, po/ca.po,
	  po/cs.po, po/de.po, po/el.po, po/en_GB.po, po/eo.po, po/es.po,
	  po/es_MX.po, po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po,
	  po/gu.po, po/he.po, po/hi.po, po/hu.po, po/hy.po, po/it.po,
	  po/ja.po, po/ko.po, po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po,
	  po/nl.po, po/pa.po, po/pl.po, po/pt_BR.po, po/pt_PT.po,
	  po/ro.po, po/ru.po, po/sk.po, po/sv.po, po/ta.po, po/tr.po,
	  po/uk.po, po/vi.po, po/zh_CN.po, po/zh_TW.po:
	  * Bumped version at the "Project-Id-Version: ".
	  
	  * Discarded obsolete translations.
	  
	  * Added fall back address at the "Language-Team: ", according to
	  the
	  http://www.iro.umontreal.ca/translation/registry.cgi?team=index
	  
	  * Modified initial comment strings using template by "msginit".

2005-09-29 11:53  daichi

	* configure.ac:
	  Removed unnecessary language code.

2005-09-28 10:15  jasper

	* panel/panel-item-manager.c:
	  Refresh plugin list when dialog is opened.

2005-09-28 08:14  jasper

	* ChangeLog, configure.ac, icons/Makefile.am,
	  icons/xfce-mouse.png, panel/Makefile.am, panel/panel-app.c,
	  panel/xfce-panel-settings.desktop.in,
	  plugins/actions/actions.desktop.in.in,
	  plugins/separator/separator.desktop.in.in,
	  plugins/systray/systray.desktop.in.in,
	  plugins/testplugin/Makefile.am, po/ar.po, po/az.po, po/be.po,
	  po/bg.po, po/bn_IN.po, po/ca.po, po/cs.po, po/de.po, po/el.po,
	  po/en_GB.po, po/eo.po, po/es.po, po/es_MX.po, po/et.po,
	  po/eu.po, po/fa.po, po/fi.po, po/fr.po, po/gu.po, po/he.po,
	  po/hi.po, po/hu.po, po/hy.po, po/it.po, po/ja.po, po/ko.po,
	  po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po, po/nl.po, po/pa.po,
	  po/pl.po, po/pt_BR.po, po/pt_PT.po, po/ro.po, po/ru.po,
	  po/sk.po, po/sv.po, po/ta.po, po/tr.po, po/uk.po, po/vi.po,
	  po/zh_CN.po, po/zh_TW.po:
	  * Merge back old panel translations. They are mostly unused, I
	  guess, but maybe a few strings are still the same.
	  * Remove xfce-panel-settings.desktop.in. It doesn't really make
	  sense anymore.
	  * Add xfce-mouse icon, to be used as default plugin icon.

2005-09-28 06:10  jasper

	* README.Plugins, docs/API/html/XfceExternalPanelPlugin.html,
	  docs/API/html/XfceInternalPanelPlugin.html,
	  docs/API/html/XfcePanelPlugin.html,
	  docs/API/libxfce4panel-decl-list.txt,
	  docs/API/libxfce4panel-decl.txt,
	  docs/API/tmpl/xfce-panel-plugin-iface.sgml,
	  docs/API/xml/xfce-panel-plugin-iface.xml,
	  libxfce4panel/xfce-panel-external-plugin.c,
	  libxfce4panel/xfce-panel-internal-plugin.c,
	  libxfce4panel/xfce-panel-plugin-iface.c,
	  libxfce4panel/xfce-panel-plugin-iface.h,
	  plugins/actions/actions.c, plugins/clock/clock.c,
	  plugins/iconbox/iconbox.c, plugins/launcher/launcher.c,
	  plugins/pager/pager.c, plugins/separator/separator.c,
	  plugins/systray/systray.c, plugins/tasklist/tasklist.c,
	  plugins/testplugin/testplugin.c:
	  Slight API change. Make xfce_panel_plugin_save_location() take
	  an extra 'create' argument, to match
	  xfce_resource_save_location().

2005-09-27 21:30  jasper

	* panel/panel-app.c:
	  Test visibility problem

2005-09-27 21:14  jasper

	* docs/API/Makefile.am:
	  don't require automake 1.9

2005-09-27 20:01  jasper

	* .indent.pro, AUTHORS, COPYING, COPYING_LIBS, ChangeLog, HACKING,
	  INSTALL, Makefile.am, NEWS, README, README.Kiosk,
	  README.Plugins, autogen.sh, config, configure.ac, docs, icons,
	  libxfce4panel, panel, plugins, po, xfce4-panel.spec.in:
	  Move new panel to trunk

2005-09-27 19:59  jasper

	* .indent.pro, AUTHORS, COPYING, COPYING_LIBS, ChangeLog, HACKING,
	  INSTALL, Makefile.am, NEWS, NOTES, README, README.Kiosk, TODO,
	  autogen.sh, config, configure.ac, doc, iconbox, icons, libs,
	  panel, plugins, po, settings, taskbar, xfce4-panel.spec.in:
	  Move old trunk

2005-09-24 07:45  daichi

	* po/ja.po:
	  * Added initial "$Id$".
	  
	  * Updated some translations.

2005-09-08 15:42  hydonsingore

	* po/ChangeLog, po/zh_TW.po:
	  Update zh_TW translations

2005-08-29 21:48  daichi

	* po/ja.po:
	  Changed responsible period for previous translator.

2005-08-26 04:54  ankit

	* po/gu.po:
	  Updated Gujarati Translations

2005-08-23 13:51  daichi

	* po/ja.po:
	  Updated Japanese translations.

2005-08-21 08:55  daichi

	* po/ar.po, po/bg.po, po/ca.po, po/hi.po, po/hu.po, po/it.po,
	  po/ms.po, po/sv.po, po/ta.po:
	  Added missing '\n', which causes parsing error at
	  http://xfce.org/~kelnos/xfce4/i18n/
	  
	  Added fall back address at the 'Language-Team: ', according to
	  the
	  http://www.iro.umontreal.ca/translation/registry.cgi?team=index
	  
	  Modified initial comment strings with template by 'msginit'.
	  
	  Discarded obsolete translations.

2005-08-18 12:05  daichi

	* po/ja.po:
	  Updated Japanese translations.

2005-08-17 16:21  daichi

	* po/bg.po, po/es.po, po/es_MX.po, po/nb_NO.po, po/nl.po,
	  po/pt_BR.po, po/sv.po, po/zh_CN.po:
	  Fixed errors emitted by 'msgfmt -c'.
	  
	  Added fall back address at the 'Language-Team: ', according to
	  the
	  http://www.iro.umontreal.ca/translation/registry.cgi?team=index
	  
	  Modified initial comment strings with template by 'msginit'.

2005-08-17 15:03  daichi

	* po/en_GB.po, po/lt.po:
	  Converted local charsets to UTF-8.

2005-08-17 14:17  daichi

	* po/pl.po:
	  Updated Polish translations by Wit Wilinski.

2005-08-15 15:12  daichi

	* po/zh_TW.po:
	  Removed executable attribution.

2005-08-13 15:09  stavrosg

	* po/el.po:
	  * Added initial Greek translations in trunk for
	  xfce-mcs-plugins, xfprint,
	  xfwm4 & xfdesktop.
	  * Corrections & additions for xfce4-panel/trunk/po/el.po

2005-08-13 14:09  daichi

	* po/fi.po:
	  Updated Finnish translations by Jari Rahkonen.

2005-08-11 17:04  stavrosg

	* configure.ac, po/el.po:
	  Add initial Greek translations in trunk for xfce4-session,
	  xfce4-mixer
	  & xfce4-panel, and some corrections in xfcalendar/trunk/po/el.po

2005-08-05 14:09  eduard

	* panel/panel.c:
	  Fix #963 - panel does not move after sizing when autohiding is
	  enabled

2005-08-04 15:17  pollux

	* configure.ac, po/hy.po:
	  add some HY translations

2005-07-30 14:55  jasper

	* plugins/systray/systray.c:
	  Cosmetic tweak

2005-07-30 08:17  jasper

	* panel/main.c, panel/settings.c:
	  Oops, remove debugging stuff

2005-07-30 08:15  jasper

	* panel/main.c, panel/panel.c, panel/settings.c:
	  Fix full width on startup with autohide (bug #1097)

2005-07-30 07:58  jasper

	* plugins/launcher/launcher.c:
	  Fix problem with icons in menu (bug #1052)

2005-07-29 19:21  jasper

	* plugins/systray/systray.c:
	  Systray plugin update:
	  * reduce frame border (bug #1017)
	  * make frame drawing optional (bug #1081)
	  * make 24-hour clock optional

2005-07-19 19:08  pollux

	* po/ja.po:
	  update JA translations

2005-07-16 15:09  pollux

	* configure.ac, po/eo.po:
	  add EO translations

2005-07-13 05:57  jasper

	* taskbar/xftaskbar.c:
	  Merge monitor setting from xfce_4_2 branch

2005-07-12 21:07  jasper

	* iconbox/iconbox.c:
	  Fix incorrect drawing of borders on iconbox

2005-07-12 20:41  jasper

	* libs/xfce-panel-window.c:
	  Fix drawing of panel window border

2005-07-05 19:19  jasper

	* plugins/anotherclock/anotherclock.c, plugins/clock/clock.c,
	  settings/iconbox_plugin.c:
	  Fix compilation with --enable-debug=full (#1057)

2005-07-04 11:47  pollux

	* po/ko.po:
	  update KO translations

2005-07-03 09:07  jasper

	* plugins/launcher/launcher-dialog.c:
	  * Fix properties dialog to not break the menu when moving items
	  (bug #1047)
	  * Add missing file chooser for command

2005-06-29 16:14  pollux

	* po/zh_TW.po:
	  update zh_TW translations

2005-06-26 17:09  pollux

	* po/ko.po:
	  update KO translations

2005-06-25 11:10  benny

	* ., config, doc, doc/C, doc/C/images, doc/fr, doc/fr/images,
	  doc/it, doc/it/images, iconbox, icons, libs, panel, plugins,
	  plugins/clock, plugins/flexspace, plugins/launcher,
	  plugins/mailcheck, plugins/pager, plugins/sample-plugin,
	  plugins/separator, plugins/switcher, plugins/systembuttons,
	  plugins/systray, plugins/tasklist, settings,
	  settings/iconbox_plugin.c, settings/xfce_settings_plugin.c,
	  settings/xftaskbar_plugin.c, taskbar:
	  Don't crash if the MCS plugin is unable to store the settings, a
	  warning
	  telling whats wrong will be emitted by libxfce4util, see bug
	  #1033.

2005-06-25 10:36  jasper

	* plugins/tasklist/tasklist.c:
	  Free tasklist properly and add more grouping options

2005-06-25 09:09  jasper

	* libs/xfce-item.c:
	  We don't really use the handle so I'll only show a bit of extra
	  space for now, for the user to click on.

2005-06-25 08:59  jasper

	* plugins/tasklist/tasklist.c:
	  Add tasklist options

2005-06-19 14:00  jasper

	* COPYING_LIBS, Makefile.am, iconbox/Makefile.am,
	  libs/Makefile.am, libs/xfce-enum-types.c,
	  libs/xfce-enum-types.h, libs/xfce-marshal.c,
	  libs/xfce-marshal.h, panel/Makefile.am, po/ar.po, po/az.po,
	  po/be.po, po/bg.po, po/bn_IN.po, po/ca.po, po/cs.po, po/de.po,
	  po/en_GB.po, po/es.po, po/es_MX.po, po/et.po, po/eu.po,
	  po/fa.po, po/fi.po, po/fr.po, po/gu.po, po/he.po, po/hi.po,
	  po/hu.po, po/it.po, po/ja.po, po/ko.po, po/lt.po, po/mr.po,
	  po/ms.po, po/nb_NO.po, po/nl.po, po/pa.po, po/pl.po,
	  po/pt_BR.po, po/pt_PT.po, po/ro.po, po/ru.po, po/sk.po,
	  po/sv.po, po/ta.po, po/tr.po, po/uk.po, po/vi.po,
	  po/xfce4-panel.pot, po/zh_CN.po, po/zh_TW.po,
	  taskbar/Makefile.am:
	  * add COPYING_LIBS with LGPL text
	  * fix make distcheck
	  * make update-po
	  * remove enum-types and marshal generated files from libs/

2005-06-18 11:51  jasper

	* libs/xfce-arrow-button.c, libs/xfce-arrow-button.h,
	  libs/xfce-item.c, libs/xfce-item.h, libs/xfce-itembar.c,
	  libs/xfce-itembar.h, libs/xfce-paint-private.c,
	  libs/xfce-paint-private.h, libs/xfce-panel-window.c,
	  libs/xfce-panel-window.h, libs/xfce-separator-item.c,
	  libs/xfce-separator-item.h:
	  * additional gtk-doc comments for itembar
	  * change license to LGPL for library files

2005-06-18 09:50  jasper

	* libs/xfce-itembar.c:
	  Ok, previous commit wasn't clever at all. This one should be
	  better.

2005-06-18 09:41  jasper

	* libs/xfce-arrow-button.c, libs/xfce-itembar.c:
	  Be a bit more clever when allocating expanding items on an
	  itembar.

2005-06-16 19:21  jasper

	* plugins/launcher/launcher.c:
	  Remove launcher insensitivity after executing. Doesn't work
	  properly if you leave the mouse over the button. Too much hassle
	  to find the cause.

2005-06-16 18:22  jasper

	* plugins/launcher/launcher.c:
	  Fix depressed button after menu popup from timeout (bug #994)

2005-06-13 06:16  jasper

	* plugins/anotherclock/anotherclock.c:
	  Configuration for anotherclock.

2005-06-12 19:28  jasper

	* plugins/anotherclock/anotherclock.c:
	  Tweaks to anotherclock

2005-06-12 15:48  jasper

	* configure.ac, plugins/Makefile.am, plugins/anotherclock,
	  plugins/anotherclock/Makefile.am,
	  plugins/anotherclock/anotherclock.c:
	  Another clock plugin to try out a new clock layout. It has to be
	  moved somewhere else or merged with another plugin eventually --
	  no need to have 100s of clocks ;)

2005-06-12 12:22  jasper

	* plugins/launcher/launcher-dialog.c, plugins/launcher/launcher.c:
	  Cosmetic changes to launcher properties dialog

2005-06-09 12:01  pollux

	* po/POTFILES.in, po/ar.po, po/az.po, po/be.po, po/bg.po,
	  po/bn_IN.po, po/ca.po, po/cs.po, po/de.po, po/en_GB.po,
	  po/es.po, po/es_MX.po, po/et.po, po/eu.po, po/fa.po, po/fi.po,
	  po/fr.po, po/gu.po, po/he.po, po/hi.po, po/hu.po, po/it.po,
	  po/ja.po, po/ko.po, po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po,
	  po/nl.po, po/pa.po, po/pl.po, po/pt_BR.po, po/pt_PT.po,
	  po/ro.po, po/ru.po, po/sk.po, po/sv.po, po/ta.po, po/tr.po,
	  po/uk.po, po/vi.po, po/xfce4-panel.pot, po/zh_CN.po,
	  po/zh_TW.po:
	  fix make dist

2005-06-07 15:02  pollux

	* po/gu.po:
	  update GU translations

2005-06-05 10:39  jasper

	* plugins/launcher/launcher.c:
	  Better way to check whether to close the menu after drag-leave.
	  Now also works with xffm and nautilus.

2005-06-05 08:50  jasper

	* panel/xfce_support.c, panel/xfce_support.h,
	  plugins/launcher/launcher.c, taskbar/xftaskbar.c:
	  * Add drag-motion convenience function to xfce_support.c
	  * Implement DND to launcher menus. Could use some testing.

2005-05-31 17:28  pollux

	* po/ja.po:
	  update JA translations

2005-05-14 19:32  olivier

	* po/ChangeLog:
	  Update ChangeLog

2005-05-14 19:32  olivier

	* ChangeLog:
	  Update ChangeLog

2005-05-14 10:00  jasper

	* plugins/systray/systray.c:
	  oops, hbox->vbox for vertical panel

2005-05-14 09:48  jasper

	* plugins/systray/systray.c:
	  Add (optional) time to sysytray, similar to the taskbar. XEMBED
	  icons still don't play nice with resizing/moving :(

2005-05-11 21:33  jasper

	* panel/panel.c:
	  Fix stickyness issue. Still don't know why it wouldn't work.

2005-05-11 21:05  jasper

	* ChangeLog, panel/panel.c, settings/xfce_settings_dialog.c:
	  Fix orientation changing, reported by Francois

2005-05-10 19:08  jasper

	* plugins/launcher/launcher-dialog.c:
	  Wow, that was hard to find. Fix typo that caused a crash when
	  dragging a file to the new launcher property dialog. Also
	  reported by Francois.

2005-05-10 18:34  jasper

	* plugins/launcher/launcher-dialog.c:
	  Open file dialog immediately when choosing custom icon. Reported
	  by Francois.

2005-05-08 19:11  jasper

	* plugins/launcher/launcher-dialog.c:
	  Fix crash when dropping a desktop file on the dialog

2005-05-08 18:59  jasper

	* panel/controls_dialog.c:
	  oh, alright, i'll put it back. at least for Xfce themes it seems
	  to do the right thing.

2005-05-08 18:45  jasper

	* panel/controls_dialog.c:
	  Hmm that wasn't it either. I'll have to think of something
	  else...

2005-05-08 10:15  jasper

	* panel/controls_dialog.c:
	  cosmetic tweak

2005-05-08 09:58  jasper

	* panel/Makefile.am, panel/add-control-dialog.c, panel/controls.c,
	  panel/controls.h, panel/controls_dialog.c, panel/global.h,
	  panel/item-control.c, panel/item-control.h, panel/item.c,
	  panel/item.h, panel/item_dialog.c, panel/item_dialog.h,
	  panel/main.c, panel/mcs_client.c, panel/panel.c, panel/panel.h,
	  panel/settings.c, plugins/launcher/launcher.c,
	  plugins/mailcheck/mailcheck.c, plugins/switcher/switcher.c,
	  settings/xfce_settings.h, settings/xfce_settings_dialog.c,
	  settings/xfce_settings_plugin.c:
	  * remove builtin launcher
	  * replace with new launcher (backwards compatible)
	  * remove popup position global option
	  * other stuff (it's a pretty big change, so I'm sure i forgot
	  something ;-)
	  
	  Please tell me if it breaks anything.

2005-05-07 12:27  jasper

	* panel/controls.c, panel/controls.h, panel/item-control.c,
	  panel/panel.c, plugins/launcher/launcher-dialog.c,
	  plugins/launcher/launcher.c, plugins/launcher/launcher.h,
	  po/ar.po, po/az.po, po/be.po, po/bg.po, po/ca.po, po/cs.po,
	  po/de.po, po/en_GB.po, po/es.po, po/es_MX.po, po/et.po,
	  po/eu.po, po/fa.po, po/fi.po, po/fr.po, po/gu.po, po/he.po,
	  po/hi.po, po/hu.po, po/it.po, po/ja.po, po/ko.po, po/lt.po,
	  po/ms.po, po/nb_NO.po, po/nl.po, po/pa.po, po/pl.po,
	  po/pt_BR.po, po/pt_PT.po, po/ro.po, po/ru.po, po/sk.po,
	  po/sv.po, po/ta.po, po/tr.po, po/uk.po, po/vi.po, po/zh_CN.po,
	  po/zh_TW.po:
	  Allow all controls to act on changing the panel side;
	  specifically the new launcher.

2005-05-06 19:02  pollux

	* configure.ac, po/bn_IN.po:
	  add bn_IN translations

2005-05-06 18:48  pollux

	* configure.ac, po/mr.po:
	  add MR translations

2005-05-06 17:19  pollux

	* po/ja.po:
	  update JA translations

2005-05-05 12:55  perldude

	* iconbox/iconbox.c, plugins/launcher/launcher.c:
	  <kelnos> blame danny

2005-05-04 21:05  olivier

	* ChangeLog:
	  Update ChangeLog

2005-05-04 21:04  olivier

	* po/ChangeLog:
	  Update ChangeLog

2005-05-03 21:07  dannym

	* iconbox/iconbox.c, plugins/launcher/launcher.c:
	  use xfce_about_dialog_new_with_values (recent libxfcegui4
	  change)

2005-05-03 07:33  jasper

	* panel/panel.c:
	  Fix autohide

2005-05-02 20:37  jasper

	* TODO, panel/mcs_client.c, panel/panel.c, panel/panel.h,
	  po/ar.po, po/az.po, po/be.po, po/bg.po, po/ca.po, po/cs.po,
	  po/de.po, po/en_GB.po, po/es.po, po/es_MX.po, po/et.po,
	  po/eu.po, po/fa.po, po/fi.po, po/fr.po, po/gu.po, po/he.po,
	  po/hi.po, po/hu.po, po/it.po, po/ja.po, po/ko.po, po/lt.po,
	  po/ms.po, po/nb_NO.po, po/nl.po, po/pa.po, po/pl.po,
	  po/pt_BR.po, po/pt_PT.po, po/ro.po, po/ru.po, po/sk.po,
	  po/sv.po, po/ta.po, po/tr.po, po/uk.po, po/vi.po,
	  po/xfce4-panel.pot, po/zh_CN.po, po/zh_TW.po,
	  settings/xfce_settings.h, settings/xfce_settings_dialog.c,
	  settings/xfce_settings_plugin.c:
	  * Add option to choose handle style
	  * Fix bug that made panel always centered on startup

2005-05-02 11:45  jasper

	* libs/xfce-enum-types.c, libs/xfce-enum-types.h,
	  libs/xfce-item.c:
	  Make sure to cleanup event window (fixes bug #916)

2005-04-30 20:21  jasper

	* plugins/launcher/launcher-dialog.c, plugins/launcher/launcher.c:
	  * Change (improve?) new launchers property dialog

2005-04-20 19:51  jasper

	* panel/panel.c:
	  Extra calculation of struts.

2005-04-19 19:19  jasper

	* panel/panel.c:
	  Try to be a bit more accurate when calculating struts.

2005-04-19 14:09  jasper

	* libs/xfce-panel-window.c:
	  * Fix widget allocation cutting off rightmost panel item (bug
	  #915).
	  * Small cosmetic change to panel handles.

2005-04-15 14:04  jasper

	* panel/panel.c:
	  Fix autohide/full width issues

2005-04-15 09:31  jasper

	* autoclean.sh, configure.ac, panel/mcs_client.c, panel/panel.c,
	  panel/panel.h, plugins/Makefile.am, plugins/flexspace,
	  plugins/flexspace/Makefile.am, plugins/flexspace/flexspace.c,
	  plugins/launcher/launcher.c, plugins/tasklist,
	  plugins/tasklist/Makefile.am, plugins/tasklist/tasklist.c,
	  po/POTFILES.in, po/ar.po, po/az.po, po/be.po, po/bg.po,
	  po/ca.po, po/cs.po, po/de.po, po/en_GB.po, po/es.po,
	  po/es_MX.po, po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po,
	  po/gu.po, po/he.po, po/hi.po, po/hu.po, po/it.po, po/ja.po,
	  po/ko.po, po/lt.po, po/ms.po, po/nb_NO.po, po/nl.po, po/pa.po,
	  po/pl.po, po/pt_BR.po, po/pt_PT.po, po/ro.po, po/ru.po,
	  po/sk.po, po/sv.po, po/ta.po, po/tr.po, po/uk.po, po/vi.po,
	  po/zh_CN.po, po/zh_TW.po, settings/xfce_settings.h,
	  settings/xfce_settings_dialog.c,
	  settings/xfce_settings_plugin.c:
	  * Add option to make panel full width
	  * Add tasklist plugin that expands with the panel
	  * Add flexible space plugin that also expands with the panel

2005-04-12 21:11  jasper

	* libs/xfce-itembar.c, plugins/launcher/launcher-dialog.c,
	  plugins/launcher/launcher.c, plugins/launcher/launcher.h:
	  Implement 'hold icon button to pop up menu' for alternative
	  launcher

2005-04-06 08:11  jasper

	* iconbox/iconbox.c, libs/xfce-panel-window.c,
	  libs/xfce-panel-window.h, panel/controls.c, panel/panel.c,
	  taskbar/xftaskbar.c:
	  Improve drawing of the panel window border, using some code from
	  gtk-xfce-engine.

2005-04-06 07:33  perldude

	* .cvsignore, po/.cvsignore, settings/.cvsignore:
	  remove .cvsignore cruft

2005-04-04 06:47  jasper

	* libs/xfce-itembar.c, plugins/launcher/launcher.c:
	  Oops (2). Children list does no long contain direct references
	  to widgets.

2005-04-04 06:19  jasper

	* libs/xfce-itembar.c:
	  Oops, forgot to add raised option to private struct

2005-04-04 05:53  jasper

	* libs/xfce-itembar.c, libs/xfce-itembar.h:
	  Raise/lower itembar event window; hopefully will be useful for
	  'customize' mode.

2005-04-02 14:37  fleclainche

	* doc/fr/images/Makefile.am, doc/fr/images/default-session.png:
	  Wrong directory for this image, updated Makefile

2005-03-28 09:18  jasper

	* doc/C/xfce4-panel.html, doc/fr/images/Makefile.am,
	  doc/fr/images/add-item-dialog.png,
	  doc/fr/images/clock-properties.png,
	  doc/fr/images/default-session.png,
	  doc/fr/images/default_panel.png, doc/fr/images/handle-popup.png,
	  doc/fr/images/item-popup.png,
	  doc/fr/images/launcher-properties.png,
	  doc/fr/images/mailcheck-properties.png,
	  doc/fr/images/menuitem-properties.png,
	  doc/fr/images/nooptions-properties.png,
	  doc/fr/images/pager-properties.png,
	  doc/fr/images/panel-settings.png,
	  doc/fr/images/systembuttons-properties.png,
	  doc/fr/xfce4-panel.html, doc/fr/xfce4-panel.xml,
	  doc/it/xfce4-panel.html:
	  Update French doc

2005-03-27 17:43  fleclainche

	* icons/xfce-edit.png, icons/xfce-filemanager.png,
	  icons/xfce-games.png, icons/xfce-graphics.png,
	  icons/xfce-internet.png, icons/xfce-mail.png,
	  icons/xfce-man.png, icons/xfce-multimedia.png,
	  icons/xfce-printer.png, icons/xfce-schedule.png,
	  icons/xfce-sound.png, icons/xfce-system-exit.png,
	  icons/xfce-system-info.png, icons/xfce-system-lock.png,
	  icons/xfce-system-settings.png, icons/xfce-terminal.png,
	  icons/xfce-unknown.png, icons/xfce-utils.png,
	  icons/xfce4-iconbox.png, icons/xfce4-panel.png,
	  icons/xfce4-taskbar.png:
	  Updating panel icons as well

2005-03-26 11:21  pollux

	* po/ko.po:
	  update KO translations

2005-03-26 11:17  pollux

	* po/ja.po:
	  update JA translations

2005-03-15 17:33  benny

	* iconbox/Makefile.am, panel/Makefile.am, taskbar/Makefile.am:
	  Make sure to link against the libxfce4panel in the sandbox
	  instead of the
	  version installed on the system.

2005-03-12 21:38  jasper

	* libs/xfce-separator-item.c,
	  plugins/systembuttons/systembuttons.c, po/ar.po, po/az.po,
	  po/be.po, po/bg.po, po/ca.po, po/cs.po, po/de.po, po/en_GB.po,
	  po/es.po, po/es_MX.po, po/et.po, po/eu.po, po/fa.po, po/fi.po,
	  po/fr.po, po/gu.po, po/he.po, po/hi.po, po/hu.po, po/it.po,
	  po/ja.po, po/ko.po, po/lt.po, po/ms.po, po/nb_NO.po, po/nl.po,
	  po/pa.po, po/pl.po, po/pt_BR.po, po/pt_PT.po, po/ro.po,
	  po/ru.po, po/sk.po, po/sv.po, po/ta.po, po/tr.po, po/uk.po,
	  po/vi.po, po/xfce4-panel.pot, po/zh_CN.po, po/zh_TW.po:
	  Add context to some strings

2005-03-08 15:56  jasper

	* panel/icons.c, po/ar.po, po/az.po, po/be.po, po/bg.po, po/ca.po,
	  po/cs.po, po/de.po, po/en_GB.po, po/es.po, po/es_MX.po,
	  po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po, po/gu.po,
	  po/he.po, po/hi.po, po/hu.po, po/it.po, po/ja.po, po/ko.po,
	  po/lt.po, po/ms.po, po/nb_NO.po, po/nl.po, po/pa.po, po/pl.po,
	  po/pt_BR.po, po/pt_PT.po, po/ro.po, po/ru.po, po/sk.po,
	  po/sv.po, po/ta.po, po/tr.po, po/uk.po, po/vi.po,
	  po/xfce4-panel.pot, po/zh_CN.po, po/zh_TW.po:
	  Use Q_ to add context to translation of Terminal in icons.c

2005-03-07 22:32  edscott

	* po/es.po, po/es_MX.po:
	  translation gaps

2005-03-07 20:52  jasper

	* plugins/clock/clock.c:
	  Small tweak. Maybe fixes #716, which I can't reproduce anyway.

2005-03-07 19:32  jasper

	* libs/xfce-item.c, libs/xfce-item.h, libs/xfce-itembar.c,
	  libs/xfce-itembar.h, panel/controls.c, panel/panel.c,
	  panel/settings.c, panel/xfce_support.c, panel/xfce_support.h,
	  plugins/launcher/launcher.c, taskbar/xftaskbar.c:
	  * Make itembar take GtkWidget as child
	  * Remove icon size and toolbar style from itembar/item
	  * Remove homogeneous property from item
	  * Make expand a child property of itembar/child
	  * Don't look for translated files anymore
	  * Check for translated items in new launcher plugin

2005-03-07 16:58  benny

	* Makefile.am:
	  We use intltool instead of xml-i18n-tools.

2005-03-07 16:05  jasper

	* panel/item.c:
	  missing include

2005-03-07 13:57  benny

	* ., .cvsignore, AUTHORS, Makefile.am, config/Makefile.am,
	  config/contents.xml, config/contents.xml.in, configure.ac,
	  panel/item.c, po, po/.cvsignore, po/POTFILES.in, po/ar.po,
	  po/az.po, po/be.po, po/bg.po, po/ca.po, po/cs.po, po/de.po,
	  po/en_GB.po, po/es.po, po/es_MX.po, po/et.po, po/eu.po,
	  po/fa.po, po/fi.po, po/fr.po, po/gu.po, po/he.po, po/hi.po,
	  po/hu.po, po/it.po, po/ja.po, po/ko.po, po/lt.po, po/ms.po,
	  po/nb_NO.po, po/nl.po, po/pa.po, po/pl.po, po/pt_BR.po,
	  po/pt_PT.po, po/ro.po, po/ru.po, po/sk.po, po/sv.po, po/ta.po,
	  po/tr.po, po/uk.po, po/vi.po, po/xfce4-panel.pot, po/zh_CN.po,
	  po/zh_TW.po:
	  Use intltool to translate the contents.xml.

2005-03-07 13:56  juha

	* plugins/clock/clock.c:
	  Keeping xfcalendar and panel clock in sync

2005-03-07 09:06  pollux

	* po/gu.po:
	  update GU translations

2005-03-04 19:30  jasper

	* panel/controls.c:
	  Oops, wrong number (bug #815: separators at wrong position)

2005-03-02 07:19  jasper

	* panel/controls.c, panel/item-control.c,
	  plugins/launcher/launcher.c, plugins/mailcheck/mailcheck.c,
	  plugins/systembuttons/systembuttons.c:
	  Cosmetic changes. Add extra 1px space around control to prevent
	  it from overwriting the panel window border. Can be unset on a
	  case by case basis when a plugin doesn't need it. Hope this
	  works for everyone.

2005-03-01 21:08  jasper

	* libs/xfce-paint-private.c:
	  Small change to make handles follow gtk theme properly

2005-02-22 22:09  jasper

	* panel/panel.c, panel/settings.c:
	  Save changes properly

2005-02-22 21:27  jasper

	* panel/settings.c:
	  Oops, wrong file test

2005-02-22 20:22  jasper

	* TODO, libs/Makefile.am, libs/xfce-item.c, libs/xfce-item.h,
	  libs/xfce-itembar.c, libs/xfce-itembar.h,
	  libs/xfce-separator-item.c, libs/xfce-separator-item.h,
	  panel/controls.c, panel/controls.h, panel/panel.c,
	  panel/xfce_support.c, panel/xfce_support.h,
	  plugins/separator/separator.c, taskbar/xftaskbar.c:
	  Add itembar and item widgets:
	  * XfceItembar : container for XfceItem's
	  * XfceItem : simple container to add to an itembar
	  * XfceSeparatorItem : special XfceItem that simply shows a
	  separator
	  
	  * Make panel controls and separator item plugin use the new
	  widgets.
	  * Make taskbar use new widgets

2005-02-21 08:40  pollux

	* po/ja.po:
	  update JA translations

2005-02-17 21:01  jasper

	* panel/controls.c, panel/controls_dialog.c, panel/item-control.c,
	  panel/item-control.h, panel/item.c, panel/item_dialog.c:
	  * 'Unexport' some functions
	  * Prevent direct access to PanelPopup struct
	  * Fix menu popup after timeout (broken because of recent
	  rearrangements)

2005-02-17 15:48  jasper

	* panel/Makefile.am, panel/controls.c, panel/controls_dialog.c,
	  panel/icons.c, panel/icons.h, panel/item-control.c,
	  panel/item-control.h, panel/item.c, panel/item_dialog.c,
	  panel/main.c, panel/mcs_client.c, panel/panel.c, panel/popup.c,
	  panel/popup.h, panel/settings.c, plugins/pager/pager.c,
	  plugins/switcher/switcher.c:
	  More cleanup:
	  * Move PanelPopup code into item-control.[ch]
	  * remove popup.[ch]

2005-02-16 19:43  jasper

	* panel/global.h, panel/main.c, panel/panel.c, panel/popup.c,
	  panel/popup.h, panel/settings.c, panel/settings.h,
	  panel/xfce_support.c, panel/xfce_support.h:
	  * more removal of unused functions
	  * only write actual config file at exit
	  (this at least helps a bit when a new plugin crashes the panel)

2005-02-15 20:30  jasper

	* panel/mcs_client.c, panel/panel.c, panel/panel.h,
	  settings/xfce_settings.h, settings/xfce_settings_dialog.c,
	  settings/xfce_settings_plugin.c:
	  Remove some unused functions

2005-02-15 16:15  jasper

	* panel/Makefile.am, panel/controls.c, panel/controls_dialog.c,
	  panel/groups.c, panel/groups.h, panel/item-control.c,
	  panel/item.c, panel/item_dialog.c, panel/panel.c, panel/panel.h,
	  panel/settings.c, plugins/clock/clock.c,
	  plugins/systray/systray.c, taskbar/xftaskbar.c:
	  * Remove groups.[ch]
	  * Fold groups_* code back into panel.c
	  * Small improvement to autoresize ... again

2005-02-13 21:16  jasper

	* panel/Makefile.am, panel/controls.c, panel/controls_dialog.c,
	  panel/groups.c, panel/groups.h, panel/item-control.c,
	  panel/item-control.h, panel/item.c, panel/item.h,
	  panel/item_dialog.c, panel/item_dialog.h, panel/popup.c,
	  plugins/launcher/launcher-dialog.c:
	  Restructuring work:
	  * make panel popup part of the launcher control
	  * hopefully things still work as before ;-)

2005-02-13 12:39  pollux

	* po/ko.po:
	  update KO translations (with a big delay)

2005-02-13 10:40  jasper

	* plugins/launcher/Makefile.am,
	  plugins/launcher/launcher-dialog.c,
	  plugins/launcher/launcher-dialog.h, plugins/launcher/launcher.c,
	  plugins/launcher/launcher.h, settings, settings/.cvsignore:
	  Update new launcher:
	  * put dialog code in separate file
	  * distinguish between category icons and custom ones
	  * Add some DND. Dragging from appfinder cause crashes; don't
	  know why.

2005-02-01 11:45  pollux

	* po/zh_CN.po:
	  update zh_CN translations

2005-02-01 07:31  jasper

	* settings/xfce_settings_plugin.c:
	  Fix 64bit bug. Thanks to Michael <macallan18@earthlink.net>.

2005-01-31 21:03  jasper

	* plugins/launcher/launcher.c:
	  * Change (improve?) layout of dialog
	  * Make launcher temporarily insensitive after clicking to give a
	  little visual feedback

2005-01-30 20:51  jasper

	* taskbar/xftaskbar.c:
	  Fix initial position

2005-01-29 10:15  jasper

	* panel/controls_dialog.c, panel/item.c,
	  plugins/launcher/launcher.c:
	  Fix 2.6-ism: GTK_STOCK_EDIT. New launcher DND does not work
	  properly yet.

2005-01-29 09:49  jasper

	* iconbox/iconbox.c:
	  Improve resizing/moving

2005-01-27 19:46  jasper

	* taskbar/Makefile.am:
	  Add xftaskbar4 symlink for backward compatibility

2005-01-27 19:13  jasper

	* settings/Makefile.am:
	  include .desktop.in files instead of .desktop

2005-01-27 14:54  jasper

	* Makefile.am, NOTES, README, autoclean.sh, configure.ac,
	  mkinstalldirs, po/POTFILES.in, po/ar.po, po/az.po, po/be.po,
	  po/bg.po, po/ca.po, po/cs.po, po/de.po, po/en_GB.po, po/es.po,
	  po/es_MX.po, po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po,
	  po/gu.po, po/he.po, po/hi.po, po/hu.po, po/it.po, po/ja.po,
	  po/ko.po, po/lt.po, po/ms.po, po/nb_NO.po, po/nl.po, po/pa.po,
	  po/pl.po, po/pt_BR.po, po/pt_PT.po, po/ro.po, po/ru.po,
	  po/sk.po, po/sv.po, po/ta.po, po/tr.po, po/uk.po, po/vi.po,
	  po/xfce4-panel.pot, po/zh_CN.po, po/zh_TW.po,
	  settings/Makefile.am, settings/xfce-iconbox-settings.desktop,
	  settings/xfce-iconbox-settings.desktop.in,
	  settings/xfce-panel-settings.desktop,
	  settings/xfce-panel-settings.desktop.in,
	  settings/xfce-taskbar-settings.desktop,
	  settings/xfce-taskbar-settings.desktop.in:
	  Use intltool for .desktop files.

2005-01-27 10:10  jasper

	* Makefile.am, autoclean.sh, autogen.sh, configure.ac, m4,
	  mkinstalldirs, panel/xfce_support.c,
	  plugins/launcher/launcher.c, po/Makefile.in.in:
	  Update to use XDT. Yay Benedikt.

2005-01-26 23:26  benny

	* libs/Makefile.am:
	  Small fix for LDFLAGS (-export-dynamic was missing).

2005-01-26 23:21  jasper

	* configure.ac, iconbox/Makefile.am, iconbox/iconbox-settings.c,
	  iconbox/iconbox-settings.h, iconbox/iconbox.c, libs/Makefile.am,
	  libs/xfce-arrow-button.c, libs/xfce-arrow-button.h,
	  panel/Makefile.am, panel/add-control-dialog.c,
	  panel/controls_dialog.c, panel/item_dialog.c,
	  plugins/Makefile.am, plugins/launcher,
	  plugins/launcher/Makefile.am, plugins/launcher/launcher.c,
	  po/xfce4-panel.pot, taskbar/Makefile.am:
	  * make panel widget library dynamic
	  (not sure this is done correctly)
	  * add alternative launcher plugin
	  This is definitely unfinished. I consider this my playground, so
	  things
	  will surely break ;-)
	  * keep Brian happy with a detailed cvs commit message ;-)

2005-01-22 12:22  pollux

	* po/fi.po, settings/xfce-panel-settings.desktop:
	  update FI translations

2005-01-19 09:23  jasper

	* icons/Makefile.am, icons/xfce4-iconbox.png,
	  icons/xfce4-taskbar.png:
	  Add iconbox and taskbar icons

2005-01-18 21:07  jasper

	* iconbox/iconbox.c:
	  Only show help when really requested

2005-01-18 20:51  jasper

	* iconbox/iconbox.c:
	  Add right-click menu and make sure we get all existing windows
	  on startup

2005-01-18 14:05  jasper

	* configure.ac, plugins/Makefile.am, plugins/systray,
	  plugins/systray/Makefile.am, plugins/systray/systray.c:
	  Add (rewritten) systray to panel

2005-01-17 22:08  jasper

	* iconbox/iconbox-settings.c, iconbox/iconbox.c,
	  iconbox/iconbox.h, settings/iconbox_plugin.c:
	  Can't live without transparency, now can we?

2005-01-17 00:58  kelnos

	* panel/xfce_support.c:
	  fix csm's crash on HEAD

2005-01-14 16:01  jasper

	* iconbox/iconbox.c, settings/iconbox_plugin.c:
	  Iconbox sizing and positioning

2005-01-14 07:53  jasper

	* iconbox/iconbox-settings.c, iconbox/iconbox-settings.h,
	  iconbox/iconbox.c, iconbox/iconbox.h, po/POTFILES.in,
	  settings/Makefile.am, settings/iconbox_plugin.c,
	  settings/xfce-iconbox-settings.desktop, taskbar/xftaskbar.c:
	  Iconbox almost works (TM)

2005-01-10 22:12  jasper

	* iconbox/Makefile.am, iconbox/iconbox-settings.c,
	  iconbox/iconbox-settings.h, iconbox/iconbox.c,
	  iconbox/iconbox.h, iconbox/xfce-iconlist.c,
	  iconbox/xfce-iconlist.h, libs/xfce-panel-window.c,
	  panel/panel.c:
	  Unfinished iconbox stuff

2005-01-08 15:04  pollux

	* po/ru.po, settings/xfce-panel-settings.desktop:
	  update RU translations

2005-01-08 10:04  jasper

	* HACKING, Makefile.am, Makefile.in, TODO, aclocal.m4,
	  autoclean.sh, compile, config, config.guess, config.h.in,
	  config.sub, config/Makefile.am, config/contents.xml,
	  config/contents.xml.ar, config/contents.xml.az,
	  config/contents.xml.ca, config/contents.xml.eu,
	  config/contents.xml.fr, config/contents.xml.he,
	  config/contents.xml.hu, config/contents.xml.it,
	  config/contents.xml.ko, config/contents.xml.ms,
	  config/contents.xml.nl, config/contents.xml.ro,
	  config/contents.xml.ru, config/contents.xml.sk,
	  config/contents.xml.tr, config/contents.xml.uk,
	  config/contents.xml.vi, config/contents.xml.zh_TW, configure,
	  configure.ac, contents.xml, contents.xml.ar, contents.xml.az,
	  contents.xml.ca, contents.xml.eu, contents.xml.fr,
	  contents.xml.he, contents.xml.hu, contents.xml.it,
	  contents.xml.ko, contents.xml.ms, contents.xml.nl,
	  contents.xml.ro, contents.xml.ru, contents.xml.sk,
	  contents.xml.tr, contents.xml.uk, contents.xml.vi,
	  contents.xml.zh_TW, depcomp, doc/C/Makefile.in,
	  doc/C/images/Makefile.in, doc/Makefile.in, doc/fr/Makefile.in,
	  doc/fr/images/Makefile.in, doc/it/Makefile.in,
	  doc/it/images/Makefile.in, iconbox, iconbox/Makefile.am,
	  iconbox/iconbox.c, iconbox/xfce-iconlist.c,
	  iconbox/xfce-iconlist.h, icons/Makefile.in, install-sh, libs,
	  libs/Makefile.am, libs/xfce-enum-types.c,
	  libs/xfce-enum-types.h, libs/xfce-marshal.c,
	  libs/xfce-marshal.h, libs/xfce-marshal.list,
	  libs/xfce-paint-private.c, libs/xfce-paint-private.h,
	  libs/xfce-panel-window.c, libs/xfce-panel-window.h, ltmain.sh,
	  missing, panel/Makefile.in, plugins/Makefile.in,
	  plugins/clock/Makefile.in, plugins/mailcheck/Makefile.in,
	  plugins/pager/Makefile.in, plugins/sample-plugin/Makefile.in,
	  plugins/separator/Makefile.in, plugins/switcher/Makefile.in,
	  plugins/systembuttons/Makefile.in, po/POTFILES.in, po/ar.gmo,
	  po/ar.po, po/az.gmo, po/az.po, po/be.gmo, po/be.po, po/bg.gmo,
	  po/bg.po, po/ca.gmo, po/ca.po, po/cs.gmo, po/cs.po, po/de.gmo,
	  po/de.po, po/en_GB.gmo, po/en_GB.po, po/es.gmo, po/es.po,
	  po/es_MX.gmo, po/es_MX.po, po/et.gmo, po/et.po, po/eu.gmo,
	  po/eu.po, po/fa.gmo, po/fa.po, po/fi.gmo, po/fi.po, po/fr.gmo,
	  po/fr.po, po/gu.gmo, po/gu.po, po/he.gmo, po/he.po, po/hi.gmo,
	  po/hi.po, po/hu.gmo, po/hu.po, po/it.gmo, po/it.po, po/ja.gmo,
	  po/ja.po, po/ko.gmo, po/ko.po, po/lt.gmo, po/lt.po, po/ms.gmo,
	  po/ms.po, po/nb_NO.gmo, po/nl.gmo, po/nl.po, po/pa.gmo,
	  po/pa.po, po/pl.gmo, po/pl.po, po/pt_BR.gmo, po/pt_BR.po,
	  po/pt_PT.gmo, po/pt_PT.po, po/ro.gmo, po/ro.po, po/ru.gmo,
	  po/ru.po, po/sk.gmo, po/sk.po, po/sv.gmo, po/sv.po, po/ta.gmo,
	  po/ta.po, po/tr.gmo, po/tr.po, po/uk.gmo, po/uk.po, po/vi.gmo,
	  po/vi.po, po/zh_CN.gmo, po/zh_CN.po, po/zh_TW.gmo, po/zh_TW.po,
	  settings/Makefile.am, settings/Makefile.in,
	  settings/xfce-taskbar-settings.desktop,
	  settings/xftaskbar_plugin.c, taskbar, taskbar/Makefile.am,
	  taskbar/xftaskbar.c, xfce4-panel.spec.in, xfce4.spec.in:
	  Big reorganization for 4.3:
	  * move taskbar and iconbox to panel
	  * panel config files in separate directory
	  * add panel library
	  * remove generated files. autogen.sh is now required to build
	  from CVS.
	  * add time to taskbar
	  * use XfcePanelWindow widget for panel and taskbar (fixes bug
	  #367 ;-)
	  * iconbox not functional yet (needs rewrite).

2005-01-08 09:04  jasper

	* panel/item.c, panel/item_dialog.c, panel/panel.c:
	  Improve appfinder DND on menus

2005-01-08 09:04  jasper

	* panel/Makefile.am, panel/Makefile.in, panel/panel.h:
	  Improve appfinder DND on menus

2005-01-06 20:11  pollux

	* contents.xml.uk:
	  another missing file

2005-01-06 19:51  jasper

	* panel/item.c:
	  Fix DND from Appfinder to menu

2005-01-06 19:24  pollux

	* Makefile.am, Makefile.in, doc/C/Makefile.in,
	  doc/C/images/Makefile.in, ltmain.sh, po/uk.po:
	  update UK translations

2005-01-06 16:06  jasper

	* doc/C/xfce4-panel.html, doc/C/xfce4-panel.xml:
	  Oops. Typo. (2)

2005-01-06 16:04  jasper

	* doc/C/xfce4-panel.html, doc/C/xfce4-panel.xml:
	  Oops. Typo.

2005-01-06 15:45  jasper

	* doc/C/images/Makefile.in, doc/C/xfce4-panel.html,
	  doc/C/xfce4-panel.xml:
	  Fix POP3 format documentation

2005-01-06 15:45  jasper

	* doc/C/Makefile.in:
	  Fix POP3 format documentation

2005-01-05 16:09  moe

	* po/de.gmo, po/de.po:
	  Update the German translation. Thanks to
	  Johannes Zellner <webmaster@nebulon.de>

2005-01-05 16:01  pollux

	* po/he.gmo, po/he.po:
	  update HE translations

2005-01-02 12:51  olivier

	* ChangeLog, Makefile.in, configure, configure.ac, ltmain.sh,
	  po/xfce4-panel.pot:
	  Update version and changelog

2004-12-29 03:50  kelnos

	* plugins/mailcheck/mailcheck.c:
	  allow the use of a port number in the pop3 server string

2004-12-28 10:46  pollux

	* po/es.gmo, po/es.po:
	  fix #608

2004-12-27 19:05  pollux

	* settings/xfce_settings_dialog.c:
	  mcs-plugins now appear on the mouse pointer screen

2004-12-25 20:33  kelnos

	* Makefile.am:
	  fix distcheck-bz2

2004-12-24 00:03  kelnos

	* Makefile.am:
	  add dist-bz2 and distcheck-bz2 targets

2004-12-23 23:33  olivier

	* doc/C/images/add-item-dialog.png,
	  doc/C/images/clock-properties.png,
	  doc/C/images/launcher-properties.png,
	  doc/C/images/mailcheck-properties.png,
	  doc/C/images/menuitem-properties.png,
	  doc/C/images/nooptions-properties.png,
	  doc/C/images/pager-properties.png,
	  doc/C/images/panel-settings.png,
	  doc/C/images/systembuttons-properties.png:
	  Themes and screenshots

2004-12-23 21:24  pollux

	* po/et.gmo, po/et.po, settings/xfce-panel-settings.desktop:
	  update ET translations

2004-12-22 21:00  benny

	* ChangeLog, Makefile.am, Makefile.in, po/cs.gmo,
	  po/xfce4-panel.pot, settings/Makefile.am, settings/Makefile.in:
	  Update ChangeLog. Fix make distcheck.

2004-12-21 09:03  kelnos

	* po/cs.po:
	  add/update czech translations

2004-12-20 21:00  jasper

	* ChangeLog:
	  Update versions and ChangeLog

2004-12-20 20:11  jasper

	* ChangeLog, NEWS:
	  Update ChangeLog and NEWS

2004-12-19 20:49  pollux

	* po/ko.gmo, po/ko.po:
	  update KO translations

2004-12-19 16:36  fleclainche

	* doc/C/images/add-item-dialog.png,
	  doc/C/images/clock-properties.png,
	  doc/C/images/default_panel.png,
	  doc/C/images/launcher-properties.png,
	  doc/C/images/mailcheck-properties.png,
	  doc/C/images/menuitem-properties.png,
	  doc/C/images/nooptions-properties.png,
	  doc/C/images/pager-properties.png,
	  doc/C/images/panel-settings.png,
	  doc/C/images/systembuttons-properties.png:
	  Documentation screenshots update

2004-12-15 19:04  pollux

	* po/pt_BR.gmo, po/pt_BR.po:
	  update pt_BR translations

2004-12-14 20:33  pollux

	* configure, configure.ac, po/ro.gmo, po/ro.po:
	  add RO translations

2004-12-14 11:51  jasper

	* configure, configure.ac, panel/main.c, panel/xfce_support.c,
	  po/ko.gmo, settings/xfce_settings_plugin.c:
	  Fix type mismatch. Patch by Michele Baldessari
	  <michele@pupazzo.org>.

2004-12-13 22:08  pollux

	* po/ko.po:
	  update KO translations

2004-12-11 17:51  olivier

	* po/xfce4-panel.pot, xfce4.spec.in:
	  Various changes and small fixes

2004-12-07 20:02  jasper

	* panel/panel.c:
	  Reduce snapwidth for very big panels

2004-12-05 23:43  olivier

	* contents.xml.ko, po/xfce4-panel.pot:
	  Add missing "contents.xml.ko"

2004-12-05 23:38  olivier

	* panel/panel.c:
	  Changing back to gtk_window_set_type_hint()
	  Set property before the window is realized/mapped (as stated in
	  gtk documentation "This function should be called before the
	  window becomes visible")

2004-12-05 21:38  pollux

	* configure, configure.ac, po/nb_NO.gmo, po/nb_NO.po, po/no.gmo,
	  po/no.po:
	  add nb_NO translations

2004-12-05 21:20  pollux

	* configure, configure.ac, po/en_GB.gmo, po/en_GB.po:
	  add en_GB translations

2004-12-05 20:50  pollux

	* Makefile.am, Makefile.in, po/ko.gmo, po/ko.po,
	  settings/xfce-panel-settings.desktop:
	  update KO translations and add screenshots in xfprint doc

2004-12-04 17:15  benny

	* ChangeLog, configure, configure.ac:
	  Update configure and ChangeLog.

2004-12-03 21:39  jasper

	* NEWS, panel/panel.c:
	  Attempt to fix resizing on unhide (Bug #541)

2004-12-03 07:59  jasper

	* panel/panel.c:
	  Completely unnecessary gravity setting

2004-12-02 13:33  jasper

	* panel/panel.c:
	  At least should make dock type setting work on gtk 2.2

2004-12-01 20:44  jasper

	* ChangeLog, NEWS:
	  Update NEWS and ChangeLog

2004-11-30 21:57  jasper

	* configure, configure.ac, panel/item_dialog.c, po/tr.gmo:
	  Fix text selection being lost when validating icon in item
	  dialog (Bug #542)

2004-11-29 09:47  pollux

	* contents.xml.tr:
	  add missing file

2004-11-28 18:01  pollux

	* Makefile.am, Makefile.in, po/tr.po:
	  update TR translations

2004-11-26 19:06  pollux

	* po/ko.gmo, po/ko.po:
	  update KO translations

2004-11-26 17:53  pollux

	* Makefile.am, Makefile.in, contents.xml.fr, ltmain.sh:
	  add french translation of contents.xml

2004-11-24 21:18  benny

	* doc/C/xfce4-panel.html, doc/C/xfce4-panel.xml:
	  Fix typo.

2004-11-18 22:52  jasper

	* ChangeLog, NEWS:
	  Update NEWS and ChangeLog

2004-11-18 22:29  jasper

	* panel/plugins.h:
	  Update plugin API for mcs manager and panel. NOT: all plugins
	  need to be rebuild.

2004-11-18 21:37  jasper

	* plugins/pager/pager.c:
	  Fix bug #516, go Olivier ;-)

2004-11-18 20:12  jasper

	* plugins/pager/pager.c:
	  Fix bug found by Olivier (#514)

2004-11-16 23:09  olivier

	* po/fr.gmo, po/fr.po:
	  Improve French translation.

2004-11-16 22:50  olivier

	* po/fr.gmo, po/fr.po, po/xfce4-panel.pot:
	  Update French localization

2004-11-16 07:12  jasper

	* doc/C/xfce4-panel.html, doc/C/xfce4-panel.xml,
	  doc/fr/xfce4-panel.html, doc/it/xfce4-panel.html,
	  doc/xfce-nochunk.xsl:
	  Update some docs and update to new color scheme at the
	  suggestion of Jeff Franks

2004-11-14 19:17  benny

	* plugins/sample-plugin/sample.c:
	  Fix typo.

2004-11-13 18:01  olivier

	* ChangeLog:
	  Update ChangeLog

2004-11-13 15:19  olivier

	* po/xfce4-panel.pot:
	  Auto-tools check-up.

2004-11-11 20:21  jasper

	* contents.xml, doc/C/images/add-item-dialog.png,
	  doc/C/images/clock-properties.png,
	  doc/C/images/launcher-properties.png,
	  doc/C/images/mailcheck-properties.png,
	  doc/C/images/menuitem-properties.png,
	  doc/C/images/nooptions-properties.png,
	  doc/C/images/pager-properties.png,
	  doc/C/images/panel-settings.png,
	  doc/C/images/systembuttons-properties.png:
	  Big screenshot update for the docs

2004-11-11 09:21  jasper

	* plugins/mailcheck/mailcheck.c:
	  Patch by Piotr Chmura <chmooreck@poczta.onet.pl> to fix pop3
	  mail checking

2004-11-10 19:21  jasper

	* panel/panel.c:
	  Add back transparency for the hidden panel; make hidden panel a
	  bit more hidden ;-) People can still disable it using
	  ~/.config/xfce4/transparency.

2004-11-10 07:04  jasper

	* panel/panel.c:
	  A space in a sscanf format string magically matches 0 or more
	  whitespace characters.

2004-11-09 20:44  jasper

	* contents.xml, contents.xml.ar, contents.xml.az, contents.xml.ca,
	  contents.xml.eu, contents.xml.he, contents.xml.hu,
	  contents.xml.it, contents.xml.ms, contents.xml.nl,
	  contents.xml.ro, contents.xml.ru, contents.xml.sk,
	  contents.xml.vi, contents.xml.zh_TW:
	  Remove screensaver settings from default panel

2004-11-08 21:53  jasper

	* panel/panel.c:
	  bah.

2004-11-08 21:47  jasper

	* panel/panel.c:
	  Missing fclose(). Shame on me.

2004-11-08 21:31  jasper

	* doc/C/xfce4-panel.html, doc/C/xfce4-panel.xml,
	  panel/item_dialog.c, panel/panel.c:
	  Add support for <basedir>/xfce4/transparency configuration file.
	  Panl docs updated accordingly.

2004-11-07 22:32  jasper

	* plugins/mailcheck/mailcheck.c:
	  Dimm mailcheck icon in a better way, based on code from
	  netk-tasklist

2004-11-07 21:09  fleclainche

	* icons/xfce-mail.png:
	  Commit a mail icon which is visible through a transparent panel

2004-11-07 15:15  fleclainche

	* icons/xfce-filemanager.png:
	  Sync with Rodent icons.

2004-11-07 12:00  jasper

	* panel/controls.c, panel/plugins.h:
	  Bump plugin API version, but allow current plugins to be loaded.
	  Add a message to say the user should upgrade/rebuild in case of
	  problems.

2004-11-07 08:56  fleclainche

	* icons/xfce-multimedia.png:
	  Forgot to commit the new new multimedia icon :P

2004-11-06 22:20  jasper

	* panel/controls.c, panel/panel.c:
	  Small tweaks

2004-11-06 18:28  fleclainche

	* icons/xfce-man.png, icons/xfce-multimedia.png,
	  icons/xfce-sound.png, icons/xfce-system-lock.png,
	  icons/xfce-terminal.png, icons/xfce-unknown.png:
	  Improved icons

2004-11-06 16:24  olivier

	* ChangeLog, Makefile.in, aclocal.m4, compile, config.guess,
	  config.sub, configure, configure.ac, depcomp, doc/C/Makefile.in,
	  doc/C/images/Makefile.in, doc/Makefile.in, doc/fr/Makefile.in,
	  doc/fr/images/Makefile.in, doc/it/Makefile.in,
	  doc/it/images/Makefile.in, icons/Makefile.in, install-sh,
	  ltmain.sh, missing, panel/Makefile.in, plugins/Makefile.in,
	  plugins/clock/Makefile.in, plugins/mailcheck/Makefile.in,
	  plugins/pager/Makefile.in, plugins/sample-plugin/Makefile.in,
	  plugins/separator/Makefile.in, plugins/switcher/Makefile.in,
	  plugins/systembuttons/Makefile.in, po/xfce4-panel.pot,
	  settings/Makefile.in:
	  Update automake/autoconf/libtool/gettext versions to generate
	  the configure scripts and Makefiles,
	  Update versions of all packages to 4.1.99.1 (ie 4.2 RC1),
	  Update ChangeLogs.

2004-11-06 13:11  jasper

	* panel/xfce_support.c:
	  Use file chooser widget

2004-11-05 22:25  jasper

	* panel/item_dialog.c:
	  small DND fix

2004-11-05 21:16  jasper

	* panel/icons.c, panel/panel.c:
	  Fix icon size in dialog header

2004-11-03 17:06  jasper

	* doc/C/xfce4-panel.html, doc/C/xfce4-panel.xml:
	  Try to clarify the file locations a little

2004-11-01 09:56  jasper

	* panel/panel.c:
	  Hmm, set the sticky hint a bit earlier

2004-10-31 16:43  jasper

	* doc/C/xfce4-panel.html, doc/C/xfce4-panel.xml:
	  Update doc to include latest changes

2004-10-31 13:58  jasper

	* configure, configure.ac, ltmain.sh, panel/panel.c,
	  settings/xfce_settings_dialog.c:
	  Ok, some changes to improve focus management and transparency:
	  * panel is now a dock-type window. Always-on-top non-optional.
	  * transparency is toggled when mouse is over the panel
	  * no transparency when panel autohides

2004-10-30 19:03  olivier

	* ChangeLog, ltmain.sh:
	  Global update for 4.1.91 (Xfce 4.2 beta 2)

2004-10-30 14:00  pollux

	* po/lt.gmo, po/lt.po:
	  update LT translations

2004-10-30 11:28  jasper

	* panel/panel.c:
	  Reduce the transparancy considerably, since it is non-optional
	  for now

2004-10-29 09:48  jasper

	* configure, configure.ac, ltmain.sh, po/ar.gmo, po/ar.po,
	  po/az.gmo, po/az.po, po/be.gmo, po/be.po, po/bg.gmo, po/bg.po,
	  po/ca.gmo, po/ca.po, po/cs.gmo, po/cs.po, po/de.gmo, po/de.po,
	  po/es.gmo, po/es.po, po/es_MX.gmo, po/es_MX.po, po/et.gmo,
	  po/et.po, po/eu.gmo, po/eu.po, po/fa.gmo, po/fa.po, po/fi.gmo,
	  po/fi.po, po/fr.gmo, po/fr.po, po/gu.gmo, po/gu.po, po/he.gmo,
	  po/he.po, po/hi.gmo, po/hi.po, po/hu.gmo, po/hu.po, po/it.gmo,
	  po/it.po, po/ja.gmo, po/ja.po, po/ko.gmo, po/ko.po, po/lt.gmo,
	  po/lt.po, po/ms.gmo, po/ms.po, po/nl.gmo, po/nl.po, po/no.gmo,
	  po/no.po, po/pa.gmo, po/pa.po, po/pl.gmo, po/pl.po,
	  po/pt_BR.gmo, po/pt_BR.po, po/pt_PT.gmo, po/pt_PT.po, po/ru.gmo,
	  po/ru.po, po/sk.gmo, po/sk.po, po/sv.gmo, po/sv.po, po/ta.gmo,
	  po/ta.po, po/tr.gmo, po/tr.po, po/vi.gmo, po/vi.po,
	  po/xfce4-panel.pot, po/zh_CN.gmo, po/zh_CN.po, po/zh_TW.gmo,
	  po/zh_TW.po:
	  Update dependency versions. Make distcheck passes.

2004-10-29 07:36  jasper

	* ChangeLog, NEWS, panel/icons.c, panel/panel.c:
	  Update ChangeLog and NEWS

2004-10-28 11:55  pollux

	* po/he.gmo, po/he.po, settings/xfce-panel-settings.desktop:
	  update HE translations

2004-10-27 19:24  jasper

	* doc/C/xfce4-panel.html, doc/C/xfce4-panel.xml:
	  Oops. CONFIG, not DATA ;)

2004-10-23 14:45  olivier

	* ChangeLog:
	  Update ChangeLog

2004-10-23 14:15  jasper

	* doc/C/xfce4-panel.html, doc/C/xfce4-panel.xml:
	  Update kiosk location in docs

2004-10-22 20:38  olivier

	* ChangeLog, ltmain.sh:
	  Updated versions and change logs

2004-10-22 09:24  jasper

	* panel/panel.c:
	  Code reordering. Set window properties later to prevent race
	  with xfwm4. Probably won't help anyone ;-)

2004-10-21 20:00  jasper

	* ChangeLog, NEWS, configure, configure.ac:
	  Update version, ChangeLog and NEWS

2004-10-20 22:06  pollux

	* po/ar.gmo, po/az.gmo, po/be.gmo, po/bg.gmo, po/ca.gmo,
	  po/cs.gmo, po/de.gmo, po/es.gmo, po/es_MX.gmo, po/et.gmo,
	  po/et.po, po/eu.gmo, po/fi.gmo, po/fr.gmo, po/gu.gmo, po/he.gmo,
	  po/hi.gmo, po/hu.gmo, po/it.gmo, po/ja.gmo, po/ko.gmo,
	  po/lt.gmo, po/ms.gmo, po/nl.gmo, po/no.gmo, po/pa.gmo,
	  po/pl.gmo, po/pt_BR.gmo, po/pt_PT.gmo, po/ru.gmo, po/sk.gmo,
	  po/sv.gmo, po/ta.gmo, po/tr.gmo, po/vi.gmo, po/zh_CN.gmo,
	  po/zh_TW.gmo:
	  update ET translations

2004-10-11 18:52  jasper

	* panel/controls_dialog.c, panel/panel.c:
	  Fix a few autohide issues (bug #386)

2004-10-11 16:30  benny

	* po/ar.po, po/az.po, po/be.po, po/bg.po, po/ca.po, po/cs.po,
	  po/de.po, po/es.po, po/es_MX.po, po/et.po, po/eu.po, po/fi.po,
	  po/fr.po, po/gu.po, po/he.po, po/hi.po, po/hu.po, po/it.po,
	  po/ja.po, po/ko.po, po/lt.po, po/ms.po, po/nl.po, po/no.po,
	  po/pa.po, po/pl.po, po/pt_BR.po, po/pt_PT.po, po/ru.po,
	  po/sk.po, po/sv.po, po/ta.po, po/tr.po, po/vi.po,
	  po/xfce4-panel.pot, po/zh_CN.po, po/zh_TW.po:
	  update-po for Moe.

2004-10-10 11:52  pollux

	* po/pt_PT.gmo, po/pt_PT.po:
	  update pt_PT translations

2004-10-09 14:20  pollux

	* configure, configure.ac, po/fa.gmo, po/fa.po, po/fa_IR.gmo,
	  po/fa_IR.po:
	  update FA translations

2004-10-09 13:48  pollux

	* po/es.gmo, po/es_MX.gmo:
	  Punjabi translations update from jaswinderlinux@netscape.net

2004-10-08 13:04  edscott

	* po/es.po, po/es_MX.po:
	  fix missing strings, spelling mistakes, and context mistakes

2004-10-08 07:10  jasper

	* panel/settings.c:
	  Multihead filename fix

2004-10-07 20:35  benny

	* ., .cvsignore, Makefile.in, aclocal.m4, configure,
	  doc/C/Makefile.in, doc/C/images/Makefile.in, doc/Makefile.in,
	  doc/fr/Makefile.in, doc/fr/images/Makefile.in,
	  doc/it/Makefile.in, doc/it/images/Makefile.in,
	  icons/Makefile.in, ltmain.sh, m4/debug.m4, m4/glib-gettext.m4,
	  m4/pkg.m4, panel/Makefile.in, plugins/Makefile.in,
	  plugins/clock/Makefile.in, plugins/mailcheck/Makefile.in,
	  plugins/pager/Makefile.in, plugins/sample-plugin/Makefile.in,
	  plugins/separator/Makefile.in, plugins/switcher/Makefile.in,
	  plugins/systembuttons/Makefile.in, settings/Makefile.in:
	  Added --enable-final (-O1 for GNU ld) as per Jaspers request.
	  Added missing
	  m4 files.

2004-10-05 06:50  jasper

	* panel/main.c, panel/xfce_support.c:
	  Fix config file lookup for multihead

2004-10-03 21:00  olivier

	* panel/panel.c:
	  Make panel translucent when paled on top.

2004-10-03 16:14  pollux

	* po/pa.gmo, po/pa.po:
	  Punjabi translations (PA) from jaswinderlinux@netscape.net

2004-10-03 15:43  pollux

	* settings/xfce-panel-settings.desktop:
	  zh_TW translations of desktop files from Ambrose Li
	  <acli@ada.dhs.org>

2004-10-02 22:18  olivier

	* Makefile.am, Makefile.in:
	  Missing files from dist

2004-10-02 13:28  olivier

	* ChangeLog, ltmain.sh, po/xfce4-panel.pot:
	  Update all files for 4.2 beta 1

2004-10-01 08:24  jasper

	* panel/xfce_support.c:
	  Expand variables when executing commands

2004-09-30 15:48  pollux

	* po/it.gmo, po/it.po:
	  updated Italian translations from Luca Marrocco
	  <buildup@libero.it>

2004-09-29 08:22  pollux

	* Makefile.am, Makefile.in, contents.xml.zh_TW, po/zh_TW.gmo,
	  po/zh_TW.po:
	  updated zh_TW translations from Ambrose Li <acli@ada.dhs.org>

2004-09-29 07:59  pollux

	* po/zh_CN.gmo, po/zh_CN.po:
	  updated zh_CN translations from yongtao yang
	  <yongtao.yang@gmail.com>

2004-09-27 13:05  jasper

	* xfce4.spec.in:
	  Hope this still works; I have no way to test it.

2004-09-27 09:34  jasper

	* configure, configure.ac:
	  Update version to 4.1.90

2004-09-26 11:55  jasper

	* plugins/clock/clock.c:
	  Oops, sorry. Didn't check before committing.

2004-09-26 09:56  jasper

	* doc/C/Makefile.am, doc/C/Makefile.in, doc/fr/Makefile.am,
	  doc/fr/Makefile.in, doc/fr/xfce4-panel.html, doc/it/Makefile.am,
	  doc/it/Makefile.in, doc/it/xfce4-panel.html:
	  Fix html target for docs. Not build by default.

2004-09-26 09:04  jasper

	* plugins/clock/clock.c:
	  Only convert to utf8 if it's not already (bug #332)

2004-09-24 18:36  jasper

	* doc/C/images/Makefile.am, doc/C/images/Makefile.in,
	  doc/C/images/add-item-dialog.png,
	  doc/C/images/clock-properties.png,
	  doc/C/images/default_panel.png, doc/C/images/handle-popup.png,
	  doc/C/images/item-popup.png,
	  doc/C/images/launcher-properties.png,
	  doc/C/images/mailcheck-properties.png,
	  doc/C/images/menuitem-properties.png,
	  doc/C/images/nooptions-properties.png,
	  doc/C/images/pager-properties.png,
	  doc/C/images/panel-settings.png,
	  doc/C/images/systembuttons-properties.png,
	  doc/C/xfce4-panel.html, doc/C/xfce4-panel.xml,
	  settings/xfce_settings_dialog.c:
	  Documentation and screenshots update

2004-09-23 21:36  pollux

	* configure, configure.ac, po/gu.gmo, po/gu.po, po/nl.gmo:
	  add Gujarati translations (GU) from Ankit Patel
	  <ankit@redhat.com>

2004-09-23 18:31  jasper

	* doc/C/xfce4-panel.html, doc/C/xfce4-panel.xml:
	  doc updates

2004-09-23 13:47  jasper

	* doc/C/xfce4-panel.html, doc/C/xfce4-panel.xml:
	  Add Files and Kiosk mode section to the manual

2004-09-23 09:09  jasper

	* po/nl.po, settings/xfce-panel-settings.desktop:
	  Better translation

2004-09-23 08:22  jasper

	* settings/xfce-panel-settings.desktop:
	  Add nl translations

2004-09-22 17:46  pollux

	* configure.ac:
	  fix typo

2004-09-22 17:45  pollux

	* configure, configure.ac, po/pa.gmo, po/pa.po:
	  add Punjabi (PA) translation of the panel

2004-09-22 03:18  kelnos

	* settings/xfce-panel-settings.desktop:
	  add GenericName tags to settings .desktop files

2004-09-21 11:51  jasper

	* po/ar.gmo, po/ar.po, po/az.gmo, po/az.po, po/be.gmo, po/be.po,
	  po/bg.gmo, po/bg.po, po/ca.gmo, po/ca.po, po/cs.gmo, po/cs.po,
	  po/de.gmo, po/de.po, po/es.gmo, po/es.po, po/es_MX.gmo,
	  po/es_MX.po, po/et.gmo, po/et.po, po/eu.gmo, po/eu.po,
	  po/fa_IR.gmo, po/fa_IR.po, po/fi.gmo, po/fi.po, po/fr.gmo,
	  po/fr.po, po/he.gmo, po/he.po, po/hi.gmo, po/hi.po, po/hu.gmo,
	  po/hu.po, po/it.gmo, po/it.po, po/ja.gmo, po/ja.po, po/ko.gmo,
	  po/ko.po, po/lt.gmo, po/lt.po, po/ms.gmo, po/ms.po, po/nl.gmo,
	  po/nl.po, po/no.gmo, po/no.po, po/pl.gmo, po/pl.po,
	  po/pt_BR.gmo, po/pt_BR.po, po/pt_PT.gmo, po/pt_PT.po, po/ru.gmo,
	  po/ru.po, po/sk.gmo, po/sk.po, po/sv.gmo, po/sv.po, po/ta.gmo,
	  po/ta.po, po/tr.gmo, po/tr.po, po/vi.gmo, po/vi.po,
	  po/xfce4-panel.pot, po/zh_CN.gmo, po/zh_CN.po, po/zh_TW.gmo,
	  po/zh_TW.po:
	  Run make update-po at Moe's request.

2004-09-21 10:58  jasper

	* panel/item.c:
	  Prevent unwanted double clicking by adding a small timeout to
	  disable/re-enable the button. Timeout may be a bit too long
	  now... (Bug #311)

2004-09-21 07:47  jasper

	* ChangeLog, NEWS, configure, configure.ac,
	  panel/add-control-dialog.c, panel/controls.c,
	  po/xfce4-panel.pot:
	  Small tweaks. Panel passes make distcheck.

2004-09-20 22:22  olivier

	* ChangeLog, po/xfce4-panel.pot:
	  Update all ChangeLogs

2004-09-20 20:16  fleclainche

	* icons/xfce-system-settings.png:
	  oups... :)

2004-09-20 20:13  fleclainche

	* icons/xfce-system-lock.png, icons/xfce-system-settings.png,
	  icons/xfce-utils.png:
	  Updated icons.

2004-09-19 09:29  jasper

	* Makefile.in, configure, configure.ac, panel/Makefile.am,
	  panel/add-control-dialog.c, panel/controls.c, panel/controls.h,
	  panel/controls_dialog.c, panel/item.c, panel/item_dialog.c,
	  panel/main.c, panel/panel.c, panel/popup.c,
	  panel/xfce_support.c, plugins/clock/Makefile.am,
	  plugins/clock/Makefile.in, plugins/clock/clock.c,
	  plugins/mailcheck/Makefile.am, plugins/mailcheck/Makefile.in,
	  plugins/mailcheck/mailcheck.c, plugins/pager/Makefile.am,
	  plugins/pager/Makefile.in, plugins/pager/pager.c,
	  plugins/sample-plugin/Makefile.am,
	  plugins/sample-plugin/Makefile.in,
	  plugins/sample-plugin/sample.c, plugins/separator/Makefile.am,
	  plugins/separator/Makefile.in, plugins/separator/separator.c,
	  plugins/switcher/Makefile.am, plugins/switcher/Makefile.in,
	  plugins/switcher/switcher.c, plugins/systembuttons/Makefile.am,
	  plugins/systembuttons/Makefile.in,
	  plugins/systembuttons/systembuttons.c, themes:
	  Throw xfce_textdomain() in lots of places to fix translations.
	  Hopefully.

2004-09-18 16:41  pollux

	* Makefile.am, po/de.gmo, po/eu.gmo, po/eu.po:
	  update EU translations

2004-09-18 00:02  moe

	* po/de.po:
	  Updating these for alpha release. Not yet finished .. but I'm
	  just too tired to continue. Needs extensive spell checking
	  and approvement (Note to myself: Write mail to the list!).

2004-09-16 22:10  pollux

	* configure, configure.ac, po/be.gmo, po/be.po:
	  add BE translations from Ales Nyakhaychyk <nab@mail.by>

2004-09-13 20:31  jasper

	* panel/Makefile.am, panel/Makefile.in,
	  panel/add-control-dialog.c, panel/add-control-dialog.h,
	  panel/controls.c, panel/controls.h, panel/controls_dialog.c,
	  panel/controls_dialog.h, panel/create-def-file.sh,
	  panel/global.h, panel/groups.c, panel/groups.h, panel/icons.c,
	  panel/icons.h, panel/item.c, panel/item.h, panel/item_dialog.c,
	  panel/item_dialog.h, panel/main.c, panel/main.h,
	  panel/mcs_client.c, panel/mcs_client.h, panel/panel.c,
	  panel/panel.h, panel/plugins.h, panel/popup.c, panel/popup.h,
	  panel/settings.c, panel/settings.h, panel/xfce_support.c,
	  panel/xfce_support.h, plugins/clock/Makefile.am,
	  plugins/clock/Makefile.in, plugins/mailcheck/Makefile.am,
	  plugins/mailcheck/Makefile.in, plugins/pager/Makefile.am,
	  plugins/pager/Makefile.in, plugins/sample-plugin/Makefile.am,
	  plugins/sample-plugin/Makefile.in,
	  plugins/separator/Makefile.am, plugins/separator/Makefile.in,
	  plugins/switcher/Makefile.am, plugins/switcher/Makefile.in,
	  plugins/systembuttons/Makefile.am,
	  plugins/systembuttons/Makefile.in:
	  CYGWIN changes. Patch by Marrten boekhold.

2004-09-12 16:39  jasper

	* settings/xfce_settings_plugin.c:
	  Make sure we always create the mcs channel

2004-09-11 15:12  jasper

	* Makefile.in, configure, configure.ac, doc/C/Makefile.in,
	  doc/C/images/Makefile.in, doc/Makefile.in, doc/fr/Makefile.in,
	  doc/fr/images/Makefile.in, doc/it/Makefile.in,
	  doc/it/images/Makefile.in, icons/Makefile.in, panel/Makefile.am,
	  panel/Makefile.in, panel/controls.c, panel/controls.h,
	  panel/global.h, panel/icons.c, panel/icons.h,
	  panel/item_dialog.c, panel/item_dialog.h, panel/main.c,
	  panel/main.h, panel/mcs_client.c, panel/mcs_client.h,
	  panel/panel.c, panel/panel.def, panel/plugins.h, panel/popup.c,
	  panel/popup.h, panel/settings.c, panel/settings.h,
	  panel/xfce_support.c, panel/xfce_support.h, plugins/Makefile.in,
	  plugins/clock/Makefile.am, plugins/clock/Makefile.in,
	  plugins/mailcheck/Makefile.am, plugins/mailcheck/Makefile.in,
	  plugins/pager/Makefile.am, plugins/pager/Makefile.in,
	  plugins/sample-plugin/Makefile.am,
	  plugins/sample-plugin/Makefile.in,
	  plugins/separator/Makefile.am, plugins/separator/Makefile.in,
	  plugins/switcher/Makefile.am, plugins/switcher/Makefile.in,
	  plugins/systembuttons/Makefile.am,
	  plugins/systembuttons/Makefile.in, settings/Makefile.am,
	  settings/Makefile.in, themes/Makefile.in:
	  Cygwin changes. Patch by Maarten Boekhold.

2004-09-11 10:30  dannym

	* panel/xfce_support.c:
	  strfreev expects paths to be NULL terminated

2004-09-11 08:16  jasper

	* Makefile.am, Makefile.in, configure.ac, contents.xml,
	  contents.xml.ar, contents.xml.az, contents.xml.ca,
	  contents.xml.eu, contents.xml.he, contents.xml.hu,
	  contents.xml.it, contents.xml.ms, contents.xml.nl,
	  contents.xml.ro, contents.xml.ru, contents.xml.sk,
	  contents.xml.vi, doc/C/xfce4-panel.html, doc/C/xfce4-panel.xml,
	  panel/controls.c, panel/main.c, panel/settings.c,
	  panel/xfce_support.c, panel/xfce_support.h,
	  settings/xfce_settings_plugin.c, xfce4rc, xfce4rc.ar,
	  xfce4rc.az, xfce4rc.ca, xfce4rc.eu, xfce4rc.he, xfce4rc.hu,
	  xfce4rc.it, xfce4rc.ms, xfce4rc.nl, xfce4rc.ro, xfce4rc.ru,
	  xfce4rc.sk, xfce4rc.vi:
	  Rather big update:
	  * use Base Dir Spec
	  * xfce4rc -> panel/contents.xml
	  * small doc update, more to come

2004-09-10 20:49  pollux

	* Makefile.am, Makefile.in, po/he.gmo, po/he.po, xfce4rc.he:
	  HE translations update from Yuval Tanny <tanai@int.gov.il>

2004-09-09 18:51  pollux

	* po/vi.gmo, po/vi.po, xfce4rc.vi:
	  update VI translations

2004-09-09 08:24  jasper

	* settings/xfce_settings_dialog.c:
	  Fix compiler warning

2004-09-08 16:13  jasper

	* settings/xfce_settings_dialog.c:
	  Nobody tell me anything ;) Seems we're using all 48x48 sized
	  icons in headers now...

2004-09-07 13:43  jasper

	* po/ar.po, po/az.gmo, po/az.po, po/bg.gmo, po/bg.po, po/ca.gmo,
	  po/ca.po, po/cs.gmo, po/cs.po, po/de.gmo, po/de.po, po/es.gmo,
	  po/es.po, po/es_MX.gmo, po/es_MX.po, po/et.gmo, po/et.po,
	  po/eu.gmo, po/eu.po, po/fa_IR.gmo, po/fa_IR.po, po/fi.gmo,
	  po/fi.po, po/fr.gmo, po/fr.po, po/he.gmo, po/he.po, po/hi.gmo,
	  po/hi.po, po/hu.gmo, po/hu.po, po/it.gmo, po/it.po, po/ja.gmo,
	  po/ja.po, po/ko.gmo, po/ko.po, po/lt.gmo, po/lt.po, po/ms.gmo,
	  po/ms.po, po/nl.gmo, po/nl.po, po/no.gmo, po/no.po, po/pl.gmo,
	  po/pl.po, po/pt_BR.gmo, po/pt_BR.po, po/pt_PT.gmo, po/pt_PT.po,
	  po/ru.gmo, po/ru.po, po/sk.gmo, po/sk.po, po/sv.gmo, po/sv.po,
	  po/ta.gmo, po/ta.po, po/tr.gmo, po/tr.po, po/vi.gmo, po/vi.po,
	  po/xfce4-panel.pot, po/zh_CN.gmo, po/zh_CN.po, po/zh_TW.gmo,
	  po/zh_TW.po:
	  Tiny string freeze breakage (1 message). Sorry.

2004-09-07 13:37  jasper

	* po/ar.gmo:
	  Tiny string freeze breakage (1 message). Sorry.

2004-09-06 21:14  jasper

	* panel/Makefile.am, panel/Makefile.in:
	  Build fix (today's lesson: test before you commit)

2004-09-06 19:32  jasper

	* icons/Makefile.am, icons/Makefile.in, icons/xfce-edit.png,
	  icons/xfce-filemanager.png, icons/xfce-games.png,
	  icons/xfce-graphics.png, icons/xfce-internet.png,
	  icons/xfce-mail.png, icons/xfce-man.png,
	  icons/xfce-multimedia.png, icons/xfce-print.png,
	  icons/xfce-printer.png, icons/xfce-schedule.png,
	  icons/xfce-sound.png, icons/xfce-system-exit.png,
	  icons/xfce-system-info.png, icons/xfce-system-lock.png,
	  icons/xfce-system-settings.png, icons/xfce-terminal.png,
	  icons/xfce-unknown.png, icons/xfce-utils.png, panel/Makefile.am,
	  panel/Makefile.in, panel/add-control-dialog.c, panel/controls.c,
	  panel/icons.c, panel/item_dialog.c, panel/item_dialog.h,
	  panel/panel.c, panel/xfcombo.c, panel/xfcombo.h,
	  plugins/sample-plugin/sample.c,
	  plugins/systembuttons/systembuttons.c,
	  settings/xfce_settings_dialog.c,
	  settings/xfce_settings_plugin.c:
	  Big update after server move:
	  * updated icons to Rodent versions
	  * remove xfcombo stuff
	  * general cleanups

2004-09-06 14:08  pollux

	* configure, configure.ac, po/et.gmo, po/et.po:
	  ET translations from Peeter Vois <Peeter.Vois@proekspert.ee>

2004-09-05 21:40  olivier

	* xfce4.spec.in:
	  Fix spec file

2004-08-30 15:57  jasper

	* panel/icons.c:
	  Get non-themed icons right

2004-08-30 12:55  jasper

	* .indent.pro, panel/add-control-dialog.c,
	  panel/add-control-dialog.h, panel/controls.c, panel/controls.h,
	  panel/controls_dialog.c, panel/controls_dialog.h,
	  panel/global.h, panel/groups.c, panel/groups.h, panel/icons.c,
	  panel/icons.h, panel/item.c, panel/item.h, panel/item_dialog.c,
	  panel/item_dialog.h, panel/main.c, panel/main.h,
	  panel/mcs_client.c, panel/mcs_client.h, panel/panel.c,
	  panel/panel.h, panel/plugins.h, panel/popup.c, panel/popup.h,
	  panel/settings.c, panel/settings.h, panel/xfce.h,
	  panel/xfce_support.c, panel/xfce_support.h, panel/xfcombo.c,
	  panel/xfcombo.h, plugins/clock/clock.c,
	  plugins/mailcheck/mailcheck.c, plugins/pager/pager.c,
	  plugins/sample-plugin/sample.c, plugins/separator/separator.c,
	  plugins/switcher/switcher.c,
	  plugins/systembuttons/systembuttons.c, po/ru.gmo,
	  settings/xfce_settings.h, settings/xfce_settings_dialog.c,
	  settings/xfce_settings_dialog.h,
	  settings/xfce_settings_plugin.c,
	  settings/xfce_settings_plugin.h:
	  * Use XfceIconTheme (warning: still crashes)
	  * Add $ and clean up copyright statements
	  * Reindent using only spaces (more like Olivier's style)

2004-08-29 16:03  pollux

	* po/az.gmo, po/az.po:
	  AZ translations update from Metin Amiroff <metin@karegen.com>

2004-08-28 19:20  pollux

	* Makefile.am, Makefile.in, configure, configure.ac, po/sk.gmo,
	  po/sk.po, xfce4rc.sk:
	  add Slovak translations from Juraj Brosz <Juraj.Brosz@pobox.sk>

2004-08-26 19:57  pollux

	* po/fi.gmo, po/fi.po:
	  finnish translations update from Ilkka Ollakka
	  <ilkka.j.ollakka@students.oamk.fi>

2004-08-24 10:04  pollux

	* Makefile.am, Makefile.in, po/ru.po, xfce4rc.ru:
	  RU translations update from Anthony Ivanoff <a-i@bk.ru>

2004-08-24 07:02  jasper

	* panel/icons.c:
	  Use correct file name for print icon

2004-08-23 21:01  olivier

	* panel/panel.c:
	  Reverting my last revert as the bug has been found (in the WM)

2004-08-22 22:06  olivier

	* panel/panel.c:
	  Reverting gtk_widget_show_now as it breaks SKIP_PAGER and
	  SKIP_TASKBAR properties

2004-08-22 17:36  jasper

	* panel/controls.c, panel/controls_dialog.c, panel/item.c,
	  panel/item_dialog.c, panel/main.c, panel/panel.c:
	  Gettext hack only if gettext is used. Removed an
	  gtk_widget_show_now()

2004-08-22 16:55  jasper

	* panel/add-control-dialog.c, panel/controls.c,
	  panel/controls_dialog.c, panel/item.c, panel/item_dialog.c,
	  panel/main.c, panel/panel.c:
	  This is better, should be temporary until I find out what's
	  wrong.

2004-08-22 15:29  jasper

	* TODO, configure, configure.ac, panel/controls.c,
	  panel/controls_dialog.c, panel/item.c, panel/item_dialog.c,
	  panel/main.c, panel/panel.c, panel/settings.c,
	  plugins/mailcheck/mailcheck.c,
	  plugins/systembuttons/systembuttons.c, po/POTFILES.in,
	  po/ar.gmo, po/ar.po, po/az.gmo, po/az.po, po/bg.gmo, po/bg.po,
	  po/ca.gmo, po/ca.po, po/cs.gmo, po/cs.po, po/de.gmo, po/de.po,
	  po/es.gmo, po/es.po, po/es_MX.gmo, po/es_MX.po, po/eu.gmo,
	  po/eu.po, po/fa_IR.gmo, po/fa_IR.po, po/fi.gmo, po/fi.po,
	  po/fr.gmo, po/fr.po, po/he.gmo, po/he.po, po/hi.gmo, po/hi.po,
	  po/hu.gmo, po/hu.po, po/it.gmo, po/it.po, po/ja.gmo, po/ja.po,
	  po/ko.gmo, po/ko.po, po/lt.gmo, po/lt.po, po/ms.gmo, po/ms.po,
	  po/nl.gmo, po/nl.po, po/no.gmo, po/no.po, po/pl.gmo, po/pl.po,
	  po/pt_BR.gmo, po/pt_BR.po, po/pt_PT.gmo, po/pt_PT.po, po/ru.gmo,
	  po/ru.po, po/sv.gmo, po/sv.po, po/ta.gmo, po/ta.po, po/tr.gmo,
	  po/tr.po, po/vi.gmo, po/vi.po, po/xfce4-panel.pot, po/zh_CN.gmo,
	  po/zh_CN.po, po/zh_TW.gmo, po/zh_TW.po:
	  Update strings. Gettext stuff seems a bit broken...

2004-08-21 20:36  jasper

	* panel/panel.c:
	  Fix initial positioning (will I ever get this right?)

2004-08-19 19:55  pollux

	* panel/controls.c:
	  allow panel to compile with --enable-debug=full

2004-08-19 11:39  jasper

	* ChangeLog, Makefile.in, TODO, configure, configure.ac,
	  doc/C/Makefile.in, doc/C/images/Makefile.in, doc/Makefile.in,
	  doc/fr/Makefile.in, doc/fr/images/Makefile.in,
	  doc/it/Makefile.in, doc/it/images/Makefile.in,
	  icons/Makefile.in, panel/Makefile.am, panel/Makefile.in,
	  panel/item.c, panel/main.c, panel/panel.c, panel/xfce_support.c,
	  plugins/Makefile.in, plugins/clock/Makefile.in,
	  plugins/clock/clock.c, plugins/mailcheck/Makefile.in,
	  plugins/mailcheck/mailcheck.c, plugins/pager/Makefile.in,
	  plugins/sample-plugin/Makefile.in,
	  plugins/separator/Makefile.in, plugins/switcher/Makefile.in,
	  plugins/systembuttons/Makefile.in, settings/Makefile.in,
	  themes/Makefile.in:
	  Rip out thread support. threads + gtk == trouble ;-)

2004-08-17 11:26  jasper

	* panel/controls.c:
	  Keep launcher at the top of the 'Add item' list

2004-08-15 19:39  olivier

	* panel/add-control-dialog.c, panel/controls.c, po/ar.gmo,
	  po/ar.po, po/az.gmo, po/az.po, po/bg.gmo, po/bg.po, po/ca.gmo,
